<?php

if (!defined('ABSPATH'))
    die('Restricted Access');

class WPJOBPORTALResumeFormlayout {

    public $config_array_sec=array();
    public $resumefields=array();
    public $class_prefix = '';
    public $themecall = 0;
    public $show_terms_and_conditions = 0;
    public $terms_and_conditions_title = '';

    function __construct(){
        $this->config_array_sec = wpjobportal::$_config->getConfigByFor('resume');
        $fieldsordering = wpjobportal::$_wpjpfieldordering->getFieldsOrderingforForm(3); // resume fields
        $this->resumefields = $fieldsordering;
        wpjobportal::$_data[2] = array();
        foreach ($fieldsordering AS $field) {
            wpjobportal::$_data['fieldtitles'][$field->field] = $field->fieldtitle;
            wpjobportal::$_data[2][$field->section][$field->field] = $field;
        }
        if(WPJOBPORTALincluder::getObjectClass('user')->isjobseeker()){
            wpjobportal::$_data['userinfo'] = WPJOBPORTALincluder::getObjectClass('user')->getEmployerProfile();
        }

        if(wpjobportal::$theme_chk == 2){/// code to manage class prefix for diffrent template cases
            $this->class_prefix = 'jsjb-jh';
            $this->themecall = 2;

        }elseif(wpjobportal::$theme_chk == 1){
            $this->class_prefix = 'jsjb-jm';
            $this->themecall = 1;
        }else{
            $this->class_prefix = '';
        }
    }

    function getFieldTitleByField($field){

        return __(wpjobportal::$_data['fieldtitles'][$field],'wp-job-portal');
    }

    function getResumeFormUserFieldJobManager($title, $field,$required) {
        $html = '<div class="js-col-md-12 js-form-wrapper">
        <div class="js-col-md-12 js-form-title '.$this->class_prefix.'-bigfont">' . $title;
        if($required==1){
            $html .= '<span class="'.$this->class_prefix.'-error-msg">*</span>';
        }
        $html .= '</div>
            <div class="js-col-md-12 js-form-value">' . $field . '</div>
        </div>';

        return $html;
    }



    function getResumeFormUserField($field, $object , $section , $sectionid, $ishidden,$themecall=null) {
        $id = isset($object->id)  ? $object->id : NULL;
        $params = isset($object->params) ? $object->params : NULL;
        $data = NULL;
        $result = wpjobportal::$_wpjpcustomfield->formCustomFieldsResume($field , $id , $params,null,$section , $sectionid, $ishidden,$themecall);
        if( isset($result['value'])){
            if(null !=$themecall){
                $data=$this->getResumeFormUserFieldJobManager($result['title'],$result['value'],$field->required);

            }else{
                $data .= '<div class="resume-row-wrapper form resumefieldswrapper">';
                $data .= '  <label class="resumefieldtitle" for="">';
                $data .=        __($result['title'],'wp-job-portal');
                                if($field->required == 1){
                $data .= '          <span class="error-msg">*</span>';
                                }
                $data .= '  </label>';
                $data .= '  <div class="resumefieldvalue">';
                $data .=        $result['value'];
                $data .= '  </div>
                          </div>';
            }
            return $data;
        }
        return $result;
    }


    function getResumeCheckBoxField($field, $fieldValue){

        $fieldtitle = $field->fieldtitle;
        $fieldName = $field->field;
        $required = $field->required;

        $name = 'sec_1['.$fieldName.']';
        $data = '
            <div class="resume-row-wrapper form jsresume_seach_width">
                <div class="checkbox-field wpjp-form-value">
                    <input type="checkbox" class="" name="' . $name . '" id="' . $fieldName . '" value="1" ';
                        if($fieldValue == "" AND $fieldName == 'searchable'){  //new case
                            $data .= 'checked="checked" ';
                        }elseif($fieldValue == 1){
                            $data .= 'checked="checked" ';
                        }
                    $data .= '" />
                </div>
                <div class="row-title checkbox-field-label">
                    <label id="' . $fieldName . 'msg" for="' . $fieldName . '">' . __($fieldtitle,'wp-job-portal');
                        if ($required == 1) {
                            $data .= '<span class="error-msg">*</span>';
                        }
                    $data .= '</label>
                </div>
            </div>';
        return $data;
    }

    function getResumeSelectFieldJobManager($fieldtitle,$fieldName,$fieldValue,$required,$column){
        $html="";
        if($column==4){
            $html .= '<div class="js-col-md-3 '.$this->class_prefix.'-field-padding">';
        }else{
            $html .= '<div class="js-col-md-12 js-form-wrapper">';

        }
        $html .= '
            <div class="js-col-md-12 js-form-title '.$this->class_prefix.'-bigfont">' . $fieldtitle;
            if($required==1){
                $html .='<span class="'.$this->class_prefix.'-error-msg">*</span>';
            }
            $html .='</div>
            <div class="js-col-md-12 js-form-value">' . $fieldValue . '</div>
        </div>';
        return $html;
    }

    function getResumeSelectField($field, $fieldValue,$column=0,$themecall=null) {

        $fieldtitle="";
        if(isset($field->fieldtitle)) $fieldtitle = $field->fieldtitle;
        $fieldName="";
        if(isset($field->field)) $fieldName = $field->field;
        $required="";
        if(isset($field->required)) $required = $field->required;
        if(null != $themecall){
            $data=$this->getResumeSelectFieldJobManager($fieldtitle,$fieldName,$fieldValue,$required,$column);

        }else{
            $data = '
                <div class="wjportal-form-row">
                    <div class="wjportal-form-title">
                        <label " for="' . $fieldName . '">' . __($fieldtitle,'wp-job-portal');
                            if ($required == 1) {
                                $data .= '<span class="error-msg" style="color: red;"> *</span>';
                            }
            $data .= '
                        </label>
                    </div>
                    <div class="wjportal-form-value">
                        ' . $fieldValue .'
                    </div>
                </div>';
        }
        return $data;
    }
    function getResumeSectionTitleJobManager($sectionid,$imagename,$imagealt,$title) {

        $html='<div id="jsresume_sectionid'.$sectionid.'" class="'.$this->class_prefix.'-addresume-title-wrap">
                <span class="'.$this->class_prefix.'-addresume-icon">
                    <img alt="'.$imagealt.'" title="'.$title.'" src="'.JOB_MANAGER_IMAGE.'/'.$imagename.'">
                </span>
                <h3 class="'.$this->class_prefix.'-addresume-title">
                    ' . __($title, 'wp-job-portal') . '
                </h3>
            </div>';

        return $html;
    }

    function getSectionTitle($sectionFor, $title , $sectionid,$themecall) {
        if ($sectionFor == "education") {
            $sectionFor = "institute";
        }
        switch ($sectionFor) {
            case 'personal':
                if(null!=$themecall){
                    $html=$this->getResumeSectionTitleJobManager($sectionid,"personal-info.png",__("Personal information","wp-job-portal"),$title);
                }else{
                    $html = '<div id="jsresume_sectionid'.$sectionid.'" class="wjportal-resume-section-title">' . __($title, 'wp-job-portal') . '</div>';
                }
            break;
            case 'address':
                if(null!=$themecall){
                    $html=$this->getResumeSectionTitleJobManager($sectionid,"location.png",__("Location","wp-job-portal"),$title);
                }else{
                    $html = '<div id="jsresume_sectionid'.$sectionid.'" class="wjportal-resume-section-title">' . __($title, 'wp-job-portal') . '</div>';
                }

            break;
            case 'institute':
                if(null!=$themecall){
                    $html= $this->getResumeSectionTitleJobManager($sectionid,"education.png",__("Education","wp-job-portal"),$title);
                }else{
                    $html = apply_filters('wpjobportal_addons_resume_formTitile',false,$sectionid,$title);
                }

            break;
            case 'employer':
                if(null!=$themecall){
                    $html=$this->getResumeSectionTitleJobManager($sectionid,"employer.png",__("Employer","wp-job-portal"),$title);
                }else{
                    $html = '<div id="jsresume_sectionid'.$sectionid.'" class="wjportal-resume-section-title">' . __($title, 'wp-job-portal') . '</div>';
                }

            break;
            case 'skills':
                if(null!=$themecall){
                    $html=$this->getResumeSectionTitleJobManager($sectionid,"skills.png",__("Skills","wp-job-portal"),$title);
                }else{
                    $html = apply_filters('wpjobportal_addons_resume_formTitile',false,$sectionid,$title);
                }

            break;
            case 'language':
                if(null!=$themecall){
                    $html=$this->getResumeSectionTitleJobManager($sectionid,"language.png",__("language","wp-job-portal"),$title);
                }else{
                    $html = apply_filters('wpjobportal_addons_resume_formTitile',false,$sectionid,$title);
                }

            break;
        }
        return $html;
    }

    function getFieldForPersonalSectionJobManager($fieldtitle,$fieldName,$fieldValue,$required,$columns = 0,$extraattr){

        $data="";

        if($columns == 3){
            $data .= '<div class="js-col-md-4 '.$this->class_prefix.'-field-padding">';
        }else{
            $data .= '<div class="js-col-md-12 js-form-wrapper">';
        }
        $data .= '
            <div class="js-col-md-12 js-form-title '.$this->class_prefix.'-bigfont">' . __($fieldtitle,'wp-job-portal');
            if ($required == 1) {
                $data .= '<span class="'.$this->class_prefix.'-error-msg"     color: redstyle="color: red;"> *</span>';
            }
            $data .='</div>
            <div class="js-col-md-12 js-form-value">';
                $data .='<input class="inputbox form-control '.$this->class_prefix.'-input-field';

                        if ($required == 1 ) {
                                $data .= ' required ';
                        }
                        if($fieldName == "date_of_birth" || $fieldName == "date_start" ){
                            $data .= ' custom_date ';
                            if($fieldValue = '0000-00-00 00:00:00'){
                                $fieldValue = '';
                            }
                        }
                        $data .= '"';
                        if ($fieldName == "email_address") {
                            $data .= ' data-validation="email"';
                        }
                        if ($required == 1 && $fieldName != "email_address") {
                            $data .= ' data-validation="required"';
                        }
                $name = 'sec_1['.$fieldName.']';
                $data .=        ' type="text" name="' . $name . '" id="' . $fieldName . '" value = "' . $fieldValue.'"' ;
                if (!empty($extraattr)){
                    foreach ($extraattr AS $key => $val){
                        $data .= ' ' . $key . '="' . $val . '"';
                    }
                }
                $data .= '" />';
            $data .='</div>
        </div>';
        return $data;
    }

    function getFieldForPersonalSection($field, $fieldValue, $columns = 0,$extraattr=array(),$themecall=null) {

        $fieldtitle = $field->fieldtitle;
        $fieldName = $field->field;
        $required = $field->required;
        $style = '';
        $jb_jm_class="";
        if($columns == 3){
            $style = ' formresumethree';
        }
        if(null != $themecall){
                $data=$this->getFieldForPersonalSectionJobManager($fieldtitle,$fieldName,$fieldValue,$required,$columns,$extraattr);
        }else{
            $data = '
                <div class="wjportal-form-row'.$style.'">
                    <div class="wjportal-form-title">
                        <label for="' . $fieldName . '">';
                        $data .= __($fieldtitle,'wp-job-portal');
                            if ($required == 1) {
                                        $data .= '<span class="error-msg" style="color: red;"> *</span>';
                            }
            $data .= '</label>
                    </div>
                    <div class="wjportal-form-value">
                        <input class="inputbox wjportal-form-input-field';
                            if ($required == 1 ) {
                                $data .= ' required ';
                            }
                            if($fieldName == "date_of_birth" || $fieldName == "date_start" ){
                                $data .= ' custom_date ';
                            }
                            $data .= '"';
                            if ($fieldName == "email_address") {
                                $data .= ' data-validation="email"';
                            }
                            if ($required == 1 && $fieldName != "email_address") {
                                $data .= ' data-validation="required"';
                            }




            $name = 'sec_1['.$fieldName.']';
            $data .=        ' type="text" name="' . $name . '" id="' . $fieldName . '" value = "' . $fieldValue.'"' ;
            if (!empty($extraattr)){
                foreach ($extraattr AS $key => $val){
                    $data .= ' ' . $key . '="' . $val . '"';
                }
            }
                $data .= '" />
                </div>
            </div>';
        }
        return $data;
    }
    function getFieldForMultiSectionJobManager($fieldtitle,$fieldName,$required,$fieldValue,$field_id_for,$section, $sectionid, $ishidden){
            $html = '<div class="js-col-md-12 js-form-wrapper">
            <div class="js-col-md-12 js-form-title '.$this->class_prefix.'-bigfont" for="'.$field_id_for.'">' . __($fieldtitle,'wp-job-portal');
                if ($required == 1) {
                    $html .= '<span class="'.$this->class_prefix.'-error-msg">*</span>';
                }
              $html .='</div>
            <div class="js-col-md-12 js-form-value">';
                $data_required = '';
                $class_required = '';
                if($ishidden != ''){
                    if ($required == 1) {
                        $data_required = 'data-myrequired="required"';
                    }
                    if ($fieldName == "email_address") {
                        $data_required = 'data-myrequired="required validate-email"';
                    }
                }else{
                    if ($required == 1) {
                        $class_required = ' required';
                    }
                    if ($fieldName == "email_address") {
                        $class_required = ' required validate-email';
                    }
                }

                $html .= '<input class="inputbox form-control '.$this->class_prefix.'-input-field '.$class_required.'" '.$data_required;

                switch ($section) {
                    case '2': $section = 'sec_2'; break;
                    case '3': $section = 'sec_3'; break;
                    case '4': $section = 'sec_4'; break;
                    case '5': $section = 'sec_5'; break;
                    case '6': $section = 'sec_6'; break;
                    case '7': $section = 'sec_7'; break;
                    case '8': $section = 'sec_8'; break;
                }
                $name = $section."[$fieldName][$sectionid]";

                $html .=    ' type="text" name="' . $name . '" id="' . $field_id_for . '" maxlength="250" value = "' . $fieldValue . '" />';

            $html .= '</div>
        </div>';
        return $html;

    }

    function getFieldForMultiSection($field, $fieldValue, $section, $sectionid, $ishidden,$themecall ) {

        $fieldtitle = $field->fieldtitle;
        $fieldName = $field->field;
        $required = $field->required;

        $field_id_for = $fieldName.$section.$sectionid;
        if(null !=$themecall){

            $data=$this->getFieldForMultiSectionJobManager($fieldtitle,$fieldName,$required,$fieldValue,$field_id_for,$section, $sectionid, $ishidden);

        }else{

            $data = '
                <div class="wjportal-form-row">
                    <div class="wjportal-form-title">
                        <label for="' . $field_id_for . '">';
                            $data .= __($fieldtitle,'wp-job-portal');
                            if ($required == 1) {
                                        $data .= '<span class="error-msg">*</span>';
                            }
            $data .= '  </label>
                    </div>';
            $data .= '<div class="wjportal-form-value">';

            $data_required = '';
            $class_required = '';
            if($ishidden != ''){
                if ($required == 1) {
                    $data_required = 'data-myrequired="required"';
                }
                if ($fieldName == "email_address") {
                    $data_required = 'data-myrequired="required validate-email"';
                }
            }else{
                if ($required == 1) {
                    $class_required = ' required';
                }
                if ($fieldName == "email_address") {
                    $class_required = ' required validate-email';
                }
            }

            $data .= '<input class="inputbox wjportal-form-input-field'.$class_required.'" '.$data_required;

            switch ($section) {
                case '2': $section = 'sec_2'; break;
                case '3': $section = 'sec_3'; break;
                case '4': $section = 'sec_4'; break;
                case '5': $section = 'sec_5'; break;
                case '6': $section = 'sec_6'; break;
                case '7': $section = 'sec_7'; break;
                case '8': $section = 'sec_8'; break;
            }
            $name = $section."[$fieldName][$sectionid]";

            $data .=    ' type="text" name="' . $name . '" id="' . $field_id_for . '" maxlength="250" value = "' . $fieldValue . '" />
                    </div>
                </div>';
        }

        return $data;
    }

    function prepareDateFormat(){

        $config_date=wpjobportal::$_config->getConfigurationByConfigName('date_format');
        if ($config_date == 'm/d/Y'){
            $dash = '/';
        }else{
            $dash = "-";
        }
        $dateformat = $config_date;
        $firstdash = strpos($dateformat, $dash, 0);
        $firstvalue = substr($dateformat, 0, $firstdash);
        $firstdash = $firstdash + 1;
        $seconddash = strpos($dateformat, $dash, $firstdash);
        $secondvalue = substr($dateformat, $firstdash, $seconddash - $firstdash);
        $seconddash = $seconddash + 1;
        $thirdvalue = substr($dateformat, $seconddash, strlen($dateformat) - $seconddash);
        //$js_dateformat = '%' . $firstvalue . $dash . '%' . $secondvalue . $dash . '%' . $thirdvalue;
        $js_dateformat =  $firstvalue . $dash . $secondvalue . $dash . $thirdvalue;

        return $js_dateformat;
    }

    function getCityFieldForForm($for , $sectionid, $object, $field , $ishidden,$themecall){

        $html = '';
        switch ($for) {
            case '2':
                $cityfor = 'address'; break;
            case '3':
                $cityfor = 'institute'; break;
            case '4':
                $cityfor = 'employer'; break;
            case '7':
                $cityfor = 'reference'; break;
            break;
        }
        $data_required = '';
        $city_required = ($field->required ? 'required' : '');
        if($ishidden){
            if($city_required){
                $data_required = 'data-myrequired="required"';
                $city_required = '';
            }
        }
        $cityforedit = '';
        $data = array('city_id' => null, 'city_name' => null);
        if (isset($object->{$field->field}) AND ($object->{$field->field})) {
            $cityforedit = 1;
            $data['city_id'] = $object->{$field->field};
            $data['city_name'] = $object->cityname ;
            $default_location_view=wpjobportal::$_config->getConfigurationByConfigName('defaultaddressdisplaytype');
            /*switch ($default_location_view) {
                case 'csc':
                   $data['city_name'] .= ", " . $object->statename . ", " . $object->countryname;
                  $data['city_name'] .=", " . $object->countryname;
                    break;
                case 'cs':
                    $data['city_name'] .= ", " . $object->statename;
                    break;
                case 'cc':
                    $data['city_name'] .= ", " . $object->countryname;
                    break;
            }*/
        }
        $field_city_id="'".$cityfor.'_city_'.$sectionid."'";
        $edit_field_city_id="'".$cityfor.'cityforedit_'.$sectionid."'";
        $html .= '
            <div class="wjportal-form-row">
                <div class="wjportal-form-title">
                    <label id="'.$cityfor.'_citymsg" for="'.$cityfor.'_city_'.$sectionid.'">' . __($field->fieldtitle,'wp-job-portal');
                        if ($field->required == 1) {
                            $html .= '<span class="error-msg">*</span>';
                        }
        $html .= '  </label>
                </div>
                <div class="wjportal-form-value">
                    <input data-for="'.$cityfor.'_'.$sectionid.'" class="inputbox jstokeninputcity ' . $city_required . '" '.$data_required.' type="text" name="sec_'.$for.'['.$cityfor.'_city]['.$sectionid.']" id="'.$cityfor.'_city_'.$sectionid.'" size="40" maxlength="100" value="'.$data['city_name'].'" />
                    <input type="hidden" name="sec_'.$for.'['.$cityfor.'cityforedit]['.$sectionid.']" id="'.$cityfor.'cityforedit_'.$sectionid.'" value="'.$cityforedit.'" />
                    <input type="hidden" class="jscityid" name="jscityid" value="'.$data['city_id'].'" />
                    <input type="hidden" class="jscityname" name="jscityname" value="'.$data['city_name'].'" />
                </div>';
            $html .= '</div>';
        return $html;
    }

   function makeResumeSectionFields($themecall=null){
        $resume="";
        if(isset(wpjobportal::$_data[0]['personal_section'])) $resume = wpjobportal::$_data[0]['personal_section'];
        //$fields_ordering = wpjobportal::$_data[1];

        $html = '<div id="jssection_resume" class="section_wrapper jssectionwrapper ">';
        if(empty($resume->resume)){
            //$jssection_hide = (isset(wpjobportal::$_data['resumeid']) && is_numeric(wpjobportal::$_data['resumeid']))?"": 'jssection_hide';
            $jssection_hide = 'jssection_hide';
        }else{
            ///$jssection_hide = (isset(wpjobportal::$_data['resumeid']) && is_numeric(wpjobportal::$_data['resumeid']))?"": 'jssection_hide';
            $jssection_hide = '';
        }
        $sectionid = 0;
        // <div class="jsundo wjportal-resume-section-undo"><img class="jsundoimage wjportal-resume-section-undo-image" onclick="undoThisSection(this);" src="'.JURI::root().'components/com_wpjobportal/images/resume/undo-icon.png" /></div>
        // <img class="jsdeleteimage wjportal-resume-section-delete" onclick="deleteThisSection(this);" src="'.JURI::root().'components/com_wpjobportal/images/resume/delete-icon.png" />
        $html .= '<div class="section_wrapper form wjportal-resume-section jssection_wrapper '.$jssection_hide.' jssection_resume_'.$sectionid.'">';
        foreach (wpjobportal::$_data[2][6] as $field) {
            switch ($field->field) {
                case "resume":
                    $fvalue = isset($resume->resume) ? $resume->resume : '';
                    $req = ($field->required ? 'required' : '');
                    $data_required = '';
                    if($jssection_hide){
                        if($req){
                            $data_required = 'data-myrequired="required"';
                            $req = '';
                        }
                    }
                    $html .= '
                        <div class="wpjp-form-wrapper js-col-md-12 js-form-wrapper">
                            <label id="" class="wpjp-form-title " for="resumeeditor">' . __($field->fieldtitle,'wp-job-portal');
                                if ($field->required == 1) {
                                    $html .= '<span class="error-msg">*</span>';
                                }
                    //$name = 'sec_6[resume]['.$sectionid.']';
                    $name = 'resumeeditor';

                    //$value=wp_editor(isset($resume->resume) ? $resume->resume: '', 'resume', array('media_buttons' => false, 'data-validation' => $req));
                    $value=isset($resume->resume) ? $resume->resume: '';
                    $efield = WPJOBPORTALformfield::textarea('resume', $value, array('class' => 'inputbox one resumeeditor form-control '.$this->class_prefix.'-textarea-field', 'height'=>'270px','rows'=>'10','cols'=>'40'));
                    $efield .= WPJOBPORTALformfield::hidden('resume_edit_val','');
                    $html .= '</label>
                            <div class="wpjp-form-value ">
                                '.$efield.'
                            </div>
                        </div>';
                    break;
                default:
                    $html .= $this->getResumeFormUserField($field, $resume , 6 , $sectionid, $jssection_hide,$themecall);
                break;
            }
        }
        $id = '';
        $deletethis = (empty($resume->resume)) ? 1 : 0;
        $html .= '<input type="hidden" id="deletethis6'.$sectionid.'" class="jsdeletethissection" name="sec_6[deletethis]['.$sectionid.']" value="'.$deletethis.'">
                    <input type="hidden" id="id" name="sec_6[id]['.$sectionid.']" value="'.$id.'">
            </div></div>';
        if(empty($resume->resume)){
            if(null !=$themecall){
                $html .= '<div class="wpjp-add-new-section-link  '.$this->class_prefix.'-resume-addnewbutton" onclick="showResumeSection( this ,\'resume\');">
                <span class="'.$this->class_prefix.'-addresume-addfield-btn-txt"><i class="fa fa-plus-square-o" aria-hidden="true"></i>'.__('Add Resume','wp-job-portal').'
                </span></div>';
            }else{
                $html .= '<div class="wpjp-add-new-section-link wjportal-resume-add-new-section-btn" onclick="showResumeSection( this, \'resume\');"><i class="fa fa-plus"></i>'.__('Add Resume','wp-job-portal').'</div>';

            }
        }
        return $html;
    }

    function makeAddressSectionFields($themecall=null) {
        $addresses=array();
        if(isset(wpjobportal::$_data[0]['address_section'])){
            $addresses = wpjobportal::$_data[0]['address_section'];
        }
        //$fields_ordering = wpjobportal::$_data[1];
        $sections_allowed = wpjobportal::$_config->getConfigurationByConfigName('max_resume_addresses');
        $j = 1;
        $html = '<div id="jssection_address" class="jssectionwrapper section_wrapper wjportal-resume-section-wrp">';
        if(empty($addresses)){
            $addresses = array();
            for ($i=0; $i < $sections_allowed; $i++) {
                $addresses[] = 'new';
            }
        }else{
            //Edit case to show remaining allowed sections
            $totalexistings = count($addresses);
            $j = $sections_allowed - $totalexistings;
            if($totalexistings < $sections_allowed){
                for ($i=0; $i < $j; $i++) {
                    $addresses[] = 'new';
                }
            }
        }

        $sectionid = 0;
        $sectionhead = 1;
        foreach ($addresses as $address) {

            //$jssection_hide = isset($address->id) ? '' :((isset(wpjobportal::$_data['resumeid']) && is_numeric(wpjobportal::$_data['resumeid']))?"": 'jssection_hide');
            $jssection_hide = isset($address->id) ? '' : 'jssection_hide';
            //$jssection_hide = isset($address->id) ? '' : '';
            $html .= '<div class="section_wrapper form wjportal-resume-section '.$jssection_hide.' jssection_address_'.$sectionid.'">
                        <div class="wjportal-resume-section-head">'.__('Address'). ' ' .$sectionhead++.'</div>
                        <div class="jsundo wjportal-resume-section-undo"><img class="jsundoimage wjportal-resume-section-undo-image" onclick="undoThisSection(this);" src="'.wpjobportal::$_pluginpath.'includes/images/resume/undo-icon.png" /></div>
                        <img class="jsdeleteimage wjportal-resume-section-delete" onclick="deleteThisSection(this);" src="'.wpjobportal::$_pluginpath.'includes/images/resume/delete-icon.png" />';
            foreach (wpjobportal::$_data[2][2] as $field) {
                switch ($field->field) {
                    case "address_city":
                        $for = 2;
                        $html .= $this->getCityFieldForForm( $for , $sectionid, $address, $field ,$jssection_hide,$themecall);
                        break;
                    case "address":
                        $fieldValue = isset($address->address) ? $address->address : '';
                        $html .= $this->getFieldForMultiSection($field, $fieldValue, 2, $sectionid, $jssection_hide,$themecall);
                        break;
                    case "address_location": //longitude and latitude
                        $required = ($field->required ? 'required' : '');
                        $latitude = isset($address->latitude) ? $address->latitude : '';
                        $longitude = isset($address->longitude) ? $address->longitude : '';
                        $data_required = '';
                        if($jssection_hide){
                            if($required){
                                $data_required = 'data-myrequired="required"';
                                $required = '';
                            }
                        }
                        $html .= apply_filters('wpjobportal_addons_loadadressdata_for_resume',false,$address,$required,$data_required,$sectionid,$field,$this->class_prefix,$jssection_hide);
                    break;

                    default:
                        $html .= $this->getResumeFormUserField($field, $address , 2 ,  $sectionid, $jssection_hide,$themecall);
                    break;
                }
            }
            $id = isset($address->id) ? $address->id : '';
            $deletethis = ($id != '') ? 0 : 1;
            $html .= '<input type="hidden" id="deletethis2'.$sectionid.'" class="jsdeletethissection" name="sec_2[deletethis]['.$sectionid.']" value="'.$deletethis.'">
                        <input type="hidden" id="id" name="sec_2[id]['.$sectionid.']" value="'.$id.'">';
                    if(null !=$themecall){
                        $html .= '<hr class="'.$this->class_prefix.'-resume-section-sep" />';
                    }
                    $html .= '</div>';
            $sectionid++;
        }
        $html .= '</div>';
        if($j > 0){
            if(null !=$themecall){
                $html .= '<div class="wpjp-add-new-section-link  '.$this->class_prefix.'-resume-addnewbutton" onclick="showResumeSection( this ,\'address\');">
                <span class="'.$this->class_prefix.'-addresume-addfield-btn-txt"><i class="fa fa-plus-square-o" aria-hidden="true"></i>'.__('Add New','wp-job-portal').'&nbsp;'. __('Address','wp-job-portal').'
                </span></div>';
            }else{
                $html .= '<div class="wpjp-add-new-section-link wjportal-resume-add-new-section-btn" onclick="showResumeSection( this ,\'address\');"><i class="fa fa-plus"></i>'.__('Add New','wp-job-portal').'&nbsp;'. __('Address','wp-job-portal').'</div>';
            }
        }
        return $html;
    }

    function makeEmployerSectionFields($themecall=null){
        $employers="";
        if(isset(wpjobportal::$_data[0]['employer_section'])){
            $employers = wpjobportal::$_data[0]['employer_section'];
        }
        $sections_allowed = wpjobportal::$_config->getConfigurationByConfigName('max_resume_employers');
        $js_dateformat = $this->prepareDateFormat();
        $j = 1;
        $html = '<div id="jssection_employer" class="jssectionwrapper section_wrapper wjportal-resume-section-wrp">';
        if(empty($employers)){
            $employers = array();
            for ($i=0; $i < $sections_allowed; $i++) {
                $employers[] = 'new';
            }
        }else{
            //Edit case to show remaining allowed sections
            $totalexistings = count($employers);
            $j = $sections_allowed - $totalexistings;
            if($totalexistings < $sections_allowed){
                for ($i=0; $i < $j; $i++) {
                    $employers[] = 'new';
                }
            }
        }

        $sectionid = 0;
        $sectionhead = 1;
        foreach ($employers as $employer) {
            $jssection_hide = isset($employer->id) ? '' : 'jssection_hide';
            $html .= '<div class="section_wrapper form wjportal-resume-section jssection_wrapper '.$jssection_hide.' jssection_employer_'.$sectionid.'">
                        <div class="wjportal-resume-section-head">'.__('Employer').' '.$sectionhead++.'</div>
                        <div class="jsundo wjportal-resume-section-undo"><img class="jsundoimage wjportal-resume-section-undo-image" onclick="undoThisSection(this);" src="'.wpjobportal::$_pluginpath.'includes/images/resume/undo-icon.png" /></div>
                        <img class="jsdeleteimage wjportal-resume-section-delete" onclick="deleteThisSection(this);" src="'.wpjobportal::$_pluginpath.'includes/images/resume/delete-icon.png" />';
            $counter = 0;
            foreach (wpjobportal::$_data[2][4] as $field) {
                switch ($field->field) {
                    case "employer":
                        $fvalue = isset($employer->employer) ? $employer->employer : '';
                        $html .= $this->getFieldForMultiSection($field, $fvalue, 4, $sectionid, $jssection_hide,$themecall);
                        break;
                    case "employer_position":
                        $fvalue = isset($employer->employer_position) ? $employer->employer_position : '';
                        $html .= $this->getFieldForMultiSection($field, $fvalue, 4, $sectionid, $jssection_hide,$themecall);
                        break;
                   //
                    case "employer_from_date":
                    case "employer_to_date":
                    case "employer_current_status":
                        if($counter == 0){
                                $field_obj = '';
                                foreach (wpjobportal::$_data[2][4] as $field_obj) {
                                    switch ($field_obj->field) {
                                        case "employer_from_date":
                                            $html .= '
                                                <div id="fromdate'.$sectionid.'" class="wjportal-form-row">
                                                    <div class="wjportal-form-title">
                                                        <label for="employer_from_date4'.$sectionid.'">' . __($field_obj->fieldtitle,'wp-job-portal');
                                                            if ($field_obj->required == 1) {
                                                                $html .= '<span class="'.$this->class_prefix.'-error-msg error-msg">*</span>';
                                                            }
                                            $html .='   </label>
                                                    </div>
                                                    <div class="wjportal-form-value">';
                                                         $fieldValue = isset($employer->employer_from_date) ? date_i18n(wpjobportal::$_configuration['date_format'],strtotime($employer->employer_from_date)) : '';
                                                        $html .= '<input type="text" class="input wjportal-form-date-field form-control '.$this->class_prefix.'-input-field custom_date" name="sec_4[employer_from_date][]" id="employer_from_date4'.$sectionid.'" value='. $fieldValue .'>';
                                            $html .='</div>
                                                </div>';
                                            break;
                                        case "employer_to_date":
                                        $fvalue = isset($employer->employer_current_status) ? $employer->employer_current_status : '';
                                        if($fvalue==1){
                                            $display="none";
                                        }else if($fvalue==0){
                                            $display="";
                                        }else{
                                            $display="";
                                        }
                                            $html .= '
                                                <div class="wjportal-form-row" id="resto_date'.$sectionid.'" style="display:'.$display.'" >
                                                    <div class="wjportal-form-title">
                                                        <label class="wpjp-form-title " for="employer_to_date4'.$sectionid.'">' . __($field_obj->fieldtitle,'wp-job-portal');
                                                            if ($field_obj->required == 1) {
                                                                $html .= '<span class="'.$this->class_prefix.'-error-msg error-msg">*</span>';
                                                            }
                                            $html .='   </label>
                                                    </div>
                                                    <div class="wjportal-form-value">';
                                                          $fieldValue = isset($employer->employer_to_date) ? date_i18n(wpjobportal::$_configuration['date_format'],strtotime($employer->employer_to_date)) : '';
                                                        $html .= '<input type="text" class="input wjportal-form-date-field form-control '.$this->class_prefix.'-input-field custom_date" name="sec_4[employer_to_date][]" id="employer_to_date4'.$sectionid.'" onchange="dateValidator('.$sectionid.')" value='. $fieldValue .'>';
                                            $html .='</div>
                                                </div>';
                                            break;
                                        case "employer_current_status":
                                            $html .= '<div class="wjportal-form-row">
                                                        <div class="wjportal-form-title">
                                                            <label class="wpjp-form-title " for="' . $field->id . '">';
                                            $html .=            __($field_obj->fieldtitle,'wp-job-portal');
                                            $html .='       </label>
                                                        </div>
                                                        <div class="wjportal-form-value">';
                                                $fvalue = isset($employer->employer_current_status) ? $employer->employer_current_status : '';
                                            $html .= '<label class="wjportal-input-box-switch"><input type="checkbox" onclick="disablefields('.$sectionid.')" class="input wjportal-form-chkbox-field" name="sec_4[employer_current_status][]" id="employer_current_status'.$sectionid.'" value="'.$fvalue.'"
                                            ';
                                              if($fvalue==1){
                                                    $html.='checked="checked"';
                                                }else if($fvalue==0){
                                                    $html.='';
                                                }else if($fvalue==''){
                                                }else{

                                                }
                                                $html.='><span class="wjportal-input-box-slider"></span></label>';
                                                $html .='</div>
                                                </div>';
                                            break;
                                        }
                                    }
                            }
                            $counter = 1;
                        break;
                    case "employer_city":
                        $for = 4;
                        $html .= $this->getCityFieldForForm( $for , $sectionid, $employer, $field , $jssection_hide,$themecall);
                        break;
                    case "employer_phone":
                        $fvalue = isset($employer->employer_phone) ? $employer->employer_phone : '';
                        $html .= $this->getFieldForMultiSection($field, $fvalue, 4, $sectionid, $jssection_hide,$themecall);
                        break;
                    case "employer_address":
                        $fvalue = isset($employer->employer_address) ? $employer->employer_address : '';
                        $html .= $this->getFieldForMultiSection($field, $fvalue, 4, $sectionid, $jssection_hide,$themecall);
                        break;

                    default:
                        $html .= $this->getResumeFormUserField($field, $employer , 4 , $sectionid, $jssection_hide,$themecall);
                    break;
                }
            }
            $id = isset($employer->id) ? $employer->id : '';
            $deletethis = ($id != '') ? 0 : 1;
            $html .= '<input type="hidden" id="deletethis4'.$sectionid.'" class="jsdeletethissection" name="sec_4[deletethis]['.$sectionid.']" value="'.$deletethis.'">
                        <input type="hidden" id="id" name="sec_4[id]['.$sectionid.']" value="'.$id.'">';
                    if(null !=$themecall){
                        $html .= '<hr class="'.$this->class_prefix.'-resume-section-sep" />';
                    }
                    $html .='</div>';
            $sectionid++;
        }
        $html .= '</div>';
        if($j > 0){
            if(null !=$themecall){
                $html .= '<div class="wpjp-add-new-section-link  '.$this->class_prefix.'-resume-addnewbutton" onclick="showResumeSection( this ,\'employer\');">
                <span class="'.$this->class_prefix.'-addresume-addfield-btn-txt"><i class="fa fa-plus-square-o" aria-hidden="true"></i>'.__('Add New','wp-job-portal').'&nbsp;'. __('Employer','wp-job-portal').'
                </span></div>';
            }else{
                $html .= '<div class="wpjp-add-new-section-link wjportal-resume-add-new-section-btn " onclick="showResumeSection( this ,\'employer\');"><i class="fa fa-plus"></i>'.__('Add New','wp-job-portal').'&nbsp;'. __('Employer').'</div>';
            }
        }
        return $html;

    }

    function makePersonalSectionFields($themecall=null) {
        $resume="";
        $userinfo = isset(wpjobportal::$_data['userinfo']) ? wpjobportal::$_data['userinfo'] : null;
        if(isset(wpjobportal::$_data[0]['personal_section'])){
            $resume = wpjobportal::$_data[0]['personal_section'];
        }
        $resumelists = "";
        $js_dateformat = $this->prepareDateFormat();
        $sectionid = 0;
        if(isset($userinfo)){
            $emailAddress =  $userinfo->emailaddress;
            $firstName = $userinfo->first_name ;
            $lastName = $userinfo->last_name;
        }else{
             $emailAddress =  '';
            $firstName = '' ;
            $lastName = '';
        }
        $data = '<div class="wjportal-resume-section-wrp" data-section="personal" data-sectionid="">';
            $name_counter = 0;
            $cell_counter = 0;
            $date_counter = 0;
            $available_counter = 0;
            foreach (wpjobportal::$_data[2][1] as $field) {
                switch ($field->field) {
                    case "application_title":
                            $fieldValue = isset($resume->application_title) ? $resume->application_title : "";
                            $data .= $this->getFieldForPersonalSection($field, $fieldValue,'','',$themecall);
                        break;
                    case "first_name":
                    case "last_name":
                        if($name_counter == 0){
                            $data .= '';
                                $field_obj = '';
                                foreach (wpjobportal::$_data[2][1] as $field_obj) {
                                    switch ($field_obj->field) {
                                        case "first_name":
                                                $fieldValue = isset($resume->first_name) ? $resume->first_name : $firstName;
                                                $data .= $this->getFieldForPersonalSection($field_obj, $fieldValue, 3,'',$themecall);
                                            break;
                                        case "last_name":
                                                $fieldValue = isset($resume->last_name) ? $resume->last_name : $lastName;
                                                $data .= $this->getFieldForPersonalSection($field_obj, $fieldValue, 3,'',$themecall);
                                            break;
                                    }
                                }
                            $data .= '';
                        }
                        $name_counter = 1;
                        break;
                    case "email_address": $email_required = ($field->required ? 'required' : '');
                            $fieldValue = isset($resume->email_address) ? $resume->email_address : $emailAddress;
                            $data .= $this->getFieldForPersonalSection($field, $fieldValue,'','',$themecall);
                        break;
                    case "cell":
                        if($cell_counter == 0){
                            $data .= '';
                                $field_obj = '';
                                foreach (wpjobportal::$_data[2][1] as $field_obj) {
                                    switch ($field_obj->field) {
                                        case "cell":
                                            $fieldValue = isset($resume->cell) ? $resume->cell : "";
                                            $data .= $this->getFieldForPersonalSection($field_obj, $fieldValue , 3,'',$themecall);
                                            break;
                                    }
                                }
                            $data .= '';
                        }
                        $cell_counter = 1;
                        break;
                    case "gender":
                            $value=isset($resume->gender)?$resume->gender:"";
                            $req = ($field->required ? 'required' : '');
                            $fieldValue = WPJOBPORTALformfield::resumeSelect('gender', wpjobportal::$_common->getGender(), $value,'sec_1', __('Select','wp-job-portal') .'&nbsp;'. __('Gender', 'wp-job-portal'), array('class' => 'inputbox form-control wjportal-form-select-field '.$this->class_prefix.'-select-field', 'data-validation' => $req));
                            $data .= $this->getResumeSelectField($field, $fieldValue,'',$themecall);
                        break;
                    case "photo":
                        $text = $field->field;

                        $photo_required = ($field->required ? 'required' : '');
                        $imgpath = '';
                        if (!empty($resume->photo)) {
                            $wpdir = wp_upload_dir();
                            $data_directory = wpjobportal::$_config->getConfigurationByConfigName('data_directory');
                            $img = $wpdir['baseurl'] . '/' . $data_directory . '/data/jobseeker/resume_' . $resume->id . '/photo/' . $resume->photo;
                            $class = '';
                        } else {
                            $img = wpjobportal::$_pluginpath . 'includes/images/users.png';
                            $class = 'none';
                        }
                        $resumephoto = isset($resume->photo) ? $resume->photo : null;
                        //starts From there
                        $fieldvalue = '
                            <div class="wjportal-form-upload">
                                <div class="wjportal-form-upload-btn-wrp">
                                    <span class="wjportal-form-upload-btn-wrp-txt">'.$resumephoto.'
                                    </span>
                                    <span class="wjportal-form-upload-btn">
                                        '.__("Upload Image","wp-job-portal").'
                                        <input type="file" name="photo" class="photo" id="photo" />
                                    </span>
                                </div>
                                <div class="wjportal-form-image-wrp" style="display:'.$class.'">
                                    <img class="rs_photo wjportal-form-image" id="rs_photo" src="' . $img . '" alt="'.__('Resume image','wp-job-portal').'"/>
                                    <img id="wjportal-form-delete-image" alt="cross" src="'.wpjobportal::$_pluginpath.'includes/images/no.png" />
                                </div>';
                                $logoformat = wpjobportal::$_config->getConfigurationByConfigName('image_file_type');
                                $maxsize = wpjobportal::$_config->getConfigurationByConfigName('resume_photofilesize');
                                $p_detail = '<div class="wjportal-form-help-txt"> ('.$logoformat.')</div>';
                                $p_detail .= '<div class="wjportal-form-help-txt"> ('.__("Max logo size allowed","wp-job-portal").' '.$maxsize.' Kb)</div>';
                            $fieldvalue .= $p_detail;
                        $fieldvalue .= '</div>';
                        $data .= $this->getRowForForm($text, $fieldvalue,$themecall);
                        break;
                    case "resumefiles":

                        $text = $field->field;
                        $req = ''; // for checking field is required or not
                        if ($field->required == 1) {
                            $text .= '<span style="color:red;">*</span>';
                            $req = 'required';
                        }
                        $fieldvalue = '<div class="wjportal-form-upload"><input  type="file" id="resumefiles" placeholder="Choose Resume File" class="wjportal-form-upload-file" name="resumefiles[]" data-validation="' . $req . '" multiple="true" style="display:none;" />
                                    <div id="resumefileswrapper" class="wjportal-form-upload-btn-wrp"><span class="livefiles wjportal-form-upload-files">';
                        if (!empty(wpjobportal::$_data[0]['file_section'])) {
                            foreach (wpjobportal::$_data[0]['file_section'] AS $file) {
                                $fieldvalue .= '<a href="#" id="file_' . $file->id . '" onclick="deleteResumeFile(' . $file->id . ');" class="file">
                                            <span class="filename wjportal-form-upload-file-name">' . $file->filename . '</span><span class="fileext wjportal-form-upload-file-text"></span>
                                            <img class="filedownload wjportal-form-upload-file-close" src="' . wpjobportal::$_pluginpath . 'includes/images/resume/cancel.png" />
                                        </a>';
                            }
                        }
                        $fieldvalue .= '</span><span class="clickablefiles wjportal-form-upload-btn">'.__('Select Multiple Files','wp-job-portal').'</span>';
                        $fieldvalue .= '</div>';
                        $logoformat = wpjobportal::$_config->getConfigurationByConfigName('document_file_type');
                                $maxsize = wpjobportal::$_config->getConfigurationByConfigName('document_file_size');
                                $p_detail = '<div class="wjportal-form-help-txt"> ('.$logoformat.')</div>';
                                $p_detail .= '<div class="wjportal-form-help-txt"> ('.__("Max logo size allowed","wp-job-portal").' '.$maxsize.' Kb)</div>';
                            $fieldvalue .= $p_detail;
                        $fieldvalue .= '</div>';
                        $data .= $this->getRowForForm($text, $fieldvalue,$themecall);
                        break;
                    case "job_category":
                            $value=isset($resume->job_category)?$resume->job_category:WPJOBPORTALincluder::getJSModel('category')->getDefaultCategoryId();
                            $req = ($field->required ? 'required' : '');
                            $fieldValue = WPJOBPORTALformfield::resumeSelect('job_category', WPJOBPORTALincluder::getJSModel('category')->getCategoryForCombobox(''),$value,'sec_1', __('Select','wp-job-portal') , array('class' => 'inputbox wjportal-form-select-field  form-control '.$this->class_prefix.'-select-field', 'data-validation' => $req));
                            $data .= $this->getResumeSelectField($field, $fieldValue,'',$themecall);
                        break;
                    case "jobtype":
                            $value = isset($resume->jobtype) ? $resume->jobtype : WPJOBPORTALincluder::getJSModel('jobtype')->getDefaultJobTypeId();
                            $req = ($field->required ? 'required' : '');
                            $fieldValue = WPJOBPORTALformfield::resumeSelect('jobtype', WPJOBPORTALincluder::getJSModel('jobtype')->getJobTypeForCombo(), $value,'sec_1', __('Select','wp-job-portal') , array('class' => 'inputbox one wjportal-form-select-field form-control '.$this->class_prefix.'-select-field', 'data-validation' => $req));
                            $data .= $this->getResumeSelectField($field, $fieldValue,'',$themecall);
                        break;
                    case "nationality":
                            $value = isset($resume->nationalityid) ? $resume->nationalityid : "";
                            $req = ($field->required ? 'required' : '');
                            $fieldValue = WPJOBPORTALformfield::resumeSelect('nationality', WPJOBPORTALincluder::getJSModel('country')->getCountriesForCombo(), $value,'sec_1', __('Select','wp-job-portal') .'&nbsp;'. __('Nationality', 'wp-job-portal'), array('class' => 'inputbox  form-control wjportal-form-select-field '.$this->class_prefix.'-select-field', 'data-validation' => $req));;
                            $data .= $this->getResumeSelectField($field, $fieldValue,'',$themecall);
                        break;
                    case 'salaryfixed':
                            $salaryfixed_require = ($field->required ? 'required' : '');
                            $fieldValue = isset($resume->salaryfixed) ? $resume->salaryfixed : "";
                            $data .= $this->getFieldForPersonalSection($field, $fieldValue,'','',$themecall);
                        break;
                    case 'tags':
                        if(in_array('tag', wpjobportal::$_active_addons)){
                            $value = isset($resume->resumetags) ? $resume->resumetags : '';
                            $data .= $this->getFieldForPersonalSection($field,$value,'','',$themecall);
                            $data .= '  <script >
                                            jQuery(document).ready(function(){
                                                getTokenInputTags(' . $value . ');
                                            });
                                        </script>';
                        }
                    break;
                    case 'termsandconditions':
                        if (isset(wpjobportal::$_data['resumeid']) && is_numeric(wpjobportal::$_data['resumeid'])) {
                        }else{
                            $this->show_terms_and_conditions = 1;
                            $this->terms_and_conditions_title = $field->fieldtitle;
                        }
                    break;

                    default:
                        $data .= $this->getResumeFormUserField($field, $resume , 1 ,  0 , '',$themecall);
                    break;
                }
            }
        // if ($sectionmoreoption == 1) {
        //     $data .= '</div>'; // closing div for the more option
        // }
        $data .= '</div>'; // to handle background color of scetions
        return $data;
    }

    function printResume($themecall=null) {

        //check wheather to show resume form or resumeformview
        $resumeformview = 1; // for add case
        if (isset(wpjobportal::$_data['resumeid']) && is_numeric(wpjobportal::$_data['resumeid'])) {
            $resumeformview = 0; // for edit case
            $resumeid=wpjobportal::$_data['resumeid'];
        }
        $html = '<div id="resume-wrapper" class="wjportal-form-wrp wjportal-resume-form">';
        $form_class="wjportal-form";
        if(1 == $themecall){
            $html='<div class="jsjb-jm-form-wrap">';
            $form_class="jsjb-jm-form";
        }elseif(2 == $themecall){
            $html='<div class="jsjb-jh-form-wrap">';
            $form_class="jsjb-jh-form";
        }
        $check = apply_filters('wpjobportal_addons_multiresume_add',false,$form_class);
        if($check == false){
            $html .= '<form class="'.$form_class.'" id="resumeform" method="post" enctype="multipart/form-data" action="'.wpjobportal::makeUrl(array('wpjobportalme'=>'resume', 'task'=>'saveresume')).'" >';

        }else{
            $html .= $check;
        }
        if (!isset(wpjobportal::$_data[0]['personal_section']->uid)) {
            $isowner = 1; // user come to add new resume
        } else {
            $isowner = (WPJOBPORTALincluder::getObjectClass('user')->uid() == wpjobportal::$_data[0]['personal_section']->uid) ? 1 : 0;
        }
        foreach ($this->resumefields AS $field) {
            if($field->published == 1){
                switch ($field->field){
                    case 'section_personal':
                        $title = 'Personal Information';
                        $html .= $this->getSectionTitle('personal', $title , 1,$themecall);
                        $html .= $this->makePersonalSectionFields($themecall);
                    break;
                    case 'section_address':
                        $title = 'Address';
                        $html .= $this->getSectionTitle('address', $title, 2,$themecall);
                        $html .= $this->makeAddressSectionFields($themecall);
                    break;
                    case 'section_education':
                        $title = 'Education';
                        $html .= apply_filters('wpjobportal_addons_section_wise_form',false,'getSectionTitle','education',$title,'3',$themecall);
                        $html .= apply_filters('wpjobportal_addons_selection_fields',false,'makeInstituteSectionFields',$themecall);
                        break;
                    case 'section_employer':
                        $title = 'Employer';
                        $html .= $this->getSectionTitle('employer', $title, 4,$themecall);
                        $html .= $this->makeEmployerSectionFields($themecall);
                        break;
                    case 'section_skills':
                        $title = 'Skills';
                        $html .= $this->getSectionTitle('skills', $title, 5,$themecall);
                        $html .= apply_filters('wpjobportal_addons_selection_fields',false,'makeSkillsSectionFields',$themecall);
                        break;
                    case 'section_language';
                        $title = 'Language';
                        $html .= $this->getSectionTitle('language', $title, 8,$themecall);
                        $html .=apply_filters('wpjobportal_addons_selection_fields',false,'makeLanguageSectionFields',$themecall);
                    break;
                }
            }
        }
        $protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $html .= '<div class="wpjp-resume-section-button"><script src="'.$protocol.'www.google.com/recaptcha/api.js" async defer></script>';
        if(current_user_can('manage_options')){
            $one = '';
            $two = '';
            $three = '';
            if(isset(wpjobportal::$_data[0]['personal_section']->status)){
                if(wpjobportal::$_data[0]['personal_section']->status == 1){
                    $one = ' selected ';
                }elseif(wpjobportal::$_data[0]['personal_section']->status == 0){
                    $two = ' selected ';
                }else{
                    $three = ' selected ';
                }
            }
            $status = isset(wpjobportal::$_data[0]['personal_section']->status) ? wpjobportal::$_data[0]['personal_section']->status : '';
            $html .= '
                <div class="wjportal-form-row">
                    <div class="wjportal-form-title">
                        <label id="total_experiencemsg" class="row-title" for="status">'.__('Status','wp-job-portal').'</label>
                    </div>
                    <div class="wjportal-form-value">
                    <select id="status" name="sec_1[status]" class="wjportal-form-select-field">
                        <option ';
                        $selected = ($status == 1) ? 'selected="selected"' : '';
            $html .=    $selected.' value="1" '.$one.'>'.__('Approved','wp-job-portal').'</option>
                        <option ';
                        $selected = ($status == 0) ? 'selected="selected"' : '';
            $html .=    $selected.' value="0" '.$two.'>'.__('Pending','wp-job-portal').'</option>
                        <option ';
                        $selected = ($status == -1) ? 'selected="selected"' : '';
            $html .=    $selected.' value="-1" '.$two.'>'.__('Reject','wp-job-portal').'</option>
                        <option ';
                        $selected = ($status == 3) ? 'selected="selected"' : '';
            $html .=    $selected.' value="-1" '.$two.'>'.__('Pending Payment','wp-job-portal').'</option>
                    </select></div>
                </div>
                ';
        }
        $isvisitor=false;
        if(isset($_COOKIE['wpjobportal_apply_visitor'])) $isvisitor=true;
        $config_array = wpjobportal::$_config->getConfigByFor('captcha');
        if (!is_user_logged_in() && $config_array['resume_captcha'] == 1) {
            if ($config_array['captcha_selection'] == 1) { // Google recaptcha
                $html .= '<div class="g-recaptcha" data-sitekey="'.$config_array["recaptcha_publickey"].'"></div>';

            } else { // own captcha
                $captcha = new WPJOBPORTALcaptcha;
                $html .= $captcha->getCaptchaForForm();
            }
        }

        if($this->show_terms_and_conditions == 1){
            $termsandconditions_link = get_the_permalink(wpjobportal::$_configuration['terms_and_conditions_page_resume']);
            $html .='
                <div class="js-col-md-12 js-form-wrapper wpjobportal-terms-and-conditions-wrap" data-wpjobportal-terms-and-conditions="1" >
                    <div class="js-col-md-12 js-form-value">
                        '.WPJOBPORTALformfield::checkbox('termsconditions', array('1' => __($this->terms_and_conditions_title, 'wp-job-portal')), 0, array('class' => 'checkbox')).'
                        <a title="'. __('Terms and Conditions','wp-job-portal').'" href="'. $termsandconditions_link.'" target="_blank" >
                        <img alt="'. __('Terms and Conditions','wp-job-portal').'" title="'. __('Terms and Conditions','wp-job-portal').'" src="'. wpjobportal::$_pluginpath.'includes/images/widget-link.png" /></a>
                    </div>
                </div>

            ';
        }


        $created = isset(wpjobportal::$_data[0]['personal_section']->created) ? wpjobportal::$_data[0]['personal_section']->created : date('Y-m-d H:i:s');
        $html .= '<div class="wpjp-resume-form-btn-wrp">
                <input type="hidden" id="created" name="sec_1[created]" value="'.$created.'">';
            $html .=WPJOBPORTALformfield::hidden('id', isset(wpjobportal::$_data[0]['personal_section']->id) ? wpjobportal::$_data[0]['personal_section']->id : '' );
            if(isset(wpjobportal::$_data[0]['personal_section']->uid) && ""!=wpjobportal::$_data[0]['personal_section']->uid){
                $uid=wpjobportal::$_data[0]['personal_section']->uid;
            } else{
                $uid=WPJOBPORTALincluder::getObjectClass('user')->uid();
            }
            //$html .= '<input type="hidden" id="uid" name="sec_1[uid]" value="'.$uid.'">';
            $html .=WPJOBPORTALformfield::hidden('uid', $uid);
            $html .=WPJOBPORTALformfield::hidden('action', 'resume_saveresume');
            $html .=WPJOBPORTALformfield::hidden('wpjobportalpageid', get_the_ID());
            $html .=WPJOBPORTALformfield::hidden('creditid', '');
            $html .=WPJOBPORTALformfield::hidden('upakid', isset(wpjobportal::$_data['package']) ? wpjobportal::$_data['package']->id : 0);
            $html .=WPJOBPORTALformfield::hidden('form_request', 'wpjobportal');
            $html .='<div class="wjportal-form-btn-wrp" id="save-button">';
            $guestallowed = 0;
            if (WPJOBPORTALincluder::getObjectClass('user')->isguest()) {
                $guestallowed = wpjobportal::$_config->getConfigurationByConfigName('visitor_can_add_resume');
            }
            if(!is_admin()){ // site
                if(in_array('multiresume', wpjobportal::$_active_addons)){
                    $cancel_link=wpjobportal::makeUrl(array('wpjobportalme'=>'multiresume', 'wpjobportallt'=>'myresumes'));
                }else{
                    $cancel_link=wpjobportal::makeUrl(array('wpjobportalme'=>'jobseeker'));
                }
            }elseif(is_admin()){
                $cancel_link = admin_url("admin.php?page=wpjobportal_resume");
            }
            $btn_cancel=false;
            if(!$isvisitor && is_user_logged_in() ){
                $btn_cancel=true;
            }
            if($btn_cancel==true)  {
                $html .= '<div class="wjportal-form-2-btn">';
            }

            if ($isvisitor &&  !is_admin()) {
                    $html .= '<input class="'.$this->class_prefix.'-btn-primary wjportal-form-btn wjportal-form-save-btn" type="button" onclick="submitresume();" value="' . __('Apply Now', 'wp-job-portal') . '"/>';
            } else {
                    $html .= '<input class="'.$this->class_prefix.'-btn-primary wjportal-form-btn wjportal-form-save-btn" type="button" onclick="submitresume();" value="' . __('Save Resume', 'wp-job-portal') . '"/>';
            }
            if($btn_cancel==true)  $html .= '</div>';
            if(!$isvisitor && is_user_logged_in() ){
                if($btn_cancel==true)  $html .= '<div class="wjportal-form-2-btn">';
                    $html .= '<a class="resume_submits cancel '.$this->class_prefix.' wjportal-form-btn wjportal-form-cancel-btn" href="'.$cancel_link.'">' . __('Cancel Resume', 'wp-job-portal') . '</a>';
                if($btn_cancel==true)  {
                        $html .= '</div>';
                }
            }
        $html .= '</div>';
        $html .= '</div>';
        $html .= '</form>';
        $html .= '</div>';// section wrapper end;
        echo $html;
        if (isset(wpjobportal::$_data[0]) && isset(wpjobportal::$_data[0]['personal_section'])) {
            $viewtags = wpjobportal::$_data[0]['personal_section']->viewtags;
        } else {
            $viewtags = '';
        }
        $viewtags = apply_filters('wpjobportal_addons_makeanchor_for_tags',false,$viewtags);
        echo $viewtags;
    }

    function getRowForView($text, $value, &$i) {
        $html = '';
        if ($i == 0 || $i % 2 == 0) {
            $html .= '<div class="wpjp-resume-row-wrp">';
        }
        $html .= '<div class="resume-row-wrapper">
                    <div class="wpjp-form-title">' . $text . ':</div>
                    <div class="wpjp-form-value">' . __($value,'wp-job-portal') . '</div>
                </div>';
        $i++;
        if ($i % 2 == 0) {
            $html .= '</div>';
        }
        return $html;
    }

    function getRowForForm($text, $value,$themecall=null) {
        if(null != $themecall){
            $html = '<div class="js-col-md-12 js-form-wrapper">
                <div class="js-col-md-12 js-form-title '.$this->class_prefix.'-bigfont">' . $text . '</div>
                <div class="js-col-md-12 js-form-value">' . $value . '</div>
            </div>';
        }else{
            $html = '<div class="wjportal-form-row ss">
                <div class="wjportal-form-title">' . $text . ':</div>
                <div class="wjportal-form-value">' . $value . '</div>
            </div>';

        }
        return $html;
    }

    function getHeadingRowForView($value) {
        $html = '<div class="resume-heading-row">' . $value . '</div>';
        return $html;
    }
}

?>
