<?php
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
if (!defined('ABSPATH'))
    die('Restricted Access');

$color1 = "#4d89dc";
$color2 = "#000000";
$color3 = "#575757";
$color5 = "#d4d4d5";
$color4 = "#666666";
$color6 = "#f0f0f0";
$color7 = "#ffffff";
$color8 = "#3c3435";
$color9 = "#D34034";
$color10 = wpjpAdjustBrightness($color1, -30);

function wpjpAdjustBrightness($hex, $steps) {
    // Steps should be between -255 and 255. Negative = darker, positive = lighter
    $steps = max(-255, min(255, $steps));
    // Normalize into a six character long hex string
    $hex = str_replace('#', '', $hex);
    if (strlen($hex) == 3) {
        $hex = str_repeat(substr($hex, 0, 1), 2) . str_repeat(substr($hex, 1, 1), 2) . str_repeat(substr($hex, 2, 1), 2);
    }
    // Split into three parts: R, G and B
    $color_parts = str_split($hex, 2);
    $return = '#';
    foreach ($color_parts as $color) {
        $color = hexdec($color); // Convert to decimal
        $color = max(0, min(255, $color + $steps)); // Adjust color
        $return .= str_pad(dechex($color), 2, '0', STR_PAD_LEFT); // Make two char hex code
    }
    return $return;
}
?>
<style>

    /*---------------------------
        WP Job Portal CSS
    ----------------------------*/

    /**********************
        general
    **********************/
    div.wjportal-main-wrapper {background: #fff;}
    div#wjportal-popup-background {background: rgba(0,0,0,0.7);}
    ::-webkit-input-placeholder { /* Chrome/Opera/Safari */color: #999 !important;}
    ::-moz-placeholder { /* Firefox 19+ */color: #999 !important;}
    :-ms-input-placeholder { /* IE 10+ */color: #999 !important;}
    :-moz-placeholder { /* Firefox 18- */color: #999 !important;}
    div.error {background-color: #ffbaba;color: #D7010D;border: 1px solid #D7010D;}
    div.updated {background-color: #dff2bf;color: #3F8000;border: 1px solid #3F8000;background-image: url('../images/user-publish.png');}
    span.wjportal-featured-tag-icon-wrp span.wjportal-featured-tag-icon {background: <?php echo $color1; ?>;}
    span.wjportal-featured-tag-icon-wrp span.wjportal-featured-tag-icon {color: #fff;}
    span.wjportal-featured-tag-icon-wrp span.wjportal-featured-hover-wrp {background: #fff;color: <?php echo $color3; ?>;}
    span.wjportal-featured-tag-icon-wrp span.wjportal-featured-hover-wrp::before {border-top: 7px solid transparent;border-right: 7px solid #fff;border-bottom: 7px solid transparent;}
    .wjportal-payment-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    .wjportal-payment-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    .wjportal-show-contact-det-btn {color: <?php echo $color2; ?>;border: 1px solid <?php echo $color2; ?>;background: #fff;}
    .wjportal-show-contact-det-btn:hover {color: #fff;background: <?php echo $color2; ?>;}
    div.wjportal-payment-action-wrp {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-visitor-apply-job-message {border: 1px solid #8bb0e9;background: #c8dcfc;color: #1a3867;}
    .wjportal-free {color: #f69292;}
    .wjportal-stripe {color: #008cdd;}
    .wjportal-paypal {color: #1e477a;}
    .wjportal-woocommerce {color: #d92bb3;}
    div.wjportal-container-small label {color: <?php echo $color2; ?>;}
    div.wjportal-container-small span#shortlist-stars {background: #fff;border: 1px solid <?php echo $color5; ?>;}
    .wjportal-item-status {color: #fff;}
    .wjportal-unsubscribed-btn-wrp {background: #fff !important;color: #a5323d !important;border: 1px solid #a5323d !important;}
    .wjportal-unsubscribed-btn-wrp:hover {background: #a5323d !important;color: #fff !important;}
    .wjportal-inbox {background-color:#00a859;}
    .wjportal-spam {background-color:#84716b;}
    .wjportal-hired {background-color:#99d000;}
    .wjportal-rejected {background-color:#ed3237;}
    .wjportal-shortlist {background-color:#fea702;}
    .wjportal-waiting {background: #fea702;color: #fff;}
    .wjportal-rejected {background: #e22828;color: #fff;}

    /**********************
        header
    **********************/
    div.wjportal-page-header div.wjportal-page-heading {color: <?php echo $color2; ?>;}
    div.wjportal-page-header div.wjportal-page-heading span.wjportal-company-salogon {color: <?php echo $color3; ?>;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-filter-wrp div.wjportal-filter select {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-filter-wrp div.wjportal-filter-image {border: 1px solid <?php echo $color5; ?>;border-left: 0;background: #fafafa;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-filter-wrp div.wjportal-filter-image:hover {background: #fff;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-act-btn-wrp .wjportal-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color1; ?>;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-act-btn-wrp .wjportal-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-act-btn-wrp .wjportan-canc-act-btn {border: 1px solid <?php echo $color5; ?>;background: #ffff;color: <?php echo $color2; ?>;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-act-btn-wrp .wjportan-canc-act-btn:hover {border-color: <?php echo $color2; ?>;background: <?php echo $color2; ?>;color: #fff;}
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-view-job-count span.wjportal-view-job-txt {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}

    /**********************
        breadcrums
    **********************/
    div.wjportal-breadcrumbs-wrp div.wjportal-breadcrumbs-links {color: <?php echo $color3; ?>;}
    div.wjportal-breadcrumbs-wrp div.wjportal-breadcrumbs-links::after {color: <?php echo $color3; ?>;}
    div.wjportal-breadcrumbs-wrp div.wjportal-breadcrumbs-links a.wjportal-breadcrumbs-link {color: <?php echo $color1; ?>;}

    /**********************
        pagination
    **********************/
    div.wjportal-pagination-wrp {background: #fafafa;border: 1px solid <?php echo $color5; ?>;}
    div.wjportal-pagination-wrp span.page-numbers {border: 1px solid <?php echo $color5; ?>;color:  <?php echo $color3; ?>;background: #fff;}
    div.wjportal-pagination-wrp span.page-numbers.current {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-pagination-wrp span.page-numbers.current:hover {background: <?php echo $color2; ?>;}
    div.wjportal-pagination-wrp a.page-numbers {border: 1px solid <?php echo $color5; ?>;color:  <?php echo $color3; ?>;background: #fff;}
    div.wjportal-pagination-wrp a.page-numbers:hover {color: <?php echo $color1; ?>;}
    div.wjportal-pagination-wrp a.page-numbers.next {background: <?php echo $color2; ?>;color: #fff;}
    div.wjportal-pagination-wrp a.page-numbers.next:hover {background: <?php echo $color1; ?>;}
    div.wjportal-pagination-wrp a.page-numbers.prev {background: <?php echo $color2; ?>;color: #fff;}
    div.wjportal-pagination-wrp a.page-numbers.prev:hover {background: <?php echo $color1; ?>;}

    /**********************
        error messages
    ************************/
    div.wjportal-error-messages-wrp {background: #fff;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-txt {color: #a5a7a9;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-txt2 {color: #afb0b2;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-actions-wrp .wjportal-error-msg-act-btn {border: 1px solid ;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-actions-wrp .wjportal-error-msg-act-login-btn {background: <?php echo $color1; ?>;color: #fff;border-color: <?php echo $color1; ?>;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-actions-wrp .wjportal-error-msg-act-login-btn:hover {background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-actions-wrp .wjportal-error-msg-act-register-btn {background: <?php echo $color2; ?>;color: #fff;border-color: <?php echo $color2; ?>;}
    div.wjportal-error-messages-wrp div.wjportal-error-msg-actions-wrp .wjportal-error-msg-act-register-btn:hover {background: #fff;color: <?php echo $color2; ?>;}

    /**********************
        company list
    **********************/
    div.wjportal-company-list {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color4; ?>;background: #fff;}
    div.wjportal-company-list:hover {background: #fafafa;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-middle-wrp div.wjportal-company-data span.wjportal-companyname {color: <?php echo $color2; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-middle-wrp div.wjportal-company-data span.wjportal-company-title a {color: <?php echo $color1; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-middle-wrp div.wjportal-company-data span.wjportal-company-title a:hover {color: <?php echo $color2; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-middle-wrp div.wjportal-company-data div.wjportal-company-data-text {color: <?php echo $color3; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-middle-wrp div.wjportal-company-data div.wjportal-company-data-text span.wjportal-company-data-title {color: <?php echo $color3; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-middle-wrp div.wjportal-company-data div.wjportal-company-data-text span.wjportal-company-data-value {color: <?php echo $color2; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-right-wrp div.wjportal-company-action .wjportal-company-act-btn {color: <?php echo $color1; ?>;background: #fff;border: 1px solid <?php echo $color1; ?>;}
    div.wjportal-company-list div.wjportal-company-list-top-wrp div.wjportal-company-cnt-wrp div.wjportal-company-right-wrp div.wjportal-company-action .wjportal-company-act-btn:hover {color: #fff;background: <?php echo $color1; ?>;}
    div.wjportal-company-list div.wjportal-company-list-btm-wrp {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-company-list div.wjportal-company-list-btm-wrp div.wjportal-company-action-wrp .wjportal-company-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-company-list div.wjportal-company-list-btm-wrp div.wjportal-company-action-wrp .wjportal-company-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        company detail
    **********************/
    div.wjportal-companydetail-wrapper div.wjportal-company-desc {color: <?php echo $color3; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-companyinfo-wrp div.wjportal-companyinfo .wjportal-companyinfo-link {color: <?php echo $color1; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-companyinfo-wrp div.wjportal-companyinfo .wjportal-companyinfo-link:hover {color: <?php echo $color2; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-companyinfo-wrp div.wjportal-companyinfo span.wjportal-companyinfo-data {color: <?php echo $color3; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-companyinfo-wrp div.wjportal-companyinfo span.wjportal-comp-status {color: #fff;background: <?php echo $color1; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-wrp div.wjportal-company-logo {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-companydetail-wrapper div.wjportal-company-data-wrp div.wjportal-company-sec-title {color: <?php echo $color2; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-data-wrp div.wjportal-company-data {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-data-wrp div.wjportal-company-data span.wjportal-company-data-tit {color: <?php echo $color3; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-data-wrp div.wjportal-company-data span.wjportal-company-data-val {color: <?php echo $color2; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-data-wrp div.wjportal-custom-field {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-btn-wrp .wjportal-company-act-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-companydetail-wrapper div.wjportal-company-btn-wrp .wjportal-company-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        filter search
    **********************/
    div.wjportal-filter-search-main-wrp {background: #fafafa;border: 1px solid <?php echo $color5; ?>;}
    div.wjportal-filter-search-main-wrp div.wjportal-filter-search-wrp div.wjportal-filter-search-field-wrp .wjportal-filter-search-input-field {background: #fff;border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;}
    div.wjportal-filter-search-main-wrp div.wjportal-filter-search-wrp div.wjportal-filter-search-field-wrp ul.wpjobportal-input-list-wpjobportal {background: #fff;border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;}
    div.wjportal-filter-search-main-wrp div.wjportal-filter-search-wrp div.wjportal-filter-search-btn-wrp .wjportal-filter-search-btn {background: #fff;color: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;}
    div.wjportal-filter-search-main-wrp div.wjportal-filter-search-wrp div.wjportal-filter-search-btn-wrp .wjportal-filter-search-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-filter-search-main-wrp div.wjportal-filter-search-wrp div.wjportal-filter-search-btn-wrp .wjportal-filter-reset-btn {background: #fff;color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;}
    div.wjportal-filter-search-main-wrp div.wjportal-filter-search-wrp div.wjportal-filter-search-btn-wrp .wjportal-filter-reset-btn:hover {background: #5b5b5b;color: #fff;}

    /**********************
        jobs list
    **********************/
    div.wjportal-jobs-list {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color4; ?>;background: #fff;}
    div.wjportal-jobs-list:hover {background: #fafafa;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-jobs-data a.wjportal-companyname {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-jobs-data a.wjportal-companyname:hover {color: <?php echo $color1; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-jobs-data span.wjportal-job-title a {color: <?php echo $color1; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-jobs-data span.wjportal-job-title a:hover {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-jobs-data span.wjportal-jobs-data-text {color: <?php echo $color3; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-shortlist-job-comments span.wjportal-shortlist-job-comment-tit {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-middle-wrp div.wjportal-shortlist-job-comments span.wjportal-shortlist-job-comment-val {color: <?php echo $color3; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-right-wrp div.wjportal-jobs-info {color: <?php echo $color3; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-right-wrp div.wjportal-jobs-info span.wjportal-job-type {color: #fff;}
    div.wjportal-jobs-list div.wjportal-jobs-list-top-wrp div.wjportal-jobs-cnt-wrp div.wjportal-jobs-right-wrp div.wjportal-jobs-info div.wjportal-jobs-salary {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp {background: #fafafa;border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-list-resume-wrp div.wjportal-jobs-list-resume-data span.wjportal-jobs-list-resume-tit {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-list-resume-wrp div.wjportal-jobs-list-resume-data span.wjportal-jobs-list-resume-val {color: <?php echo $color3; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-list-resume-wrp span.wjportal-applied-job-resume-status {color: #fff;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-action-wrp a.wjportal-jobs-act-btn {background: #fff;border: 1px solid <?php echo $color5; ?>;color: <?php echo $color1; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-action-wrp a.wjportal-jobs-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;border-color: <?php echo $color1; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-action-wrp a.wjportal-jobs-apply-res {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list div.wjportal-jobs-list-btm-wrp div.wjportal-jobs-action-wrp a.wjportal-jobs-apply-res:hover {background: <?php echo $color2; ?>;color: #fff;border-color: <?php echo $color2; ?>;}

    /**********************
        view job detail
    **********************/
    div.wjportal-jobdetail-wrapper div.wjportal-jobinfo-wrp div.wjportal-jobinfo span.wjportal-jobtype {color: #fff;}
    div.wjportal-jobdetail-wrapper div.wjportal-jobinfo-wrp div.wjportal-jobinfo span.wjportal-jobinfo-data {color: <?php echo $color3; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-jobinfo-wrp div.wjportal-jobinfo span.wjportal-job-close-date {color: #f58634;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-logo {background: #fff;border: 1px solid <?php echo $color5; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-cnt div.wjportal-job-company-info a.wjportal-job-company-name {color: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-cnt div.wjportal-job-company-info span.wjportal-job-company-info-tit {color: <?php echo $color3; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-cnt div.wjportal-job-company-info span.wjportal-job-company-info-val {color: <?php echo $color2; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-btn-wrp .wjportal-job-company-apply-status {color: #fff;border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-btn-wrp .wjportal-job-company-btn {color: #fff;border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-btn-wrp .wjportal-job-company-btn:hover {color: <?php echo $color1; ?>;background: #fff;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-btn-wrp .wjportal-job-jobapply-btn {color: #fff;border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp div.wjportal-job-company-btn-wrp .wjportal-job-jobapply-btn:hover {color: <?php echo $color1; ?>;background: #fff;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp .wjportal-job-act-btn {color: #fff;border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-company-wrp .wjportal-job-act-btn:hover {color: #fff;background: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-sec-title {color: <?php echo $color2; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-desc {color: <?php echo $color3; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-data-wrp div.wjportal-job-data {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-data-wrp div.wjportal-job-data span.wjportal-job-data-tit {color: <?php echo $color3; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-data-wrp div.wjportal-job-data span.wjportal-job-data-val {color: <?php echo $color2; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-btn-wrp .wjportal-job-act-btn {color: #fff;border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;}
    div.wjportal-jobdetail-wrapper div.wjportal-job-btn-wrp .wjportal-job-act-btn:hover {color: <?php echo $color1; ?>;background: #fff;}

    /**********************
        social share
    **********************/
    div.wjportal-social-share-wrp div.wjportal-social-share-sec-title {color: <?php echo $color2; ?>;}

    /**********************
        tags
    **********************/
    div.wjportal-tags-wrp div.wjportal-tags-sec-title {color: <?php echo $color2; ?>;}
    div.wjportal-tags-wrp .wjportal-tags-item {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color2; ?>;}
    div.wjportal-tags-wrp .wjportal-tags-item:hover {background: #fff;color: <?php echo $color3; ?>;}

    /**********************
        facebook comment
    **********************/
    div.wjportal-fb-comments-wrp div.wjportal-fb-comments-heading {color: <?php echo $color2; ?>;}

    /**********************
        save search
    **********************/
    div.wjportal-save-search-list {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-save-search-list div.wjportal-save-search-title {color: <?php echo $color2; ?>;}
    div.wjportal-save-search-list div.wjportal-save-search-created span.wjportal-save-search-created-text {color: <?php echo $color3; ?>;}
    div.wjportal-save-search-list div.wjportal-save-search-action-wrp .wjportal-save-search-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-save-search-list div.wjportal-save-search-action-wrp .wjportal-save-search-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        all forms layout
    **********************/
    div.wjportal-main-wrapper div.wjportal-job-sec-heading {color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp div.wjportal-form-sec-heading{color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row {border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-title {color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value {color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value input.wjportal-form-input-field {color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value select.wjportal-form-select-field {color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value textarea {color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-upload div.wjportal-form-upload-btn-wrp {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-upload div.wjportal-form-upload-btn-wrp .wjportal-form-upload-btn {border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-upload div.wjportal-form-upload-btn-wrp .wjportal-form-upload-btn:hover {background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value .wjportal-form-map-link {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value .wjportal-form-map-link:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value input.wjportal-form-date-field {color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-help-txt {color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-text {color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value ul.wpjobportal-input-list-wpjobportal {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value ul.wpjobportal-input-list-wpjobportal li.wpjobportal-input-token-wpjobportal {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value .chosen-container .chosen-choices {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value .chosen-container .chosen-drop {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-email-field-wrp div.wjportal-form-email-field {color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-email-field-wrp div.wjportal-form-email-field-txt {color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value .wjportal-form-add-comp {color: <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value label.wjportal-input-box-switch span.wjportal-input-box-slider {background: #ccc;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value label.wjportal-input-box-switch span.wjportal-input-box-slider:before {background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value label.wjportal-input-box-switch input:checked + span.wjportal-input-box-slider {background-color: <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value label.wjportal-input-box-switch input:focus + span.wjportal-input-box-slider {box-shadow: 0 0 1px <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-row div.wjportal-form-value div.wjportal-form-5-fields div.wjportal-form-symbol-fields span.wjportal-form-symbol {border: 1px solid <?php echo $color5; ?>;}
    div.wjportal-form-wrp div.wjportal-terms-and-conditions-wrap {color: <?php echo $color3; ?>;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp {border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp .wjportal-form-btn {color: #fff;background: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp .wjportal-form-btn:hover {color: <?php echo $color1; ?>;background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp .wjportal-form-save-btn {color: #fff;background: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp .wjportal-form-save-btn:hover {color: <?php echo $color1; ?>;background: #fff;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp .wjportal-form-cancel-btn {color: <?php echo $color2; ?>;background: #fff;border: 1px solid <?php echo $color2; ?>;}
    div.wjportal-form-wrp div.wjportal-form-btn-wrp .wjportal-form-cancel-btn:hover {color: #fff;background: <?php echo $color2; ?>;}

    /**********************
        login form
    **********************/
    div.wjportal-form-wrp form p.login-username,
    div.wjportal-form-wrp form p.login-password,
    div.wjportal-form-wrp form p.login-remember {border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-form-wrp form p.login-username label,
    div.wjportal-form-wrp form p.login-password label,
    div.wjportal-form-wrp form p.login-remember label {color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp form p.login-username input,
    div.wjportal-form-wrp form p.login-password input {color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-form-wrp form p.login-submit #wp-submit {color: #fff;background: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;}
    div.wjportal-form-wrp form p.login-submit #wp-submit:hover {color: <?php echo $color1; ?>;background: #fff;}
    div.wjportal-form-wrp form a.wjportal-form-lost-password {color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp form a.wjportal-form-lost-password:hover {color: <?php echo $color1; ?>;}
    div.wjportal-form-wrp a.wjportal-form-reg-btn {color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp a.wjportal-form-reg-btn:hover {color: <?php echo $color1; ?>;}

    /**********************
        save search form
    **********************/
    div.wjportal-save-search-form-wrp {border: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-save-search-form-wrp form label.wjportal-save-search-label {color: <?php echo $color2; ?>;}
    div.wjportal-save-search-form-wrp form input.wjportal-save-search-input-field {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-save-search-form-wrp form .wjportal-save-search-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-save-search-form-wrp form .wjportal-save-search-btn:hover {background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        social login form
    **********************/
    div.wjportal-social-login-wrp div.wjportal-sec-seprator div.wjportal-sec-seprator-text {color: <?php echo $color2; ?>;}
    div.wjportal-social-login-wrp div.wjportal-sec-seprator div.wjportal-sec-seprator-text::before {background: <?php echo $color5; ?>;}
    div.wjportal-social-login-wrp div.wjportal-sec-seprator div.wjportal-sec-seprator-text::after {background: #fafafa;}
    div.wjportal-social-login-wrp div.wjportal-social-login div.wjportal-social-login-title {color: <?php echo $color2; ?>;}
    div.wjportal-social-login-wrp div.wjportal-social-login div.wjportal-social-login-items .wjportal-social-login-btn {color: <?php echo $color3; ?>;border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-social-login-wrp div.wjportal-social-login div.wjportal-social-login-items .wjportal-social-login-btn:hover {color: <?php echo $color1; ?>;border-color: <?php echo $color1; ?>;}


    /***********************
        department list
    **********************/
    div.wjportal-department-list {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-department-list div.wjportal-department-list-top-wrp div.wjportal-department-cnt-wrp div.wjportal-department-middle-wrp div.wjportal-department-data div.wjportal-department-title {color: <?php echo $color2; ?>;}
    div.wjportal-department-list div.wjportal-department-list-top-wrp div.wjportal-department-cnt-wrp div.wjportal-department-middle-wrp div.wjportal-department-data div.wjportal-department-info-data a.wjportal-companyname {color: <?php echo $color1; ?>;}
    div.wjportal-department-list div.wjportal-department-list-top-wrp div.wjportal-department-cnt-wrp div.wjportal-department-middle-wrp div.wjportal-department-data div.wjportal-department-info-data span.wjportal-department-info-tit {color: <?php echo $color3; ?>;}
    div.wjportal-department-list div.wjportal-department-list-top-wrp div.wjportal-department-cnt-wrp div.wjportal-department-middle-wrp div.wjportal-department-data div.wjportal-department-info-data span.wjportal-department-info-val {color: <?php echo $color2; ?>;}
    div.wjportal-department-list div.wjportal-department-list-top-wrp div.wjportal-department-cnt-wrp div.wjportal-department-middle-wrp div.wjportal-department-data div.wjportal-department-desc {color: <?php echo $color3; ?>;}
    div.wjportal-department-list div.wjportal-department-list-top-wrp div.wjportal-department-cnt-wrp div.wjportal-department-right-wrp div.wjportal-department-info span.wjportal-department-status {color: #fff;}
    div.wjportal-department-list div.wjportal-department-list-btm-wrp {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-department-list div.wjportal-department-list-btm-wrp div.wjportal-department-action-wrp a.wjportal-department-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-department-list div.wjportal-department-list-btm-wrp div.wjportal-department-action-wrp a.wjportal-department-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        department detail
    **********************/
    div.wjportal-departmentdetail-wrapper div.wjportal-department-data-wrp div.wjportal-department-sec-title {color: <?php echo $color2; ?>;}
    div.wjportal-departmentdetail-wrapper div.wjportal-department-data-wrp div.wjportal-department-data a.wjportal-companyname {color: <?php echo $color1; ?>;}
    div.wjportal-departmentdetail-wrapper div.wjportal-department-data-wrp div.wjportal-department-data span.wjportal-department-data-tit {color: <?php echo $color3; ?>;}
    div.wjportal-departmentdetail-wrapper div.wjportal-department-data-wrp div.wjportal-department-data span.wjportal-department-data-val {color: <?php echo $color2; ?>;}
    div.wjportal-departmentdetail-wrapper div.wjportal-department-data-wrp div.wjportal-department-desc {color: <?php echo $color3; ?>;}


    /**********************
        folder list
    **********************/
    div.wjportal-folder-list {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-folder-list div.wjportal-folder-title {color: <?php echo $color2; ?>;}
    div.wjportal-folder-list div.wjportal-folder-status span.wjportal-folder-status-text {color: #fff;}
    div.wjportal-folder-list div.wjportal-folder-action-wrp .wjportal-folder-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-folder-list div.wjportal-folder-action-wrp .wjportal-folder-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        folder detail
    **********************/
    div.wjportal-folderdetail-wrapper div.wjportal-folder-data-wrp div.wjportal-folder-sec-title {color: <?php echo $color2; ?>;}
    div.wjportal-folderdetail-wrapper div.wjportal-folder-data-wrp div.wjportal-folder-desc {color: <?php echo $color3; ?>;}

    /**********************
        messages list
    **********************/
    div.wjportal-messages-list-wrapper div.wjportal-messages-list {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-messages-list-wrapper div.wjportal-messages-list div.wjportal-msg-list-top div.wjportal-msg-name {color: <?php echo $color2; ?>;}
    div.wjportal-messages-list-wrapper div.wjportal-messages-list div.wjportal-msg-list-btm {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-messages-list-wrapper div.wjportal-messages-list div.wjportal-msg-list-btm div.wjportal-msg-info div.wjportal-msg-info-data span.wjportal-msg-info-data-tit {color: <?php echo $color2; ?>;}
    div.wjportal-messages-list-wrapper div.wjportal-messages-list div.wjportal-msg-list-btm div.wjportal-msg-info div.wjportal-msg-info-data span.wjportal-msg-info-data-val {color: <?php echo $color3; ?>;}
    div.wjportal-messages-list-wrapper div.wjportal-messages-list div.wjportal-msg-list-btm div.wjportal-msg-action-wrp .wjportal-msg-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-messages-list-wrapper div.wjportal-messages-list div.wjportal-msg-list-btm div.wjportal-msg-action-wrp .wjportal-msg-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        send messages
    **********************/
    div.wjportal-send-message-wrapper div.wjportal-send-message {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-send-message-wrapper div.wjportal-send-message div.wjportal-send-msg-subject {color: <?php echo $color2; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-send-message div.wjportal-send-msg-text {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color3; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-send-message-form div.wjportal-form-row div.wjportal-form-title {color: <?php echo $color2; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-send-message-form div.wjportal-form-row div.wjportal-form-value {color: <?php echo $color3; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-send-message-form div.wjportal-form-btn-wrp .wjportal-form-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-send-message-form div.wjportal-form-btn-wrp .wjportal-form-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-send-message-wrapper div.wjportal-message-history-wrp div.wjportal-msg-history {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-send-message-wrapper div.wjportal-message-history-wrp div.wjportal-msg-history div.wjportal-msg-history-cnt div.wjportal-msg-history-top span.wjportal-msg-history-name {color: <?php echo $color1; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-message-history-wrp div.wjportal-msg-history div.wjportal-msg-history-cnt div.wjportal-msg-history-top span.wjportal-msg-history-created {color: <?php echo $color2; ?>;}
    div.wjportal-send-message-wrapper div.wjportal-message-history-wrp div.wjportal-msg-history div.wjportal-msg-history-cnt div.wjportal-msg-history-text {color: <?php echo $color3; ?>;}

    /**********************
        jobs by catagory
        resume by catagory
    **********************/
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-category-item {border: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-category-item:hover {background: #fff;}
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-category-item span.wjportal-by-category-item-title {color: <?php echo $color3; ?>;}
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-category-item span.wjportal-by-category-item-number {color: <?php echo $color2; ?>;}
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-sub-catagory {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-category-item-btn-wrp a.wjportal-by-category-item-btn {border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-by-categories-main-wrp div.wjportal-by-category-wrp div.wjportal-by-category-item-btn-wrp a.wjportal-by-category-item-btn:hover {background: #fff;color: <?php echo $color1; ?>;}

    /**********************
        all popups
    **********************/
    div.wjportal-popup-wrp {background: #fff;box-shadow: 0px 0px 30px #b0adad;}
    div.wjportal-payemt-popup {background: #fafafa !important;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-title {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-title span.wjportal-popup-title2 {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-title div.wjportal-popup-title3 {color: <?php echo $color3; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-contentarea div.wjportal-by-sub-catagory div.wjportal-by-category-wrp div.wjportal-by-category-item {border: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-contentarea div.wjportal-by-sub-catagory div.wjportal-by-category-wrp div.wjportal-by-category-item:hover {background: #fff;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-contentarea div.wjportal-by-sub-catagory div.wjportal-by-category-wrp div.wjportal-by-category-item span.wjportal-by-category-item-title {color: <?php echo $color3; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-contentarea div.wjportal-by-sub-catagory div.wjportal-by-category-wrp div.wjportal-by-category-item span.wjportal-by-category-item-number {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-contentarea ul.wjportal-popup-navigation li {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-field-wrp div.wjportal-popup-field label {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-field-wrp div.wjportal-popup-field input[type='text'] {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color3; ?>}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-field-wrp div.wjportal-popup-field textarea {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color3; ?>}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-popup-field-wrp div.wjportal-popup-field select {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-wrp {color: <?php echo $color3; ?>;background: #fefed8;border: 1px solid #f8e69c;}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-btn-wrp .wjportal-visitor-msg-btn {border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-btn-wrp .wjportal-visitor-msg-btn:hover {background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-btn-wrp .wjportal-visitor-msg-btn.login {border-color: <?php echo $color2; ?>;background: #fff;color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-btn-wrp .wjportal-visitor-msg-btn.login:hover {background: <?php echo $color2; ?>;color: #fff;}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-btn-wrp .wjportal-visitor-msg-close-btn {border: 1px solid <?php echo $color2; ?>;background: #fff;color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-visitor-msg-btn-wrp .wjportal-visitor-msg-close-btn:hover {background: <?php echo $color2; ?>;color: #fff;}
    #notification-ok {border: 1px solid #72ba60;background: #d1ffc6;}
    #notification-ok button {background: transparent;border: 0;}
    #notification-not-ok {border: 1px solid #ff0000;background: #ffd9d9;}
    #notification-not-ok button {background: transparent;border: 0;}

    /**********************
        select packages popup//
    **********************/
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item.wjportal-pkg-selected {border-color: <?php echo $color1; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-top {border-bottom: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item.wjportal-pkg-selected div.wjportal-pkg-item-top {border-color: <?php echo $color1; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-top div.wjportal-pkg-item-title {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-btm div.wjportal-pkg-item-row {border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-btm div.wjportal-pkg-item-row:first-child {border-top: 0px;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-btm div.wjportal-pkg-item-row span.wjportal-pkg-item-tit {color: <?php echo $color3; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-btm div.wjportal-pkg-item-row span.wjportal-pkg-item-val {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-btm div.wjportal-pkg-item-btn-row .wjportal-pkg-item-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item div.wjportal-pkg-item-btm div.wjportal-pkg-item-btn-row .wjportal-pkg-item-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-popup-wrp div.wjportal-packages-wrp div.wjportal-pkg-item.wjportal-pkg-selected div.wjportal-pkg-item-btm div.wjportal-pkg-item-btn-row .wjportal-pkg-item-btn {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        payemet methods popup
    **********************/
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-payemt-methods-wrp div.wjportal-payemt-method-desc div.wjportal-payemt-method-desc-data label {color: <?php echo $color2; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-payemt-methods-wrp div.wjportal-payemt-method-desc div.wjportal-payemt-method-desc-data span.wjportal-payemt-method-desc-txt {color: <?php echo $color3; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-payemt-methods-wrp div.wjportal-payemt-method-desc form button span {background: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;color: #fff;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-payemt-methods-wrp div.wjportal-payemt-method-desc form button span:hover {background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-payemt-methods-wrp div.wjportal-payemt-method-desc .wjportal-payemt-method-desc-btn {background: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;color: #fff;}
    div.wjportal-popup-wrp div.wjportal-popup-cnt div.wjportal-payemt-methods-wrp div.wjportal-payemt-method-desc .wjportal-payemt-method-desc-btn:hover {background: #fff;color: <?php echo $color1; ?>;}

    /**********************
        resume list
    **********************/
    div.wjportal-resume-list {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp:hover {background: #fafafa;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-logo {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-middle-wrp div.wjportal-resume-data span.wjportal-resume-job-type {color: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-middle-wrp div.wjportal-resume-data span.wjportal-resume-name {color: <?php echo $color2; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-middle-wrp div.wjportal-resume-data span.wjportal-resume-title {color: <?php echo $color1; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-middle-wrp div.wjportal-resume-data div.wjportal-resume-data-text {color: <?php echo $color3; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-middle-wrp div.wjportal-resume-data div.wjportal-resume-data-text span.wjportal-resume-data-title {color: <?php echo $color3; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-middle-wrp div.wjportal-resume-data div.wjportal-resume-data-text span.wjportal-resume-data-value {color: <?php echo $color2; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-action .wjportal-resume-act-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-action .wjportal-resume-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-btm-wrp {background: #fafafa;border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-btm-wrp div.wjportal-resume-action-wrp .wjportal-resume-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-btm-wrp div.wjportal-resume-action-wrp .wjportal-resume-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-btm-wrp div.wjportal-resume-action-wrp .wjportal-resume-cancel-act-btn {border: 1px solid <?php echo $color2; ?>;background: #fff;color: <?php echo $color2; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-btm-wrp div.wjportal-resume-action-wrp .wjportal-resume-cancel-act-btn:hover {background: <?php echo $color2; ?>;color: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-status-wrp {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-status-wrp span.wjportal-resume-status-heading {color: <?php echo $color2; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-status-wrp span.wjportal-resume-status-title {color: <?php echo $color3; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-status-wrp div.wjportal-resume-status-counter div.js-mr-rp .circle .mask .fill {background: <?php echo $color1; ?>;}
    div.wjportal-resume-list div.wjportal-resume-list-top-wrp div.wjportal-resume-cnt-wrp div.wjportal-resume-right-wrp div.wjportal-resume-status-wrp div.wjportal-resume-status-counter div.js-mr-rp .inset .percentage .numbers span {color: <?php echo $color1; ?>;}

    /**********************
        resume detail
    **********************/
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-resume-image {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-personal-data div.wjportal-resume-title {color: <?php echo $color2; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-resume-adv-act-wrp .wjportal-resume-adv-act-btn {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-resume-adv-act-wrp .wjportal-resume-adv-act-btn:hover {border-color: <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-personal-data div.wjportal-resume-info {color: <?php echo $color3; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-personal-data div.wjportal-resume-info span.wjportal-jobtype {color: #fff;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-personal-data div.wjportal-resume-info .wjportal-resume-download-all-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-top-section div.wjportal-personal-data div.wjportal-resume-info .wjportal-resume-download-all-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-title {color: <?php echo $color2; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-wrapper div.wjportal-resume-inner-sec-heading {color: <?php echo $color2; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-wrapper div.wjportal-resume-sec-row div.wjportal-resume-sec-data {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-wrapper div.wjportal-resume-sec-row div.wjportal-resume-sec-data div.wjportal-resume-sec-data-title {color: <?php echo $color3; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-wrapper div.wjportal-resume-sec-row div.wjportal-resume-sec-data div.wjportal-resume-sec-data-value {color: <?php echo $color2; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-wrapper div.wjportal-resume-attachments-wrp div.wjportal-resume-sec-data div.wjportal-resume-sec-data-value a {color: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;}
    div.wjportal-resume-detail-wrapper div.wjportal-resume-section-wrapper div.wjportal-resume-attachments-wrp div.wjportal-resume-sec-data div.wjportal-resume-sec-data-value a img.wjportal-resume-attachment-file-download {background: <?php echo $color1; ?>;}

    /**********************
        resume form
    **********************/
    div.wjportal-form-wrp div.wjportal-resume-section-title {border-top: 1px solid <?php echo $color5; ?>;}
    div.wjportal-form-wrp div#jsresume_sectionid1.wjportal-resume-section-title {border-top: 0;}
    div.wjportal-form-wrp div.wjportal-resume-section-wrp div.wjportal-resume-section div.wjportal-resume-section-head {background: #fafafa;color: <?php echo $color2; ?>;}
    div.wjportal-form-wrp div.wjportal-resume-section-wrp div.wjportal-resume-section div.wjportal-resume-section-undo {background: rgba(219, 221, 224, 0.7);}
    div.wjportal-form-wrp div.wjportal-resume-add-new-section-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-form-wrp div.wjportal-resume-add-new-section-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wpjp-resume-form div.jsresume_addnewbutton {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color1; ?>;}
    div.wpjp-resume-form form.wpjp-form div.wpjp-form-wrapper div.wpjp-form-value textarea {background: #fafafa;}
    div.wpjp-resume-form form.wpjp-form div.wpjp-form-wrapper div.wpjp-form-value ul.wpjobportal-input-list-wpjobportal {border: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wpjobportal-wrapper form.wpjp-form div.wpjp-form-wrapper div.wpjp-form-value .wpjp-upload-btn {background: <?php echo $color1; ?>;color: #fff;}
    div.wpjobportal-wrapper form.wpjp-form div.wpjp-form-wrapper div.wpjp-form-value img {border: 1px solid <?php echo $color5; ?>;}
    div.wpjobportal-wrapper form.wpjp-form div.wpjp-form-wrapper div.wpjp-form-value .wpjp-upload-file {border: 1px solid <?php echo $color5; ?>;}
    div.wpjp-resume-form div.wpjp-add-new-section-link {border: 1px solid <?php echo $color1; ?>;color: <?php echo $color1; ?>;}
    div.wpjp-resume-form div.wpjp-add-new-section-link:hover {color: #fff;background: <?php echo $color1; ?>;}
    div.wpjp-resume-form div.jssectionwrapper:last-child {border: none;}
    div.wpjobportal-wrapper.wpjp-resume-form-wrp div.wpjp-resume-section-title {border-top: 1px solid <?php echo $color5; ?>;}
    div.wpjobportal-wrapper.wpjp-resume-form-wrp div.wpjp-resume-form-btn-wrp {border-top: 1px solid <?php echo $color5; ?>;}
    div.wpjobportal-wrapper.wpjp-resume-form-wrp div.wpjp-resume-form-btn-wrp div.btn-color {background: <?php echo $color1; ?>;color: #fff;}
    div.wpjobportal-wrapper.wpjp-resume-form-wrp div.wpjp-resume-form-btn-wrp div.wpjp-resume-btn .wpjp-savebtn {border: 1px solid transparent;}
    div.wpjobportal-wrapper.wpjp-resume-form-wrp div.wpjp-resume-form-btn-wrp div.wpjp-resume-btn .wpjp-savebtn.bg-color {background: <?php echo $color1; ?>;color: #fff;}
    div.wpjobportal-wrapper.wpjp-resume-form-wrp div.wpjp-resume-form-btn-wrp div.wpjp-resume-btn:hover .wpjp-savebtn {background: #fff;color: <?php echo $color1; ?>;border: 1px solid <?php echo $color1; ?>;}

    /**********************
        resume popup
    **********************/
    div#black_wrapper_jobapply {background: rgba(0,0,0,.8);}
    div.wpjp-resume-popup-wrp {background: #fff;border-bottom: 5px solid <?php echo $color1; ?>;}
    div.wpjp-resume-popup-wrp span.close-resume-files {background: <?php echo $color1; ?>;border-bottom: 5px solid <?php echo $color10; ?>;color: #fff;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span.wpjp-clickable-files {background: <?php echo $color6; ?>;color: <?php echo $color8; ?>;border: 1px solid <?php echo $color5; ?>;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span.wpjp-heading-popup {background: <?php echo $color1; ?>;color: <?php echo $color6; ?>;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected {background: #FFF;border: 1px solid <?php echo $color5; ?>;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected div.resumefileselected {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color4; ?>;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected div.resumefileselected.errormsg {border: 1px solid #ED3237;background: #fafafa;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected div.resumefileselected.errormsg span.filename {color: #ED3237;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected div.error_msg {color: #ED3237;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected div.resumefileselected button {background: <?php echo $color6; ?>;color: <?php echo $color8; ?>;border: 1px solid <?php echo $color5; ?>;}
    div.wpjp-resume-popup-wrp div.wpjp-resumepopup-section-wrapper span#resume-files-selected div.resumefileselected button:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wpjp-resume-popup-wrp div.wpjp-resume-filepopup-lowersection-wrapper {color: <?php echo $color4; ?>;}

    /**********************
        job apllied resume
    **********************/
    div.wjportal-job-applied-resume div.wjportal-section-heading {color: <?php echo $color2; ?>;}
    div.wjportal-job-applied-resume-actions {border-bottom: 3px solid <?php echo $color1; ?>;background: #fff;}
    div.wjportal-job-applied-resume-actions ul li a {border: 1px solid <?php echo $color5; ?>;background: #fafafa;color: <?php echo $color3; ?>;}
    div.wjportal-job-applied-resume-actions ul li a:hover {background: #fff;color: <?php echo $color2; ?>;}
    div.wjportal-job-applied-resume-actions ul li a.selected {border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-job-applied-resume-actions ul li a.selected:hover {background: #fff; ?>;color: <?php echo $color1;?>;}
    div.wjportal-job-applied-resume-actions .wjportal-export-all-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-job-applied-resume-actions .wjportal-export-all-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-applied-job-adv-search-wrp {border: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-applied-job-adv-search-wrp div.wjportal-applied-job-adv-search-field select.wjportal-applied-job-adv-search-select-field {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-applied-job-adv-search-wrp div.wjportal-applied-job-adv-search-action-wrp .wjportal-applied-job-adv-search-save-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-applied-job-adv-search-wrp div.wjportal-applied-job-adv-search-action-wrp .wjportal-applied-job-adv-search-save-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-applied-job-adv-search-wrp div.wjportal-applied-job-adv-search-action-wrp .wjportal-applied-job-adv-search-cancel-btn {border: 1px solid <?php echo $color2; ?>;background: #fff;color: <?php echo $color2; ?>;}
    div.wjportal-applied-job-adv-search-wrp div.wjportal-applied-job-adv-search-action-wrp .wjportal-applied-job-adv-search-cancel-btn:hover {background: <?php echo $color2; ?>;color: #fff;}
    div.wjportal-applied-job-actions-popup div.wjportal-applied-job-actions-wrp div.wjportal-applied-job-actions-row label {color: <?php echo $color2; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-applied-job-actions-wrp div.wjportal-applied-job-actions-row input {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-applied-job-actions-wrp div.wjportal-applied-job-actions-row select {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-applied-job-actions-wrp div.wjportal-applied-job-actions-row textarea {border: 1px solid <?php echo $color5; ?>;background: #fff;color: <?php echo $color3; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-job-actions-detail-wrp div.wjportal-job-actions-detail-row span.wjportal-job-actions-detail-tit {color: <?php echo $color3; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-job-actions-detail-wrp div.wjportal-job-actions-detail-row span.wjportal-job-actions-detail-val {color: <?php echo $color2; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-job-applied-actions-btn-wrp .wjportal-job-applied-actions-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-applied-job-actions-popup div.wjportal-job-applied-actions-btn-wrp .wjportal-job-applied-actions-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-applied-job-actions-popup span.wjportal-applied-job-actions-popup-norec {color: red;border: 1px solid red;background: #ffdada;}
    div.wjportal-applied-job-actions-popup span.wjportal-applied-job-actions-popup-norec .wjportal-applied-job-actions-popup-norec-link {color: <?php echo $color2; ?>;}
    div.wjportal-applied-job-actions-popup span.wjportal-applied-job-actions-popup-norec .wjportal-applied-job-actions-popup-norec-link:hover {color: <?php echo $color1; ?>;}

    /**********************
        employer cp
    **********************/
    div#wjportal-emp-cp-wrp div.wjportal-cp-sec-title {border-bottom: 1px solid <?php echo $color5; ?>;color: <?php echo $color2; ?>;background: #fafafa;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left {border: 1px solid <?php echo $color5; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user {background: #fafafa;border-bottom: 1px solid <?php echo $color5; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-user-logo {border: 5px solid <?php echo $color1; ?>;background: #fff;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-user-name {color: <?php echo $color2; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-user-tagline {color: <?php echo $color3; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-cp-user-action {border-top: 1px solid <?php echo $color5; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-cp-user-action a.wjportal-cp-user-act-btn {border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-cp-user-action a.wjportal-cp-user-act-btn:hover {background: #fff;color: <?php echo $color1; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-sec-title {background: #fff;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list {border-width: 1px 1px 1px 1px;border-style: solid;border-color: transparent transparent <?php echo $color5; ?> transparent;background: #fafafa;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list:hover {background: #fff;border-color: <?php echo $color1; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list a.wjportal-list-anchor {color: <?php echo $color3; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list a.wjportal-list-anchor:hover {color: <?php echo $color1; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box div.wjportal-cp-box-top {color: #fff;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box1 div.wjportal-cp-box-top {background: #55aa99;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box2 div.wjportal-cp-box-top {background: #a2433e;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box3 div.wjportal-cp-box-top {background: #ad7c32;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box4 div.wjportal-cp-box-top {background: #f5814f;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box div.wjportal-cp-box-btm span.wjportal-cp-box-text {color: <?php echo $color3; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box1 div.wjportal-cp-box-btm a {color: #55aa99;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box2 div.wjportal-cp-box-btm a {color: #a2433e;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box3 div.wjportal-cp-box-btm a {color: #ad7c32;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box4 div.wjportal-cp-box-btm a {color: #f5814f;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-sect-wrp {border: 1px solid <?php echo $color5; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-view-btn-wrp {border-top: 1px solid <?php echo $color5; ?>;}
    div#wjportal-emp-cp-wrp div.wjportal-cp-right div.wjportal-cp-view-btn-wrp a.wjportal-cp-view-btn {background: <?php echo $color1; ?>;color: #fff;}


    /**********************
        jobseeker cp
    **********************/
    div#wjportal-job-cp-wrp div.wjportal-cp-sec-title {border-bottom: 1px solid <?php echo $color5; ?>;color: <?php echo $color2; ?>;background: #fafafa;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left {border: 1px solid <?php echo $color5; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user {background: #fafafa;border-bottom: 1px solid <?php echo $color5; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-user-logo {border: 5px solid <?php echo $color1; ?>;background: #fff;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-user-name {color: <?php echo $color2; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-user-tagline {color: <?php echo $color3; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-cp-user-action  {border-top: 1px solid <?php echo $color5; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-cp-user-action a.wjportal-cp-user-act-btn {border: 1px solid <?php echo $color1; ?>;background: <?php echo $color1; ?>;color: #fff;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-user div.wjportal-cp-user-action a.wjportal-cp-user-act-btn:hover {background: #fff;color: <?php echo $color1; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-sec-title {background: #fff;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list {border-width: 1px 1px 1px 1px;border-style: solid;border-color: transparent transparent <?php echo $color5; ?> transparent;background: #fafafa;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list:hover {background: #fff;border-color: <?php echo $color1; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list a.wjportal-list-anchor {color: <?php echo $color3; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-left div.wjportal-cp-short-links-wrp div.wjportal-cp-short-links-list div.wjportal-cp-list a.wjportal-list-anchor:hover {color: <?php echo $color1; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box div.wjportal-cp-box-top {color: #fff;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box1 div.wjportal-cp-box-top {background: #55aa99;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box2 div.wjportal-cp-box-top {background: #a2433e;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box3 div.wjportal-cp-box-top {background: #ad7c32;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box4 div.wjportal-cp-box-top {background: #31559c;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box div.wjportal-cp-box-btm span.wjportal-cp-box-text {color: <?php echo $color3; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box1 div.wjportal-cp-box-btm a {color: #55aa99;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box2 div.wjportal-cp-box-btm a {color: #a2433e;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box3 div.wjportal-cp-box-btm a {color: #ad7c32;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-boxes div.wjportal-cp-box.box4 div.wjportal-cp-box-btm a {color: #31559c;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-sect-wrp {border: 1px solid <?php echo $color5; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-view-btn-wrp {border-top: 1px solid <?php echo $color5; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-view-btn-wrp a.wjportal-cp-view-btn {background: <?php echo $color1; ?>;color: #fff;border: 1px solid <?php echo $color1; ?>;}
    div#wjportal-job-cp-wrp div.wjportal-cp-right div.wjportal-cp-view-btn-wrp a.wjportal-cp-view-btn:hover {background: #fff;color: <?php echo $color1; ?>;}

    /**********************
        custom fields
    **********************/
    div.wjportal-custom-field span.wjportal-custom-field-tit {color: <?php echo $color3; ?>;}
    div.wjportal-custom-field span.wjportal-custom-field-val {color: <?php echo $color2; ?>;}

    /**********************
        tables
    **********************/
    table#wjportal-table {border: 1px solid <?php echo $color5; ?>;}
    table#wjportal-table thead tr {background: #fafafa;color: #fff;border-bottom: 1px solid <?php echo $color5; ?>;}
    table#wjportal-table tbody {background: #fff;}
    table#wjportal-table tbody tr {color: <?php echo $color3; ?>;border-bottom: 1px solid <?php echo $color5; ?>;}
    table#wjportal-table tbody tr:last-child {border-bottom: 0;}
    table#wjportal-table tr th {background: #fafafa;}
    table#wjportal-table tbody tr td a {color: <?php echo $color1; ?>;box-shadow: none;}
    table#wjportal-table tbody tr td a:hover {color: <?php echo $color2; ?>;}

    /**********************
        my invoices
    **********************/
    div.wjportal-my-invoices-wrapper div.wjportal-my-invoices-sec-tit {border: 1px solid <?php echo $color5; ?>;border-bottom: 0;background: #fff;}
    div.wjportal-my-invoices-wrapper div.wjportal-my-invoices-sec-tit div.wjportal-my-invoices-sec-tit-txt {color: <?php echo $color2; ?>;}
    div.wjportal-my-invoices-wrapper div.wjportal-my-invoices-sec-action-wrp .wjportal-my-invoices-sec-act-btn {border: 1px solid <?php echo $color1; ?>;background: #fff;color: <?php echo $color1; ?>;}
    div.wjportal-my-invoices-wrapper div.wjportal-my-invoices-sec-action-wrp .wjportal-my-invoices-sec-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;}

    /**********************
        packages list
    **********************/
    div.wjportal-packages-list div.wjportal-packages-list-title div.wjportal-packages-list-title-txt {color: <?php echo $color2; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top {border-bottom: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top div.wjportal-pkg-list-item-title div.wjportal-pkg-list-item-title-txt {color: <?php echo $color2; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top div.wjportal-pkg-list-item-crt-date {color: <?php echo $color3; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top span.wjportal-pkg-list-item-disc {background: #0def0d;color: #fff;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top div.wjportal-pkg-list-item-price span.wjportal-pkg-list-item-price-txt {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top div.wjportal-pkg-list-item-price span.wjportal-pkg-list-item-price-discount {color: <?php echo $color2; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-top div.wjportal-pkg-list-item-price span.wjportal-pkg-list-item-price-discount::before {background: #f00;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-mid div.wjportal-pkg-list-item-data div.wjportal-pkg-list-item-row {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-mid div.wjportal-pkg-list-item-data div.wjportal-pkg-list-item-row span.wjportal-pkg-list-item-row-tit {color: <?php echo $color3; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-mid div.wjportal-pkg-list-item-data div.wjportal-pkg-list-item-row span.wjportal-pkg-list-item-row-val {color: <?php echo $color2; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-btm {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-btm div.wjportal-pkg-list-item-action-wrp .wjportal-pkg-list-item-act-btn {background: #fff;border: 1px solid <?php echo $color1; ?>;color: <?php echo $color1; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-btm div.wjportal-pkg-list-item-action-wrp .wjportal-pkg-list-item-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-btm div.wjportal-pkg-list-item-action-wrp div.wjportal-pkg-list-renew-discount {color: <?php echo $color3; ?>;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-btm div.wjportal-pkg-list-item-action-wrp div.wjportal-pkg-list-purchased-text {color: #01a101;}
    div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-btm div.wjportal-pkg-list-item-exp-date {color: #f00;}

    /**********************
        select packages list
    **********************/
    div.wjportal-select-packages-list div.wjportal-packages-list div.wjportal-pkg-list-item div.wjportal-pkg-list-item-mid div.wjportal-pkg-list-item-data div.wjportal-pkg-list-item-row:last-child {border-bottom: 0;}

    /**********************
        by type
    **********************/
    div.wjportal-by-type-wrp div.wjportal-type-wrapper a {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;background: #fafafa;}
    div.wjportal-by-type-wrp div.wjportal-type-wrapper a:hover {border-color: <?php echo $color1; ?>;color: <?php echo $color2; ?>;background: #fff;}

    /**********************
        purchase history
    **********************/
    div.wjportal-purchase-hist div.wjportal-purchase-hist-title div.wjportal-purchase-hist-title-txt {color: <?php echo $color2; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item {border: 1px solid <?php echo $color5; ?>;background: #fff;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top {border-bottom: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top div.wjportal-purch-hist-title div.wjportal-purch-hist-title-txt {color: <?php echo $color2; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top div.wjportal-purch-hist-crt-date {color: <?php echo $color3; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top span.wjportal-purch-hist-disc {background: #0def0d;color: #fff;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top div.wjportal-purch-hist-price span.wjportal-purch-hist-price-txt {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top div.wjportal-purch-hist-price span.wjportal-purch-hist-price-discount {color: <?php echo $color2; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-top div.wjportal-purch-hist-price span.wjportal-purch-hist-price-discount::before {background: #f00;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-mid div.wjportal-purch-hist-data div.wjportal-purch-hist-row {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-mid div.wjportal-purch-hist-data div.wjportal-purch-hist-row span.wjportal-purch-hist-row-tit {color: <?php echo $color3; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-mid div.wjportal-purch-hist-data div.wjportal-purch-hist-row span.wjportal-purch-hist-row-val {color: <?php echo $color2; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-btm {border-top: 1px solid <?php echo $color5; ?>;background: #fafafa;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-btm div.wjportal-purch-hist-action-wrp .wjportal-purch-hist-act-btn {background: #fff;border: 1px solid <?php echo $color1; ?>;color: <?php echo $color1; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-btm div.wjportal-purch-hist-action-wrp .wjportal-purch-hist-act-btn:hover {background: <?php echo $color1; ?>;color: #fff;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-btm div.wjportal-purch-hist-action-wrp div.wjportal-pkg-list-renew-discount {color: <?php echo $color3; ?>;}
    div.wjportal-purchase-hist div.wjportal-pkg-list-item div.wjportal-purch-hist-btm div.wjportal-purch-hist-action-wrp div.wjportal-pkg-list-purchased-text {color: #01a101;}

    /**********************
        widgets
    **********************/

    .wjportal-mod-heading {color: <?php echo $color2; ?>;}
    #wpjobportal_module_wrapper #tp_heading span#tp_headingtext {color: <?php echo $color2; ?>;}

    /* jobs on map */
    div.wjportal-jobs-list-map::after {border-top: 10px solid #fff;border-right: 10px solid transparent;border-left: 10px solid transparent;}
    div.wjportal-jobs-list-map div.wjportal-jobs-list {border: 0;}
    div.wjportal-jobs-list-map div.wjportal-jobs-list div.wjportal-jobs-cnt div.wjportal-jobs-data .wjportal-companyname {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list-map div.wjportal-jobs-list div.wjportal-jobs-cnt div.wjportal-jobs-data .wjportal-companyname:hover {color: <?php echo $color1; ?>;}
    div.wjportal-jobs-list-map div.wjportal-jobs-list div.wjportal-jobs-cnt div.wjportal-jobs-data .wjportal-job-title {color: <?php echo $color1; ?>;}
    div.wjportal-jobs-list-map div.wjportal-jobs-list div.wjportal-jobs-cnt div.wjportal-jobs-data .wjportal-job-title:hover {color: <?php echo $color2; ?>;}
    div.wjportal-jobs-list-map div.wjportal-jobs-list div.wjportal-jobs-cnt div.wjportal-jobs-data .wjportal-jobs-data-txt {color: <?php echo $color3; ?>;}

    /* company widget */
    div.wjportal-comp-mod {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-comp-mod:last-child {border-bottom: 0;}
    div.wjportal-comp-mod div.wjportal-comp-cont div.wjportal-company-title .wjportal-companyname {color: <?php echo $color1; ?>;}
    div.wjportal-comp-mod div.wjportal-comp-cont div.wjportal-company-title .wjportal-companyname:hover {color: <?php echo $color2; ?>;}
    div.wjportal-comp-mod div.wjportal-comp-cont div.wjportal-company-data span.wjportal-company-data-tit {color: <?php echo $color3; ?>;}
    div.wjportal-comp-mod div.wjportal-comp-cont div.wjportal-company-data span.wjportal-company-data-val {color: <?php echo $color2; ?>;}

    /* job widget */
    div.wjportal-job-mod {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-job-mod:last-child {border-bottom: 0;}
    div.wjportal-job-mod div.wjportal-job-cont div.wjportal-job-title .wjportal-jobname {color: <?php echo $color1; ?>;}
    div.wjportal-job-mod div.wjportal-job-cont div.wjportal-job-title .wjportal-jobname:hover {color: <?php echo $color2; ?>;}
    div.wjportal-job-mod div.wjportal-job-cont div.wjportal-job-data span.wjportal-job-data-tit {color: <?php echo $color3; ?>;}
    div.wjportal-job-mod div.wjportal-job-cont div.wjportal-job-data span.wjportal-job-data-val {color: <?php echo $color2; ?>;}
    div.wjportal-job-mod div.wjportal-job-cont div.wjportal-job-data span.wjportal-job-data-val .wjportal-compname {color: <?php echo $color1; ?>;}
    div.wjportal-job-mod div.wjportal-job-cont div.wjportal-job-data span.wjportal-job-data-val .wjportal-compname:hover {color: <?php echo $color2; ?>;}

    /* resume widget */
    div.wjportal-resume-mod {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-resume-mod:last-child {border-bottom: 0;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-title .wjportal-res-name {color: <?php echo $color1; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-title .wjportal-res-name:hover {color: <?php echo $color2; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-data span.wjportal-res-data-tit {color: <?php echo $color3; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-data span.wjportal-res-data-val {color: <?php echo $color2; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-data .wjportal-res-app {color: <?php echo $color2; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-data .wjportal-res-app:hover {color: <?php echo $color1; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-data span.wjportal-res-data-val .wjportal-res-name {color: <?php echo $color2; ?>;}
    div.wjportal-resume-mod div.wjportal-res-cont div.wjportal-res-data span.wjportal-res-data-val .wjportal-res-name:hover {color: <?php echo $color1; ?>;}

    /* job by category / type widget */
    div.wjportal-job-by-mod div.wjportal-job-by div.wjportal-job-by-item {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-job-by-mod div.wjportal-job-by div.wjportal-job-by-item:last-child {border-bottom: 0;}
    div.wjportal-job-by-mod div.wjportal-job-by div.wjportal-job-by-item .wjportal-job-by-item-cnt {color: <?php echo $color2; ?>;}
    div.wjportal-job-by-mod div.wjportal-job-by div.wjportal-job-by-item .wjportal-job-by-item-cnt:hover {color: <?php echo $color1; ?>;}

    /* job by location widget */
    div.wjportal-job-by-location-mod div.wjportal-job-by-loc div.wjportal-job-by-loc-item {border-bottom: 1px solid <?php echo $color5; ?>;}
    div.wjportal-job-by-location-mod div.wjportal-job-by-loc div.wjportal-job-by-loc-item:last-child {border-bottom: 0;}
    div.wjportal-job-by-location-mod div.wjportal-job-by-loc div.wjportal-job-by-loc-item .wjportal-job-by-loc-item-cnt {color: <?php echo $color2; ?>;}
    div.wjportal-job-by-location-mod div.wjportal-job-by-loc div.wjportal-job-by-loc-item .wjportal-job-by-loc-item-cnt:hover {color: <?php echo $color1; ?>;}

    /* job by stats widget */
    div.wjportal-stats-mod div.wjportal-stats div.wjportal-stats-data {border-bottom: 1px solid <?php echo $color5; ?>;color: <?php echo $color2; ?>;}
    div.wjportal-stats-mod div.wjportal-stats div.wjportal-stats-data:last-child {border-bottom: 0;}

    /* search job / resume widget */
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-row div.wjportal-form-tit {color: <?php echo $color2; ?>;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-row div.wjportal-form-val {color: <?php echo $color3; ?>;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-row div.wjportal-form-val input[type="text"] {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;background: <?php echo $color7; ?>;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-row div.wjportal-form-val select {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;background: <?php echo $color7; ?>;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-row div.wjportal-form-val textarea {border: 1px solid <?php echo $color5; ?>;color: <?php echo $color3; ?>;background: <?php echo $color7; ?>;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-btn-row .wjportal-form-srch-btn {border: 1px solid <?php echo $color1; ?>;color: #fff;background: <?php echo $color1; ?>;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-btn-row .wjportal-form-srch-btn:hover {color: <?php echo $color1; ?>;background: #fff;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-btn-row .wjportal-form-adv-srch-btn {border: 1px solid <?php echo $color2; ?>;color: <?php echo $color2; ?>;background: #fff;}
    div.wjportal-search-mod form.wjportal-form div.wjportal-form-btn-row .wjportal-form-adv-srch-btn:hover {color: #fff;background: <?php echo $color2; ?>;}

    /* themes */
    div#theme_heading {border-bottom: 4px solid #1572e8;background:#414141;}
    div#theme_heading div.left_side {border-right:1px solid #ffffff;}
    div#theme_heading div.left_side a {border:unset;}
    div#theme_heading div.left_side span.job_sharing_text {color:#ffffff;}
    div#theme_heading div a {border:1px solid #1572e8;color:#ffffff;}
    div.js_theme_section {background:#414141;color:#ffffff;}
    div.js_theme_section span.js_theme_heading {border-bottom:4px solid #1572e8;}
    div.js_theme_section div.color_portion {border-bottom: 2px solid #ffffff;}
    div.js_theme_section div.color_portion input[type="text"] {color: #fff;}
    div.js_theme_section div.color_submit_button input.submit-button {background: #000000;color: #cccccc;border: none;}
    div.js_effect_preview div#jsst_breadcrumbs_parent {border:1px solid #D5D5D5;background:#FCFCFC;}
    div.js_effect_preview div#jsst_breadcrumbs_parent div{border-left:1px solid #ababab;}
    div.js_effect_preview div#jsst_breadcrumbs_parent img{box-shadow: none;}
    div.js_effect_preview div#jsst_breadcrumbs_parent div.home {background-color:#4d4d4d;}
    div.js_effect_preview div#jsst_breadcrumbs_parent div.links a.links {box-shadow: unset;}
    div.js_effect_preview div#jsst_breadcrumbs_parent div.lastlink {color: #343538;}
    div.js_effect_preview div#wpjobportal-wrapper {background: #FFFFFF;}

    /* themes preset */
    div#black_wrapper_jobapply{background:rgba(0,0,0,.8);}
    div#js_job_wrapper span.js_job_controlpanelheading {background: #1572e8;color: #FFFFFF;}
    div#js_job_wrapper div.js_theme_wrapper{background:#262626;border-bottom: 9px solid #1572e8;}
    div#js_job_wrapper div.js_theme_wrapper div.theme_platte div.color_wrapper img.preview{box-shadow: 0px 0px 3px #ffffff;}
    div#js_job_wrapper div.js_theme_wrapper div.theme_platte div.color_wrapper span.theme_name{color:#ffffff;}





    /* responsive */
    @media (max-width: 782px) {

    }

    @media (max-width: 650px) {

    }

    @media (max-width: 480px) {

    }

    /* rtl */
    <?php  if (is_rtl()) {?>

    /**********************
        header
    **********************/
    div.wjportal-page-header div.wjportal-header-actions div.wjportal-filter-wrp div.wjportal-filter-image {border-right: 0;border-left: 1px solid <?php echo $color5; ?>;}




    /* responsive */
    @media (max-width: 782px) {

    }

    @media (max-width: 650px) {

    }

    @media (max-width: 480px) {

    }


    <?php } ?>

</style>



