<?php
if (!defined('ABSPATH'))
    die('Restricted Access');
wp_enqueue_script('jquery-ui-tabs');
$yesno = array((object) array('id' => 1, 'text' => __('Yes', 'wp-job-portal')), (object) array('id' => 0, 'text' => __('No', 'wp-job-portal')));
$showhide = array((object) array('id' => 1, 'text' => __('Show', 'wp-job-portal')), (object) array('id' => 0, 'text' => __('Hide', 'wp-job-portal')));
$applybutton = array((object) array('id' => 1, 'text' => __('Enable')), (object) array('id' => 2, 'text' => __('Disable')));
$msgkey = WPJOBPORTALincluder::getJSModel('configuration')->getMessagekey();
WPJOBPORTALMessages::getLayoutMessage($msgkey);
$theme_chk = wpjobportal::$theme_chk;
?>
<?php 
$defaultcustom = array(
    (object) array('id' => '1', 'text' => __('Default', 'jslearnmanager')),
    (object) array('id' => '2', 'text' => __('Custom', 'jslearnmanager'))
);
?>

<script type="text/javascript">
// for the set register 
        jQuery(document).ready(function () {
        jQuery('select#jobseeker_set_register_link').change(function(){
           var value = jQuery(this).val();
           // alert(value);

           if (value == 2)
            {
               jQuery('.registerlink_field').attr('style','display: block');
            }else
            {
                jQuery('.registerlink_field').attr('style','display: none');
            }
            })

           var value = jQuery('select#jobseeker_set_register_link').val();
           if (value == 2)
            {
               jQuery('.registerlink_field').attr('style','display: block');
            }else
            {
                jQuery('.registerlink_field').attr('style','display: none');
            }
            });
    //end set register
</script>




<!-- main wrapper -->
<div id="wpjobportaladmin-wrapper">
    <!-- left menu -->
    <div id="wpjobportaladmin-leftmenu">
        <?php  WPJOBPORTALincluder::getClassesInclude('wpjobportaladminsidemenu'); ?>
    </div>
    <div id="wpjobportaladmin-data">
        <!-- top bar -->
        <div id="wpjobportal-wrapper-top">
            <div id="wpjobportal-wrapper-top-left">
                <div id="wpjobportal-breadcrumbs">
                    <ul>
                        <li>
                            <a href="<?php echo admin_url('admin.php?page=wpjobportal'); ?>" title="<?php echo __('dashboard','wp-job-portal'); ?>">
                                <?php echo __('Dashboard','wp-job-portal'); ?>
                            </a>
                        </li>
                        <li><?php echo __('Jobseeker Configurations','wp-job-portal'); ?></li>
                    </ul>
                </div>
            </div>
            <div id="wpjobportal-wrapper-top-right">
                <div id="wpjobportal-config-btn">
                    <a href="admin.php?page=wpjobportal_configuration" title="<?php echo __('configuration','wp-job-portal'); ?>">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/control_panel/dashboard/config.png">
                   </a>
                </div>
                <div id="wpjobportal-vers-txt">
                    <?php echo __('Version','wp-job-portal').': '; ?>
                    <span class="wpjobportal-ver"><?php echo WPJOBPORTALincluder::getJSModel('configuration')->getConfigValue('versioncode'); ?></span>
                </div>
            </div>
        </div>
        <!-- top head -->
        <div id="wpjobportal-head">
            <h1 class="wpjobportal-head-text">
                <?php echo __('Jobseeker Configurations', 'wp-job-portal'); ?>
            </h1>
        </div>
        <!-- page content -->
        <div id="wpjobportal-admin-wrapper">
            <form id="wpjobportal-form" class="wpjobportal-configurations" method="post" action="<?php echo admin_url("admin.php?page=wpjobportal_configuration&task=saveconfiguration") ?>">
                <div id="tabs" class="tabs">
                    <ul>
                        <li>
                            <a href="#js_generalsetting">
                                <?php echo __('General Settings', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#js_resume_setting">
                                <?php echo __('Resume Settings', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#js_visitor">
                                <?php echo __('Visitors', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#js_memberlinks">
                                <?php echo __('Members Links', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#js_visitorlinks">
                                <?php echo __('Visitors Links', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <?php if(in_array('email', wpjobportal::$_active_addons)){ ?>
                                <li>
                                    <a href="#email">
                                        <?php echo __('Email Alert', 'wp-job-portal'); ?>
                                    </a>
                                </li>
                       <?php } ?>
                    </ul>
                    <div class="tabInner">
                        <div id="js_generalsetting">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('General Settings', 'wp-job-portal'); ?>
                            </h3>
                            <?php if(in_array('featuredresume', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Enable featured resume', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('system_have_featured_resume', $yesno, wpjobportal::$_data[0]['system_have_featured_resume']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Featured resume are allowed in plugin', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Show company contact detail', 'wp-job-portal').' ( '.__('effect on credits system').' )'; ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('company_contact_detail', $yesno, wpjobportal::$_data[0]['company_contact_detail']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('If no then credits will be taken to view contact detail', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show apply button', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('showapplybutton', $yesno, wpjobportal::$_data[0]['showapplybutton']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Controls the visibility of apply now button in plugin', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show applied resume status', 'wp-job-portal'); ?>

                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('show_applied_resume_status', $yesno, wpjobportal::$_data[0]['show_applied_resume_status']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show count in jobs by categories page', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('categories_numberofjobs', $yesno, wpjobportal::$_data[0]['categories_numberofjobs']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show count in jobs by types page', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('jobtype_numberofjobs', $yesno, wpjobportal::$_data[0]['jobtype_numberofjobs']); ?>
                                </div>
                            </div>



                                <!--Set Register Link  -->
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title"><?php echo __('Set Job seeker Register link', 'learn-manager'); ?></div>
                                    <div class="wpjobportal-config-value"><?php echo WPJOBPORTALformfield::select('jobseeker_set_register_link', $defaultcustom, wpjobportal::$_data[0]['jobseeker_set_register_link']); ?></div>
                                    <div class="wpjobportal-config-description"><small><?php echo __('New Job seeker Set Register link redirect page', 'learn-manager'); ?></small></div>
                                </div>

                                <!-- custome -->
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title"></div>
                                    <div class="wpjobportal-config-value"><?php echo WPJOBPORTALformfield::text('jobseeker_register_link', wpjobportal::$_data[0]['jobseeker_register_link'], array('class' => 'inputbox registerlink_field')); ?></div>
                                    <div class="wpjobportal-config-description"><small><?php echo __('Custome Job seeker Regitser Link', 'learn-manager'); ?></small></div>
                                </div>
                                <!--End Register Link  -->  


                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Job seeker Registration redirect page ', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('register_jobseeker_redirect_page', WPJOBPORTALincluder::getJSModel('postinstallation')->getPageList(), wpjobportal::$_data[0]['register_jobseeker_redirect_page']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('whenever anyone registers as job seeker, he will be redirected to this page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('empautoapprove', $yesno, wpjobportal::$_data[0]['empautoapprove']); ?>
                                </div>
                            </div>
                            <?php if(in_array('featuredresume', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Featured','wp-job-portal') .' '. __('resume','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('featuredresume_autoapprove', $yesno, wpjobportal::$_data[0]['featuredresume_autoapprove']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('jobalert', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Job alert for visitor', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('overwrite_jobalert_settings', $yesno, wpjobportal::$_data[0]['overwrite_jobalert_settings']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('shortlist', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Job short list', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('allow_jobshortlist', $yesno, wpjobportal::$_data[0]['allow_jobshortlist']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Job short list setting effects on jobs listing page', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('featuredresume', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Job alert','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jobalert_auto_approve', $yesno, wpjobportal::$_data[0]['jobalert_auto_approve']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('tellafriend', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Tell a friend', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('allow_tellafriend', $yesno, wpjobportal::$_data[0]['allow_tellafriend']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Tell a friend setting effects on jobs listing page', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show login logout button', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('jobsloginlogout', $yesno, wpjobportal::$_data[0]['jobsloginlogout']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Show login logout button in job seeker control panel', 'wp-job-portal'); ?>
                                </div>
                            </div>
                        </div>
                        <div id="js_resume_setting">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Resume Settings', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Document file extensions', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('document_file_type', wpjobportal::$_data[0]['document_file_type'], array('class' => 'inputbox')); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Document file extensions allowed', 'wp-job-portal'); ?>, <?php echo __('Must be comma separated', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume file maximum size', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('document_file_size', wpjobportal::$_data[0]['document_file_size'], array('class' => 'inputbox not-full-width', 'data-validation' => 'number')); ?>&nbsp KB
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('System will not upload if resume file size exceeds than given size', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Number of files for resume', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('document_max_files', wpjobportal::$_data[0]['document_max_files'], array('class' => 'inputbox', 'data-validation' => 'number')); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Maximum number of files that job seeker can upload in resume', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume photo maximum size ', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('resume_photofilesize', wpjobportal::$_data[0]['resume_photofilesize'], array('class' => 'inputbox not-full-width', 'data-validation' => 'number')); ?> &nbsp;KB
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Number of employers allowed', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('max_resume_employers', wpjobportal::$_data[0]['max_resume_employers'], array('class' => 'inputbox', 'data-validation' => 'number')); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Maximum number of employers allowed in resume', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <?php if(in_array('advanceresumebuilder', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Number of institutes allowed', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::text('max_resume_institutes', wpjobportal::$_data[0]['max_resume_institutes'], array('class' => 'inputbox', 'data-validation' => 'number')); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('Maximum number of institutes allowed in resume', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Number of languages allowed', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::text('max_resume_languages', wpjobportal::$_data[0]['max_resume_languages'], array('class' => 'inputbox', 'data-validation' => 'number')); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('Maximum number of languages allowed in resume', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Number of addresses allowed', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::text('max_resume_addresses', wpjobportal::$_data[0]['max_resume_addresses'], array('class' => 'inputbox', 'data-validation' => 'number')); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('Maximum number of addresses allowed in resume', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                            <?php } ?>
                        </div>
                        <div id="js_visitor">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Job Seeker', 'wp-job-portal'); ?>
                            </h3>
                            <?php if(in_array('visitorapplyjob', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Visitor can apply to job', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('visitor_can_apply_to_job', $yesno, wpjobportal::$_data[0]['visitor_can_apply_to_job']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Visitor can add resume', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitor_can_add_resume', $yesno, wpjobportal::$_data[0]['visitor_can_add_resume']); ?>
                                </div>
                            </div>
                            <?php if(in_array('visitorapplyjob', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Show login message to visitor', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('visitor_show_login_message', $yesno, wpjobportal::$_data[0]['visitor_show_login_message']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Show login option to visitor on job apply', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Visitor post resume redirect page ', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitor_add_resume_redirect_page', WPJOBPORTALincluder::getJSModel('postinstallation')->getPageList(), wpjobportal::$_data[0]['visitor_add_resume_redirect_page']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('whenever any visitor posts a resume, he will be redirected to this page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show captcha on resume form', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('resume_captcha', $yesno, wpjobportal::$_data[0]['resume_captcha']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Show captcha on visitor form resume', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <?php if(in_array('tellafriend',wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Show captcha on Job alert form', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('job_alert_captcha', $yesno, wpjobportal::$_data[0]['job_alert_captcha']); ?><br clear="all"/>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Show captcha visitor job alert form', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('tellafriend',wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Show captcha on tell a friend popup', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('tell_a_friend_captcha', $yesno, wpjobportal::$_data[0]['tell_a_friend_captcha']); ?><br clear="all"/>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Show captcha on visitor tell a friend popup', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Visitors Can View Job seeker', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Control Panel', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_js_controlpanel', $showhide, wpjobportal::$_data[0]['visitorview_js_controlpanel']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('View company', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_emp_viewcompany', $showhide, wpjobportal::$_data[0]['visitorview_emp_viewcompany']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('View Job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_emp_viewjob', $showhide, wpjobportal::$_data[0]['visitorview_emp_viewjob']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Jobs By Categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_js_jobcat', $showhide, wpjobportal::$_data[0]['visitorview_js_jobcat']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Newest jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_js_newestjobs', $showhide, wpjobportal::$_data[0]['visitorview_js_newestjobs']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Search job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_js_jobsearch', $showhide, wpjobportal::$_data[0]['visitorview_js_jobsearch']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Job search result', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_js_jobsearchresult', $showhide, wpjobportal::$_data[0]['visitorview_js_jobsearchresult']); ?>
                                </div>
                            </div>
                        </div>
                        <div id="js_memberlinks">
                            <?php if($theme_chk == 0){ ?>
                            <?php } else { ?>
                                    <h3 class="wpjobportal-config-heading-main">
                                        <?php echo __('Job Seeker Dashboard','wp-job-portal'); ?>
                                    </h3>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Jobs Graph', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_jobs_graph', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_jobs_graph']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Useful Links', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_useful_links', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_useful_links']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Applied jobs', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_apllied_jobs', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_apllied_jobs']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Shortlisted Jobs', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_shortlisted_jobs', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_shortlisted_jobs']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Credits Log', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_credits_log', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_credits_log']); ?>
                                        </div>
                                    </div>
                                    <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Invoice', 'wp-job-portal'); ?>
                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_purchase_history', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_purchase_history']); ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Newest Jobs', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('temp_jobseeker_dashboard_newest_jobs', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_newest_jobs']); ?>
                                        </div>
                                    </div>
                            <?php } ?>
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Job Seeker Control Panel Links','wp-job-portal'); ?>
                            </h3>
                            <?php if($theme_chk == 0){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Active Resume Graph', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jsactivejobs_graph', $showhide, wpjobportal::$_data[0]['jsactivejobs_graph']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('message', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('User Messages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('js_cpmessage', $showhide, wpjobportal::$_data[0]['js_cpmessage']); ?>
                                        </div>
                                    </div>
                           <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Resumes', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('myresumes', $showhide, wpjobportal::$_data[0]['myresumes']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Resume', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('formresume', $showhide, wpjobportal::$_data[0]['formresume']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Jobs By Categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('jobcat', $showhide, wpjobportal::$_data[0]['jobcat']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Newest Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('listnewestjobs', $showhide, wpjobportal::$_data[0]['listnewestjobs']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Jobs By Types', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('listjobbytype', $showhide, wpjobportal::$_data[0]['listjobbytype']); ?>
                                </div>
                            </div>
                           <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Invoice', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jspurchasehistory', $showhide, wpjobportal::$_data[0]['jspurchasehistory']); ?>
                                    </div>
                                </div>

                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('My Subscription', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jsratelist', $showhide, wpjobportal::$_data[0]['jsratelist']); ?>
                                    </div>
                                </div>

                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('My Packages', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jscreditlog', $showhide, wpjobportal::$_data[0]['jscreditlog']); ?>
                                    </div>
                                </div>

                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Packages', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jscredits', $showhide, wpjobportal::$_data[0]['jscredits']); ?>
                                    </div>
                                </div>
                        <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Search Job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('jobsearch', $showhide, wpjobportal::$_data[0]['jobsearch']); ?>
                                </div>
                            </div>
                            <?php if(in_array('resumeserach', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Saved Searches', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('my_jobsearches', $showhide, wpjobportal::$_data[0]['my_jobsearches']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if (in_array('jobalert', wpjobportal::$_active_addons)) { ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Job Alert', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jobalertsetting', $showhide, wpjobportal::$_data[0]['jobalertsetting']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('message', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Messages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('jsmessages', $showhide, wpjobportal::$_data[0]['jsmessages']); ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            <?php if (in_array('rssfeedback', wpjobportal::$_active_addons)) { ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Jobs RSS', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('wpjobportal_rss', $showhide, wpjobportal::$_data[0]['wpjobportal_rss']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Register', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('jsregister', $showhide, wpjobportal::$_data[0]['jsregister']); ?>
                                </div>
                            </div>
                            <?php if(in_array('shortlist', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Short Listed Jobs', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('listjobshortlist', $showhide, wpjobportal::$_data[0]['listjobshortlist']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Applied Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('myappliedjobs', $showhide, wpjobportal::$_data[0]['myappliedjobs']); ?>
                                </div>
                            </div>
                        </div>
                        <div id="js_visitorlinks">
                            <?php if($theme_chk == 0){ ?>
                                
                            <?php }else{ ?>
                                    <h3 class="wpjobportal-config-heading-main">
                                        <?php echo __('Job Seeker Dashboard','wp-job-portal'); ?>
                                    </h3>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Jobs Graph', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_temp_jobseeker_dashboard_jobs_graph', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_jobs_graph']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Useful Links', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_temp_jobseeker_dashboard_useful_links', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_useful_links']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Applied jobs', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_temp_jobseeker_dashboard_apllied_jobs', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_apllied_jobs']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Shortlisted Jobs', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_temp_jobseeker_dashboard_shortlisted_jobs', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_shortlisted_jobs']); ?>
                                        </div>
                                    </div>
                                    <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                            <div class="wpjobportal-config-row">
                                                <div class="wpjobportal-config-title">
                                                    <?php echo __('Invoice', 'wp-job-portal'); ?>
                                                </div>
                                                <div class="wpjobportal-config-value">
                                                    <?php echo WPJOBPORTALformfield::select('vis_temp_jobseeker_dashboard_purchase_history', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_purchase_history']); ?>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Newest Jobs', 'wp-job-portal'); ?>
                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_temp_jobseeker_dashboard_newest_jobs', $showhide, wpjobportal::$_data[0]['temp_jobseeker_dashboard_newest_jobs']); ?>
                                        </div>
                                    </div>
                             <?php } ?> 
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Job Seeker Control Panel Links','wp-job-portal'); ?>
                            </h3>
                            <?php if($theme_chk == 0){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Active Resume Graph', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jsactivejobs_graph', $showhide, wpjobportal::$_data[0]['vis_jsactivejobs_graph']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Resumes', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_jsmyresumes', $showhide, wpjobportal::$_data[0]['vis_jsmyresumes']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Resume', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_jsformresume', $showhide, wpjobportal::$_data[0]['vis_jsformresume']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Jobs By Categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_wpjobportalcat', $showhide, wpjobportal::$_data[0]['vis_wpjobportalcat']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Newest Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_jslistnewestjobs', $showhide, wpjobportal::$_data[0]['vis_jslistnewestjobs']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Jobs By Types', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_jslistjobbytype', $showhide, wpjobportal::$_data[0]['vis_jslistjobbytype']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Applied Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_jsmyappliedjobs', $showhide, wpjobportal::$_data[0]['vis_jsmyappliedjobs']); ?>
                                </div>
                            </div>
                            <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Invoice', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_jspurchasehistory', $showhide, wpjobportal::$_data[0]['vis_jspurchasehistory']); ?>
                                        </div>
                                    </div>

                                    <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('My Subscription', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jsratelist', $showhide, wpjobportal::$_data[0]['vis_jsratelist']); ?>
                                    </div>
                                </div>

                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('My Packages', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jscreditlog', $showhide, wpjobportal::$_data[0]['vis_jscreditlog']); ?>
                                    </div>
                                </div>

                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Packages', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jscredits', $showhide, wpjobportal::$_data[0]['vis_jscredits']); ?>
                                    </div>
                                </div>


                                <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Search Job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_wpjobportalearch', $showhide, wpjobportal::$_data[0]['vis_wpjobportalearch']); ?>
                                </div>
                            </div>
                            <?php if(in_array('resumeserach', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Saved Searches', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jsmy_jobsearches', $showhide, wpjobportal::$_data[0]['vis_jsmy_jobsearches']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('jobalert', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Job Alert', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_wpjobportalalertsetting', $showhide, wpjobportal::$_data[0]['vis_wpjobportalalertsetting']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('jobalert', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Messages', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jsmessages', $showhide, wpjobportal::$_data[0]['vis_jsmessages']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('rssfeedback', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Jobs RSS', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_job_rss', $showhide, wpjobportal::$_data[0]['vis_job_rss']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Register', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_jsregister', $showhide, wpjobportal::$_data[0]['vis_jsregister']); ?>
                                </div>
                            </div>
                                <?php if(in_array('shortlist', wpjobportal::$_active_addons)){ ?>
                                         <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Short Listed Jobs', 'wp-job-portal'); ?>

                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('vis_jslistjobshortlist', $showhide, wpjobportal::$_data[0]['vis_jslistjobshortlist']); ?>
                                            </div>
                                        </div>
                               <?php } ?>
                            </div>
                           <?php if(in_array('email', wpjobportal::$_active_addons)){ ?>
                                    <div id="email">
                                        <h3 class="wpjobportal-config-heading-main">
                                            <?php echo __('Applied Resume Alert', 'wp-job-portal'); ?>
                                        </h3>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Applied resume notification', 'wp-job-portal'); ?>

                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('jobseeker_resume_applied_status', $yesno, wpjobportal::$_data[0]['jobseeker_resume_applied_status']); ?>
                                            </div>
                                            <div class="wpjobportal-config-description">
                                                <?php echo __('Applied resume status change mail to jobseeker', 'wp-job-portal'); ?>
                                            </div>
                                        </div>
                                    </div>
                         <?php  } ?>
                    </div>
                </div>
                <?php echo WPJOBPORTALformfield::hidden('isgeneralbuttonsubmit', 0); ?>
                <?php echo WPJOBPORTALformfield::hidden('wpjobportallt', 'configurationsjobseeker'); ?>
                <?php echo WPJOBPORTALformfield::hidden('action', 'configuration_saveconfiguration'); ?>
                <?php echo WPJOBPORTALformfield::hidden('form_request', 'wpjobportal'); ?>
                <div class="wpjobportal-config-btn">
                    <?php echo WPJOBPORTALformfield::submitbutton('save', __('Save','wp-job-portal') .' '. __('Configuration', 'wp-job-portal'), array('class' => 'button wpjobportal-config-save-btn')); ?>
                </div>
            </form>
        </div>

    <script >
        jQuery(document).ready(function () {
            var value = jQuery("#showapplybutton").val();
            var divsrc = "div#showhideapplybutton";
            if (value == 2) {
                jQuery(divsrc).slideDown("slow");
            }
        });
        function showhideapplybutton(src, value) {
            var divsrc = "div#" + src;
            if (value == 2) {
                jQuery(divsrc).slideDown("slow");
            } else if (value == 1) {
                jQuery(divsrc).slideUp("slow");
                jQuery(divsrc).hide();
            }
            return true;
        }

        jQuery(document).ready(function () {
            jQuery("#tabs").tabs();
        });
    </script>
</div>
</div>
