<?php

if (!defined('ABSPATH'))
    die('Restricted Access');

class WPJOBPORTALEmployerModel {
    // if not use than remove
    function getEmployerCpTabData($uid){
        if(!is_numeric($uid)) return;
        $query="select res.id,job.title as jobtitle,job.id AS jobid,ja.action_status AS applystatus,res.application_title AS resumetitle,
                concat(res.first_name,' ',res.last_name) AS resumename ,ja.apply_date AS jobaplly ,
                res.photo
                from " . wpjobportal::$_db->prefix . "wj_portal_resume AS res
                join  " . wpjobportal::$_db->prefix . "wj_portal_jobapply AS ja on res.id=ja.cvid
                join " . wpjobportal::$_db->prefix . "wj_portal_jobs AS job on ja.jobid=job.id
                where job.uid=".$uid." GROUP BY job.id ORDER BY jobaplly DESC LIMIT 5 ";
        $applied_jobs= wpjobportaldb::get_results($query);
        if(!empty($applied_jobs)){
            wpjobportal::$_data[0]['cpappliedresume'] = wpjobportaldb::get_results($query);
        }
        return;
    }
    // if not use than remove
    function getNewestResumeForEmployer($guestflag) {
        if($guestflag == false){
            $query = "SELECT resume.id,resume.first_name,resume.last_name,resume.application_title,resume.email_address,category.cat_title,resume.created,jobtype.title AS jobtypetitle,resume.photo
                ,resume.status,city.cityName AS cityname,state.name AS statename,country.name AS countryname
                ,resume.params,resume.last_modified,LOWER(jobtype.title) AS jobtypetit
                ,'resumeaddress' AS address_city
                FROM `" . wpjobportal::$_db->prefix . "wj_portal_resume` AS resume
                JOIN `" . wpjobportal::$_db->prefix . "wj_portal_categories` AS category ON category.id = resume.job_category
                LEFT JOIN `" . wpjobportal::$_db->prefix . "wj_portal_jobtypes` AS jobtype ON jobtype.id = resume.jobtype
                LEFT JOIN `" . wpjobportal::$_db->prefix . "wj_portal_cities` AS city ON city.id = (SELECT address_city FROM `" . wpjobportal::$_db->prefix . "wj_portal_resumeaddresses` WHERE resumeid = resume.id LIMIT 1)
                LEFT JOIN `" . wpjobportal::$_db->prefix . "wj_portal_states` AS state ON state.id = city.stateid
                LEFT JOIN `" . wpjobportal::$_db->prefix . "wj_portal_countries` AS country ON country.id = city.countryid
                WHERE resume.status = 1 ORDER BY resume.created desc LIMIT 0,5 ";
            $results = wpjobportal::$_db->get_results($query);
            $data = array();
            foreach ($results AS $d) {
              $d->location = WPJOBPORTALincluder::getJSModel('common')->getLocationForView($d->cityname, $d->statename, $d->countryname);
                $data[] = $d;
            }
            wpjobportal::$_data[0]['newestresume'] = $data;
        }
        wpjobportal::$_data['config'] = WPJOBPORTALincluder::getJSModel('configuration')->getConfigByFor('emcontrolpanel');
    }
    // if not use than remove
    function getApplliedResumeBYUid($uid) {
        if (!is_numeric($uid))
            return false;
        $query = "SELECT resume.id, resume.photo,resume.application_title , resume.email_address,resume.first_name,resume.last_name,cat.cat_title,resumeaddress.address_city
                    From " . wpjobportal::$_db->prefix . "wj_portal_jobapply AS jobapply
                    JOIN " . wpjobportal::$_db->prefix . "wj_portal_jobs AS job ON job.id = jobapply.jobid
                    JOIN " . wpjobportal::$_db->prefix . "wj_portal_resume AS resume ON resume.id = jobapply.cvid
                    JOIN " . wpjobportal::$_db->prefix . "wj_portal_categories AS cat ON cat.id = resume.job_category
                    LEFT JOIN " . wpjobportal::$_db->prefix . "wj_portal_resumeaddresses AS resumeaddress ON resume.id=resumeaddress.resumeid
                    WHERE job.uid = " . $uid . " LIMIT 0,3";
        wpjobportal::$_data[0]['appliedresume'] = wpjobportaldb::get_results($query);
    }
    // if not use than remove
   function getLatestResumeIdNew($uid){
        if(!is_numeric($uid))
            return false;
        $query = "SELECT DISTINCT apply.jobid,company.id as companyid,jobs.title as title,company.uid as userid
                    FROM `" . wpjobportal::$_db->prefix . "wj_portal_jobapply` as apply
                    JOIN `" . wpjobportal::$_db->prefix . "wj_portal_jobs` as jobs on apply.jobid=jobs.id
                    JOIN `" . wpjobportal::$_db->prefix . "wj_portal_companies` as company ON company.id=jobs.companyid
                    WHERE company.uid='$uid' ORDER BY apply.jobid DESC limit 0,2 ";
        $result = wpjobportaldb::get_results($query);
        $jobtype = $result;
        wpjobportal::$_data[0]['jobid']=$jobtype;
        $i=0;
        //////******To Get Job Wise Resume****///////
        foreach ($jobtype as $key) {
            $query = "SELECT app.uid AS jobseekerid,company.uid AS employerid,jobapply.id AS jobapplyid ,job.id,job.uid as userid
                , cat.cat_title ,jobapply.apply_date, jobapply.resumeview, jobtype.title AS jobtypetitle
                ,app.id AS appid,app.id AS id,app.first_name,app.last_name, app.email_address,app.gender,app.isfeaturedresume,app.endfeatureddate,app.params,
                app.jobtype AS jobtype
                ,app.id AS resumeid ,job.hits AS jobview,app.last_modified,app.salaryfixed AS salary
                ,(SELECT COUNT(id) FROM `" . wpjobportal::$_db->prefix . "wj_portal_jobapply` WHERE jobid = job.id) AS totalapply
                ,(SELECT address_city FROM `" . wpjobportal::$_db->prefix . "wj_portal_resumeaddresses` WHERE resumeid = app.id ORDER BY created DESC LIMIT 1) AS resumecity,app.photo AS photo,app.application_title AS applicationtitle
                ,CONCAT(app.alias,'-',app.id) resumealiasid, CONCAT(job.alias,'-',job.id) AS jobaliasid
                ,( Select rinsitute.institute From`" . wpjobportal::$_db->prefix . "wj_portal_resumeinstitutes` AS rinsitute Where rinsitute.resumeid = app.id LIMIT 1 ) AS institute
                ,( Select rinsitute.institute_study_area From`" . wpjobportal::$_db->prefix . "wj_portal_resumeinstitutes` AS rinsitute Where rinsitute.resumeid = app.id LIMIT 1 ) AS institute_study_area
                ,job.companyid,jobtype.color as jobtypecolor
                FROM `" . wpjobportal::$_db->prefix . "wj_portal_jobs` AS job
                JOIN `" . wpjobportal::$_db->prefix . "wj_portal_jobapply` AS jobapply  ON jobapply.jobid = job.id
                JOIN `" . wpjobportal::$_db->prefix . "wj_portal_resume` AS app ON app.id = jobapply.cvid
                LEFT JOIN `" . wpjobportal::$_db->prefix . "wj_portal_categories` AS cat ON cat.id = job.jobcategory
                LEFT JOIN `" . wpjobportal::$_db->prefix . "wj_portal_jobtypes` AS jobtype ON jobtype.id = app.jobtype
             JOIN `" . wpjobportal::$_db->prefix . "wj_portal_companies` AS company ON company.id = job.companyid
            WHERE jobapply.jobid = " . $key->jobid;
            $result = wpjobportaldb::get_results($query);
            $data = array();
            foreach ($result AS $d) {
            $d->location = WPJOBPORTALincluder::getJSModel('city')->getLocationDataForView($d->resumecity);
            $d->jobtype = WPJOBPORTALincluder::getJSModel('job')->getjobType($d->jobtype);
            $data[] = $d;
          }
          wpjobportal::$_data[0]['data'][$key->jobid] = $data;
        }
    }

    function getEmployerinfo($uid){
        if (!is_numeric($uid))
            return false;
        $query = "SELECT COUNT(*) as row,company.id,company.name,company.tagline,company.url
                FROM " . wpjobportal::$_db->prefix . "wj_portal_companies AS company
                WHERE company.uid = " . $uid;
        $query .= " ORDER BY company.created DESC LIMIT 0,1";
        wpjobportal::$_data[0]['companies'] = wpjobportaldb::get_results($query);
        wpjobportal::$_data[0]['company']['emp_profile'] = WPJOBPORTALincluder::getObjectClass('user')->getEmployerProfile();

         $query = "SELECT COUNT(id) FROM `" . wpjobportal::$_db->prefix . "wj_portal_jobs` where uid = $uid and status = 1";
        wpjobportal::$_data['totaljobs'] = wpjobportal::$_db->get_var($query);
        $query = "SELECT COUNT(id) FROM `" . wpjobportal::$_db->prefix . "wj_portal_companies` where `uid` = $uid AND status = 1";
        wpjobportal::$_data['totalcompanies'] = wpjobportal::$_db->get_var($query);
        if(!in_array('multicompany', wpjobportal::$_active_addons) && wpjobportal::$_data['totalcompanies'] > 1){
            wpjobportal::$_data['totalcompanies'] = 1;
        }
        $query = "SELECT count(jobapply.id) FROM `" . wpjobportal::$_db->prefix . "wj_portal_jobapply` AS jobapply
                    JOIN `" . wpjobportal::$_db->prefix . "wj_portal_jobs` AS job ON jobapply.jobid = job.id AND job.uid = $uid AND jobapply.uid != 0 AND jobapply.status = 1";
        wpjobportal::$_data['totaljobapply'] = wpjobportal::$_db->get_var($query);
        if(in_array('resumesearch', wpjobportal::$_active_addons)){
            $query = "SELECT COUNT(id) FROM `" . wpjobportal::$_db->prefix . "wj_portal_resumesearches` where status = 1  and uid = $uid";
            wpjobportal::$_data['totalresumesearch'] = wpjobportal::$_db->get_var($query);
        }
    }

    function getDataForDashboard($uid){
        wpjobportal::$_data[0]['invoices'] = apply_filters('wpjobportal_addons_cp_invoices_detail',false,$uid,6);
    }

    function getGraphDataNew($uid){

        $query = "SELECT * FROM `".wpjobportal::$_db->prefix."wj_portal_jobtypes`
         WHERE `id`>0 LIMIT 0,3";
         $data = wpjobportaldb::get_results($query);
         wpjobportal::$_data['jobtype']=$data;
         $html = "['" . __('Dates', 'wp-job-portal') . "'";
         ///Days Section In Graph
          foreach (wpjobportal::$_data['jobtype'] as $key ) {
            $html .= ",'". __($key->title,'wp-job-portal')."'";
            $jobtype[] = $key->id;
        }
        $query = "SELECT count(jobapply.id) AS job,MONTH(jobapply.apply_date) AS MONTH, YEAR(jobapply.apply_date) AS YEAR ,type.id AS jobtype
            FROM `".wpjobportal::$_db->prefix."wj_portal_jobapply` AS jobapply
            JOIN `".wpjobportal::$_db->prefix."wj_portal_jobs` AS job ON job.id=jobapply.jobid
            JOIN `".wpjobportal::$_db->prefix."wj_portal_jobtypes` AS type ON job.jobtype=type.id";
            if($uid){
                $query .= " AND job.uid = $uid";
            }
        $query .= " GROUP by MONTH(jobapply.apply_date),YEAR(jobapply.apply_date),type.id ORDER BY    YEAR(jobapply.apply_date),MONTH(jobapply.apply_date) ASC";

         $result = wpjobportaldb::get_results($query);
         wpjobportal::$_data[0]['title'] = $result;
         $prev_workstations = '';
         //////************Swapping If same jobtype than dont change in array*******///////
        foreach (wpjobportal::$_data['0']['title'] as $parent) {
            $crm_workstations = $parent->jobtype;
            if (($crm_workstations !='') && ($crm_workstations != $prev_workstations)){
                $prev_workstations = $crm_workstations;
               $crm_workstations;
            }
           if(mb_strlen($parent->MONTH) <= 1){
           $parent->MONTH = '0'.$parent->MONTH;
           }
            wpjobportal::$_data['datachart'][$crm_workstations][$parent->YEAR][$parent->MONTH] = $parent->job;
        }
        $html.="]";
        wpjobportal::$_data['stack_chart_horizontal']['data']='';
        wpjobportal::$_data['stack_chart_horizontal']['title'] = $html;
         ///////*****TO Show All Month Till Last Month ****////////
         for ($i=0; $i<=11; $i++) {
                $Date = date('Y-m', strtotime("-$i month"));
                $Time = explode('-',$Date);
                $Month = $Time[1];
                $Year = $Time[0];
                $dateObj = DateTime::createFromFormat('!m', $Month);
                $monthName = $dateObj->format('F');
                $MonthName = $monthName.'-'.substr($Year,-2);
                /////******Passing Data To Graph*********//////////
                $FullTime = isset(wpjobportal::$_data['jobtype'][0]->id) ? wpjobportal::$_data['jobtype'][0]->id : null;
                $PartTime = isset(wpjobportal::$_data['jobtype'][1]->id) ? wpjobportal::$_data['jobtype'][1]->id : null;
                $internship = isset(wpjobportal::$_data['jobtype'][2]->id) ? wpjobportal::$_data['jobtype'][2]->id : null;
                wpjobportal::$_data['stack_chart_horizontal']['data'] .= "['" . $MonthName . "',";
                $FullTimeData = isset(wpjobportal::$_data['datachart'][$FullTime][$Year][$Month]) ? wpjobportal::$_data['datachart'][$FullTime][$Year][$Month] : 0;
                $ParTimeData = isset(wpjobportal::$_data['datachart'][$PartTime][$Year][$Month]) ? wpjobportal::$_data['datachart'][$PartTime][$Year][$Month] : 0;
                $internshipData = isset(wpjobportal::$_data['datachart'][$internship][$Year][$Month]) ? wpjobportal::$_data['datachart'][$internship][$Year][$Month] : 0;
                //Data Section For Graph
                wpjobportal::$_data['stack_chart_horizontal']['data'] .= "$FullTimeData,$ParTimeData,$internshipData]";
                if($i!=12){
                wpjobportal::$_data['stack_chart_horizontal']['data'] .= ',';
                }
        }
        return ;
    }

    function getMessagekey(){
        $key = 'employer';if(is_admin()){$key = 'admin_'.$key;}return $key;
    }


}

?>
