<?php
if (!defined('ABSPATH'))
die('Restricted Access');
$job = isset(wpjobportal::$_data[0]) ? wpjobportal::$_data[0] : null;
$company = isset(wpjobportal::$_data['company']) ? wpjobportal::$_data['company'] : null;
$msg = isset(wpjobportal::$_data[0]) ? __('Edit', 'wp-job-portal') : __('Add New', 'wp-job-portal');
?>
<div class="wjportal-main-wrapper wjportal-clearfix">
    <div class="wjportal-page-header">
        <?php 
            WPJOBPORTALincluder::getTemplate('templates/pagetitle',array('module' => 'job' , 'layout' => 'addjob','job' => $job));
            if(!WPJOBPORTALincluder::getTemplate('templates/header',array('module'=>'job'))){
                return;
            }
        ?>
    </div>
    <?php if (wpjobportal::$_error_flag == null) { ?>
    <div class="wjportal-form-wrp wjportal-add-job-form">
        <form class="wjportal-form" id="wpjobportal-form" method="post" action="<?php echo wpjobportal::makeUrl(array('wpjobportalme'=>'job', 'task'=>'savejob')); ?>">
            <?php
                if(in_array('credits', wpjobportal::$_active_addons)){
                    $submissionType = wpjobportal::$_config->getConfigValue('submission_type');
                    if($submissionType == 3  && !empty(wpjobportal::$_data['package'])){
                        WPJOBPORTALincluder::getTemplate('job/views/packages',array('package' => wpjobportal::$_data['package']));
                    }
                }
                $termsandconditions_flag = 0;
                $formfields = WPJOBPORTALincluder::getTemplate('job/form-fields', array(
                    'job' => $job,
                    'company' => $company
                ));
                foreach ($formfields as $formfield) {
                    WPJOBPORTALincluder::getTemplate('templates/form-field', $formfield);
                }

                if($termsandconditions_flag == 1){
                ?> 
                    <div class="wjportal-terms-and-conditions-wrap" data-wpjobportal-terms-and-conditions="1" >
                        <?php echo WPJOBPORTALformfield::checkbox('termsconditions', array('1' => __($termsandconditions_fieldtitle, 'wp-job-portal')), 0, array('class' => 'checkbox')); ?>
                        <a title="<?php echo __('Terms and Conditions','wp-job-portal'); ?>" href="<?php echo $termsandconditions_link; ?>" target="_blank" >
                            <img alt="<?php echo __('Terms and Conditions','wp-job-portal'); ?>" title="<?php echo __('Terms and Conditions','wp-job-portal'); ?>" src="<?php echo wpjobportal::$_pluginpath.'includes/images/widget-link.png'; ?>" />
                        </a>
                    </div>
                <?php } ?>
                <?php 
                echo WPJOBPORTALformfield::hidden('id', isset(wpjobportal::$_data[0]->id) ? wpjobportal::$_data[0]->id : '' ); 
                echo WPJOBPORTALformfield::hidden('draft', ''); 

                 echo WPJOBPORTALformfield::hidden('uid', WPJOBPORTALincluder::getObjectClass('user')->uid()); 
                 echo WPJOBPORTALformfield::hidden('created', isset(wpjobportal::$_data[0]->created) ? wpjobportal::$_data[0]->created : date('Y-m-d H:i:s')); 
                 echo WPJOBPORTALformfield::hidden('action', 'job_savejob'); 
                 echo WPJOBPORTALformfield::hidden('wpjobportalpageid', get_the_ID()); 
                 echo WPJOBPORTALformfield::hidden('form_request', 'wpjobportal'); 
                 echo WPJOBPORTALformfield::hidden('upakid', isset(wpjobportal::$_data['package']) ? wpjobportal::$_data['package']->id : 0); ?>
                <input type="hidden" id="default_longitude" name="default_longitude" value="<?php echo  wpjobportal::$_configuration['default_longitude']; ?>"/>
                <input type="hidden" id="default_latitude" name="default_latitude" value="<?php echo wpjobportal::$_configuration['default_latitude']; ?>"/>
                <input type="hidden" id="edit_longitude" name="edit_longitude" value="<?php echo  isset(wpjobportal::$_data[0]->longitude) ? wpjobportal::$_data[0]->longitude : ''; ?>"/>
                <input type="hidden" id="edit_latitude" name="edit_latitude" value="<?php echo  isset(wpjobportal::$_data[0]->latitude) ? wpjobportal::$_data[0]->latitude : ''; ?>"/>
                <div class="wjportal-form-btn-wrp" id="save-button">                 
                    <?php
                        if (isset(wpjobportal::$_data[0]->id)) { // edit case form
                            echo WPJOBPORTALformfield::submitbutton('save', __('Save','wp-job-portal') .' '. __('Job', 'wp-job-portal'), array('class' => 'button wjportal-form-btn wjportal-save-btn'));
                        } else { // new case form
                            echo "<div class='wjportal-form-2-btn'>". WPJOBPORTALformfield::button('save', __('Save','wp-job-portal') .' '. __('Job', 'wp-job-portal'), array('class' => 'button wjportal-form-btn wjportal-save-btn','onclick'=>'submitjobform()')) ."</div>";
                           if(!isset($company)){
                            echo "<div class='wjportal-form-2-btn'>". WPJOBPORTALformfield::button('saveasdraft', __('Save As Draft','wp-job-portal'), array('class' => 'button wjportal-form-btn wjportal-form-cancel-btn')) ."</div>";
                           }
                        }
                    ?>
                </div>
        </form>
    </div>
<?php 
} else {
    echo wpjobportal::$_error_flag_message;
}
?>
    </div>
