<?php
/**
 * @param job      job object - optional
 */
$uid = WPJOBPORTALincluder::getObjectClass('user')->uid();
$html = '';
switch ($layout) {
    case 'job':
    if(in_array('multicompany', wpjobportal::$_active_addons)){
        $url = wpjobportal::makeUrl(array('wpjobportalme'=>'company', 'wpjobportallt'=>'viewcompany', 'wpjobportalid'=>$job->companyid));
    }else{
        $url = $url = wpjobportal::makeUrl(array('wpjobportalme'=>'company', 'wpjobportallt'=>'viewcompany', 'wpjobportalid'=>$job->companyid));
    } ?>
    <div class="wjportal-jobs-middle-wrp">
        <div class="wjportal-jobs-data">
            <a class="wjportal-companyname" href="<?php echo $url ; ?>"><?php echo $job->companyname; ?></a><?php ?>
        </div>
        <div class="wjportal-jobs-data">
            <span class="wjportal-job-title">
                <a href="<?php echo wpjobportal::makeUrl(array('wpjobportalme'=>'job', 'wpjobportallt'=>'viewjob', 'wpjobportalid'=>$job->jobaliasid)); ?>">
                    <?php echo $job->title; ?>
                </a>
            </span>
            <?php
                $featuredexpiry = date_i18n('Y-m-d', strtotime($job->endfeatureddate));
                $startdate = date_i18n('Y-m-d',strtotime($job->startpublishing));
                $enddate = date_i18n('Y-m-d',strtotime($job->stoppublishing));
                $curdate = date_i18n('Y-m-d');
                if($startdate > $curdate){
                    $publishstatus = __('Not publish','wp-job-portal');
                    $publishstyle = 'background:#fea702;';
                }elseif($startdate <= $curdate && $enddate >= $curdate){
                    $publishstatus = __('Publish','wp-job-portal');
                    $publishstyle = 'background:#00a859;';
                }else{
                    $publishstatus = __('Expired','wp-job-portal');
                    $publishstyle = 'background:#ed3237;';
                }
            ?>
            <?php if($job->status == 1 && WPJOBPORTALrequest::getVar('wpjobportallt') == "myjobs"){ ?>
                    <span class="wjportal-item-status" style="<?php echo $publishstyle; ?>"><?php echo $publishstatus; ?></span>
            <?php } ?>
            <?php do_action('wpjobportal_credit_addons_feature_job_popup_for_emp',$job); ?>
        </div>
        <div class="wjportal-jobs-data">
            <?php if(isset($job) && !empty($job->cat_title)){ ?>
                    <span class="wjportal-jobs-data-text">
                        <?php echo __($job->cat_title,'wp-job-portal'); ?> 
                    </span>
            <?php } ?>
            <?php  $print = WPJOBPORTALincluder::getJSModel('job')->checkLinks('city'); ?>
            <?php if(isset($job) && !empty($job->location)){ ?>
                    <span class="wjportal-jobs-data-text">
                        <?php
                           if ($print) {
                                echo $job->location;
                            } 
                        ?>
                    </span>
            <?php } ?>
        </div>
        <?php
            if(isset($control) && $control == "shortlistjob"){
                do_action('wpjobportal_addons_shortlist_comments',$job);
            }
        ?>
        <!-- custom fields -->
        <div class="wjportal-custom-field-wrp">
            <?php
                // custom fiedls 
                    $customfields = wpjobportal::$_wpjpcustomfield->userFieldsData(2,1);
                    foreach ($customfields as $field) {
                       $showCustom = wpjobportal::$_wpjpcustomfield->showCustomFields($field,7,$job->params);
                       echo $showCustom;
                    }
              /*  }*/
            ?>
        </div>
    </div>
    <div class="wjportal-jobs-right-wrp">
        <div class="wjportal-jobs-info">
            <?php if ($print[0] == 1) { ?>
                <span class="wjportal-job-type" style="background:<?php echo $job->jobtypecolor; ?>">
                    <?php echo __($job->jobtypetitle,'wp-job-portal'); ?>
                </span>
            <?php } ?>
        </div>
        <?php
            $print = WPJOBPORTALincluder::getJSModel('job')->checkLinks('company');
            if ($print[0] == 1) {
                $print = WPJOBPORTALincluder::getJSModel('job')->checkLinks('jobsalaryrange');
                if ($print[0] == 1) {  ?>
                    <div class="wjportal-jobs-info">
                        <div class="wjportal-jobs-salary">
                            <?php echo wpjobportal::$_common->getSalaryRangeView($job->salarytype, $job->salarymin, $job->salarymax,$job->currency); ?>
                            <?php if($job->salarytype==3 || $job->salarytype==2) { ?>
                                <span class="wjportal-salary-type"> <?php echo ' &#47 ' .$job->srangetypetitle?></span>
                            <?php }?>
                        </div>
                    </div>
                    <div class="wjportal-jobs-info">
                        <?php 
                            $dateformat = wpjobportal::$_configuration['date_format'];
                            echo human_time_diff(strtotime($job->created)).' '.__("Ago",'wp-job-portal');
                            $print = WPJOBPORTALincluder::getJSModel('job')->checkLinks('jobtype');
                        ?>
                    </div>
                    <?php     
                }
                $print = WPJOBPORTALincluder::getJSModel('job')->checkLinks('jobcategory');
                ?>
                <div class="wjportal-jobs-status">
                    <?php
                        $color = ($job->status == 1) ? "green" : "red";
                        if ($job->status == 1) {
                            $statusCheck = __('Approved', 'wp-job-portal');
                        } elseif ($job->status == 0) {
                            $statusCheck = __('Waiting for approval', 'wp-job-portal');
                        } else {
                            $statusCheck = __('Rejected', 'wp-job-portal');
                        }
                    ?>
                     <span class="wjportal-jobs-status-text <?php //echo $color; ?>"><?php //echo $statusCheck; ?></span>  
                </div>
                <?php
                } 
            ?>
    </div>
    <?php
        break;
        case 'detailbody':
        echo' <div class="wjportal-job-sec-title">'.  __("Job Info",'wp-job-portal') .'</div>';
            $dateformat = wpjobportal::$_configuration['date_format'];
            $html ='<div class="wpjp-jobtype-info">'; //echo "<pre>";print_r($jobfields);die();
                        foreach ($jobfields AS $key => $fields) {
                            switch ($fields->field) { 
                                case 'department':
                                    if(in_array('departments', wpjobportal::$_active_addons)){
                                        echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), $job->departmentname);
                                    }
                                break;
                                case 'jobstatus':
                                    echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), __($job->jobstatustitle,'wp-job-portal'));
                                break;
                                case 'noofjobs':
                                    echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), $job->noofjobs);
                                break;
                                case 'duration':
                                    echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), $job->duration);
                                break;
                                case 'careerlevel':
                                    echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), $job->careerleveltitle);
                                break;
                                case 'experience':
                                    $experience = !empty($job->experience) ? $job->experience.' '.__("Years",'wp-job-portal') : '';
                                    echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), $experience);
                                break;
                                case 'heighesteducation':
                                    echo getDataRow(__($fields->fieldtitle, 'wp-job-portal'), $job->educationtitle);
                                    echo getDataRow(__('Degree Title', 'wp-job-portal'), $job->degreetitle);
                                break;
                                case 'startpublishing':
                                    echo getDataRow(__('Posted', 'wp-job-portal'), date_i18n($dateformat, strtotime($job->startpublishing)));
                                break;
                                case 'stoppublishing':
                                    echo getDataRow(__('Apply Before', 'wp-job-portal'), date_i18n($dateformat, strtotime($job->stoppublishing)));

                                break;
                                default:
                                     if($fields->isuserfield == 1){
                                        $showCustom = wpjobportal::$_wpjpcustomfield->showCustomFields($fields,7,$job->params);
                                        echo $showCustom;
                                     }
                                break;
                                }
                            }
                    echo '</div>
                        <div class="wjportal-job-data-wrp">
                            <div class="wjportal-job-desc">
                                <div class="wjportal-job-sec-title">'. __("Description",'wp-job-portal') .'</div>
                                '. $job->description .'
                            </div>';
                    # Map 
                    do_action('wpjobportal_addons_addressdata_jobview',$job);
                    # Tags 
                    do_action('wpjobportal_credit_addons_search_job_ref_tags',$job);

            break;
        case 'job_seeker':
            echo ' <div class="wjportal-jobinfo-wrp">';
                    if(isset($job) && !empty($job->jobtypetitle)){
                        echo'<div class="wjportal-jobinfo">
                               <span class="wjportal-jobtype" style="background:'.$job->jobtypecolor.'">'.$job->jobtypetitle.'</span>
                            </div>';
                    }
                   if(isset($job) && !empty($job->salarytype)){
                     echo '<div class="wjportal-jobinfo">
                            <span class="wjportal-jobinfo-data">
                                <img src="' . wpjobportal::$_pluginpath . 'includes/images/salary.png" alt="'.__("salary","wp-job-portal").'" title="'.__("salary","wp-job-portal").'" />
                                '.wpjobportal::$_common->getSalaryRangeView($job->salarytype, $job->salarymin, $job->salarymax, $job->currency).'
                             </span>';if($job->salarytype==3 || $job->salarytype==2) { ?>
                                <span class="wjportal-salary-type"> <?php  echo ' &#47 ' .$job->srangetypetitle; ?></span>
                            <?php }
                     echo '</div>';
                    }
                    if(isset($job) && !empty($job->cat_title)){
                        echo '<div class="wjportal-jobinfo">
                                <span class="wjportal-jobinfo-data">
                                    <img src="' . wpjobportal::$_pluginpath . 'includes/images/category.png" alt="'.__("category","wp-job-portal").'" title="'.__("category","wp-job-portal").'" />
                                    '. $job->cat_title .'
                                 </span>
                                </div>';
                    }
                    if(isset($job) && $job->created){
                        echo ' <div class="wjportal-jobinfo">
                                    <span class="wjportal-jobinfo-data">
                                        <img src="' . wpjobportal::$_pluginpath . 'includes/images/calander.png" alt="'.__("created","wp-job-portal").'" title="'.__("created","wp-job-portal").'" />
                                        '.date_i18n(wpjobportal::$_configuration['date_format'],strtotime($job->created)).'
                                     </span>
                                </div>';
                    }
                   if(isset($job) && $job->stoppublishing){
                        echo '<div class="wjportal-jobinfo">
                                    <span class="wjportal-jobinfo-data wjportal-job-close-date">
                                        <img src="' . wpjobportal::$_pluginpath . 'includes/images/end-date.png" alt="'.__("end date","wp-job-portal").'" title="'.__("end date","wp-job-portal").'" />'.__('Closes','wp-job-portal').':
                                        '.date_i18n(wpjobportal::$_configuration['date_format'],strtotime($job->stoppublishing)) .'
                                     </span>
                                </div>';
                   }
                   if(isset($job) && !empty($job->multicity)){
                        echo '<div class="wjportal-jobinfo">
                                <span class="wjportal-jobinfo-data">
                                    <img src="' . wpjobportal::$_pluginpath . 'includes/images/locationn.png" alt="'.__("location","wp-job-portal").'" title="'.__("location","wp-job-portal").'"/>
                                    '. $job->multicity .'
                                 </span>
                                </div>';
                    }
            echo '</div>';                
        break;
    case 'apply1':
        $html = '';
        if(!WPJOBPORTALincluder::getObjectClass('user')->isguest()){
            $applied = WPJOBPORTALincluder::getJSModel('job')->checkAlreadyAppliedJob($job->id,$uid);
            if(wpjobportal::$_config->getConfigValue('showapplybutton') == 1){
                if(in_array('credits', wpjobportal::$_active_addons)){
                    $submission_Type = wpjobportal::$_data['submission_type'];
                    do_action('wpjobportal_addons_addressdata_job_apply_btn',$submission_Type,$applied,$job);
                }else{
                    if(isset($applied) && !empty($applied)){
                        if($applied->no == 1){
                            echo'<span class="wjportal-job-company-apply-status" onclick="getApplyNowByJobid('.$job->id.')">'. __("You Already Applied to this job ",'wp-job-portal') .' </span>';
                        }elseif ($applied->no == 0) {
                            echo '<a class="wjportal-job-company-btn" onclick="getApplyNowByJobid('.$job->id.')">' . __('Apply On This Job', 'wp-job-portal').'</a>';
                        }
                    }else{
                        echo '<a class="wjportal-job-company-btn" onclick="getApplyNowByJobid('.$job->id.')">' . __('Apply On This Job', 'wp-job-portal').'</a>';
                    }
                }
            }
        }else{
            echo '<a class="wjportal-job-company-btn" onclick="getApplyNowByJobid('.$job->id.')">' . __('Apply On This Job', 'wp-job-portal').'</a>';
        }
        
        $allow_tellafriend  = wpjobportal::$_config->getConfigurationByConfigName('allow_tellafriend');
        if($allow_tellafriend == 1 ){
            # Apply shortlist,Alertjob..
            do_action('wpjobportal_addons_newestjob_btm_btn_for_tellfriend',$job);
        }
        $allow_jobshortlist  = wpjobportal::$_config->getConfigurationByConfigName('allow_jobshortlist');
            if($allow_jobshortlist == 1 AND (! WPJOBPORTALincluder::getObjectClass('user')->isemployer())){
                 do_action('wpjobportal_addons_newestjob_btm_btn_for_shortlist',$job);
             }
       break;

    case 'apply':
        $package = '';
        if(!WPJOBPORTALincluder::getObjectClass('user')->isguest()){
            $applied = WPJOBPORTALincluder::getJSModel('job')->checkAlreadyAppliedJob($job->id,$uid);
            if(in_array('credits', wpjobportal::$_active_addons)){
                do_action('wpjobportal_addons_job_apply_jobseeker',$job,$package,$applied);
             }else{
                if(isset($applied) && !empty($applied)){
                    if($applied->no != 1){
                        echo '<a class="wjportal-job-act-btn" onclick="getApplyNowByJobid('.$job->id.','.$package.')">' . __('Apply On This Job', 'wp-job-portal').'</a>';
                    }
                }
             }
        }else{
             echo '<a class="wjportal-job-act-btn" onclick="getApplyNowByJobid('.$job->id.')">' . __('Apply On This Job', 'wp-job-portal').'</a>';   
        }
         # Social Share
         do_action('wpjobportal_credit_addons_social_share_links_job',$job);
         # Social Comment's
         do_action('wpjobportal_credit_social_comments_for_jobs');
       break;
    }
?>
