<?php
/**
* @param Object--refrence
*/
?>
<?php
	switch ($layout) {
		case 'logo':
			$photo = '';
			if (isset($data->photo) && $data->photo != '') {
				$data_directory = WPJOBPORTALincluder::getJSModel('configuration')->getConfigurationByConfigName('data_directory');
				$wpdir = wp_upload_dir();
				$photo = $wpdir['baseurl'] . '/' . $data_directory . '/data/jobseeker/resume_' . $data->resumeid . '/photo/' . $data->photo;
				$padding = "";
			} else {
				$photo = wpjobportal::$_pluginpath . '/includes/images/users.png';
				$padding = ' style="padding:15px;" ';
			}
			?>
			<div class="wpjobportal-resume-logo">
            	<img src="<?php echo $photo; ?>" alt="<?php echo __('logo','wp-job-portal'); ?>" />
                <div class="wpjobportal-resume-crt-date">
                    <?php echo date_i18n(wpjobportal::$_configuration['date_format'], strtotime($data->apply_date)); ?>
                </div>
            </div>
            <?php
		break;
    	case 'detail':
    		?>
			<div class="wpjobportal-resume-cnt-wrp">
                <div class="wpjobportal-resume-middle-wrp">
                    <div class="wpjobportal-resume-data">
                        <span class="wpjobportal-resume-job-type" style="background: <?php echo $data->jobtypecolor; ?>;">
                            <?php echo __($data->jobtypetitle,'wp-job-portal'); ?>
                        </span>
                    </div>    
                    <div class="wpjobportal-resume-data">
                        <span class="wpjobportal-resume-name">
                            <?php echo $data->first_name . " " . $data->last_name ?>
                        </span>
                    </div>
                    <div class="wpjobportal-resume-data">
                        <span class="wpjobportal-resume-title">
                            <?php echo $data->applicationtitle; ?>
                        </span>
                    </div>
                    <div class="wpjobportal-resume-data">
                        <div class="wpjobportal-resume-data-text">
                            <span class="wpjobportal-resume-data-title">
                                <?php echo __('Desired Salary').' : '; ?>
                            </span>
                            <span class="wpjobportal-resume-data-value">
                                <?php echo $data->salary; ?>
                            </span>
                        </div>
                        <div class="wpjobportal-resume-data-text">
                            <span class="wpjobportal-resume-data-title">
                                <?php echo __('Total Experience', 'wp-job-portal') . ' :'; ?>
                            </span>
                            <span class="wpjobportal-resume-data-value">
                                <?php echo wpjobportal::$_common->getTotalExp($data->resumeid); ?>
                            </span>
                        </div>
                        <div class="wpjobportal-resume-data-text">
                            <span class="wpjobportal-resume-data-title">
                                <?php echo __('Location', 'wp-job-portal') . ' : '; ?>
                            </span>
                            <span class="wpjobportal-resume-data-value">
                                <?php echo $data->location; ?>
                            </span>
                        </div>
                    </div>
                    <?php do_action('wpjobportal_addon_search_applied_resume'); ?>
                </div>
                <div class="wpjobportal-resume-right-wrp">
                    <?php do_action('wpjobportal_addons_rating_resume_applied',$data); ?>
                    <?php  do_action('wpjobportal_addons_credit_applied_resume_ratting_admin',$data); ?>
                </div>
            </div>
            <div id="<?php echo $data->appid; ?>" ></div>
            <div id="comments" class="wpjobportal-applied-job-actions-popup <?php echo $data->appid; ?>" ></div>
            <?php
		break;
    }
?>