<?php $searchjobtag = array((object) array('id' => 1, 'text' => __('Top left', 'wp-job-portal'))
                    , (object) array('id' => 2, 'text' => __('Top right', 'wp-job-portal'))
                    , (object) array('id' => 3, 'text' => __('Middle left', 'wp-job-portal'))
                    , (object) array('id' => 4, 'text' => __('Middle right', 'wp-job-portal'))
                    , (object) array('id' => 5, 'text' => __('Bottom left', 'wp-job-portal'))
                    , (object) array('id' => 6, 'text' => __('Bottom right', 'wp-job-portal')));
$yesno = array((object) array('id' => 1, 'text' => __('Yes', 'wp-job-portal'))
                    , (object) array('id' => 0, 'text' => __('No', 'wp-job-portal')));
wp_enqueue_script('wpjobportal-commonjs', wpjobportal::$_pluginpath . 'includes/js/radio.js');
if (!defined('ABSPATH')) die('Restricted Access'); ?>
<div id="wpjobportaladmin-wrapper" class="wpjobportal-post-installation-wrp">
    <!-- top bar -->
    <div id="wpjobportal-wrapper-top">
        <div id="wpjobportal-wrapper-top-left">
            <a href="admin.php?page=wpjobportal" class="wpjobportaladmin-anchor">
                <img src="<?php echo wpjobportal::$_pluginpath.'includes/images/control_panel/dashboard/logo.png'; ?>"/>
            </a>
        </div>
        <div id="wpjobportal-wrapper-top-right">
            <div id="wpjobportal-vers-txt">
                <?php echo __('Version','wp-job-portal').': '; ?>
                <span class="wpjobportal-ver"><?php echo WPJOBPORTALincluder::getJSModel('configuration')->getConfigValue('versioncode'); ?></span>
            </div>
        </div>
    </div>
    <!-- top head -->
    <div id="wpjobportal-head">
        <h1 class="wpjobportal-head-text">
            <?php echo __('Import Sample Data', 'wp-job-portal'); ?>
        </h1>
    </div>
    <!-- content -->
    <div class="wpjobportal-post-installation">
        <div class="wpjobportal-post-menu">
            <ul class="step-4">
                <li class="first-part">
                    <a href="<?php echo admin_url("admin.php?page=wpjobportal_postinstallation&wpjobportallt=stepone"); ?>" class="tab_icon">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/postinstallation/general-settings.png" />
                        <?php echo __('General','wp-job-portal'); ?>
                    </a>
                </li>
                <li class="second-part">
                    <a href="<?php echo admin_url("admin.php?page=wpjobportal_postinstallation&wpjobportallt=steptwo"); ?>" class="tab_icon">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/postinstallation/employers.png" />
                        <?php echo __('Employer','wp-job-portal'); ?>
                    </a>
                </li>
                <li class="third-part">
                    <a href="<?php echo admin_url("admin.php?page=wpjobportal_postinstallation&wpjobportallt=stepthree"); ?>" class="tab_icon">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/postinstallation/jobseeker.png" />
                        <?php echo __('Job Seeker','wp-job-portal'); ?>
                    </a>
                </li>
                <li class="fourth-part active">
                    <a href="<?php echo admin_url("admin.php?page=wpjobportal_postinstallation&wpjobportallt=stepfour"); ?>" class="tab_icon">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/postinstallation/sample-data.png" />
                        <?php echo __('Sample Data','wp-job-portal'); ?>
                    </a>
                </li>
            </ul>
        </div>
        <div class="wpjobportal-post-data">
            <div class="wpjobportal-post-heading">
                <?php echo __('Sample Data','wp-job-portal');?>
            </div>
            <form id="wpjobportal-form-ins" class="wpjobportal-form" method="post" action="<?php echo admin_url("admin.php?page=wpjobportal_postinstallation&task=savesampledata"); ?>">
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('Insert Sample Data','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::select('sampledata', $yesno,1,'',array('class' => 'inputbox')); ?>
                    </div>
                </div>
                <div class="wpjobportal-post-heading">
                    <?php echo __('jobseeker','wp-job-portal');?>
                </div>
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('User Name','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::text('jobseeker_username','wpjp_jobseeker', array('class' => 'inputbox' , 'placeholder' => 'Enter Jobseeker Username')); ?>
                    </div>
                </div>
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('Email','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::text('jobseeker_email','jobseeker@your-domain.com', array('class' => 'inputbox' , 'placeholder' => 'Enter Jobseeker Email')); ?>

                    </div>
                </div>
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('Password','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::password('jobseeker_pass','demo', array('class' => 'inputbox' , 'placeholder' => 'Enter Jobseeker Password')); ?>
                    </div>
                </div>
                <div class="wpjobportal-post-heading">
                    <?php echo __('Employer','wp-job-portal');?>
                </div>
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('User Name','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::text('emp_username','wpjp_employer', array('class' => 'inputbox' , 'placeholder' => 'Enter Employer Username')); ?>
                    </div>
                </div>
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('Email','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::text('emp_email','employer@your-domain.com', array('class' => 'inputbox' , 'placeholder' => 'Enter Employer Email')); ?>

                    </div>
                </div>
                <div class="wpjobportal-post-data-row">
                    <div class="wpjobportal-post-tit">
                        <?php echo __('Password','wp-job-portal'); ?>
                    </div>
                    <div class="wpjobportal-post-val">
                        <?php echo WPJOBPORTALformfield::password('emp_pass','demo', array('class' => 'inputbox' , 'placeholder' => 'Enter Employer Password')); ?>

                    </div>
                </div>
                <?php if(wpjobportal::$theme_chk == 0){ ?>
                    <div class="wpjobportal-post-heading">
                        <?php echo __('Menu','wp-job-portal');?>
                    </div>
                    <div class="wpjobportal-post-data-row">
                        <div class="wpjobportal-post-tit">
                            <?php echo __('Job Seeker Menu','wp-job-portal'); ?>
                        </div>
                        <div class="wpjobportal-post-val">
                            <?php echo WPJOBPORTALformfield::select('jsmenu', $yesno,1,'',array('class' => 'inputbox')); ?>
                        </div>
                    </div>
                    <div class="wpjobportal-post-data-row">
                        <div class="wpjobportal-post-tit">
                            <?php echo __('Employer Menu','wp-job-portal'); ?>
                        </div>
                        <div class="wpjobportal-post-val">
                            <?php echo WPJOBPORTALformfield::select('empmenu', $yesno,1,'',array('class' => 'inputbox')); ?>
                        </div>
                    </div>
                <?php  } elseif(wpjobportal::$theme_chk != 1){ ?>
                        <div class="pic-config temp-demo-data">
                            <div class="wpjobportal-post-tit">
                                <?php     echo __('Job Hub Sample Data','wp-job-portal'); ?>
                            </div>
                            <div class="wpjobportal-post-val">
                                <?php echo WPJOBPORTALformfield::select('temp_data', $yesno,1,'',array('class' => 'inputbox')); ?>
                            </div>
                            <div class="desc"><?php echo __('if yes is selected then pages and menus of job manager template will be cretaed and published.','wp-job-portal');?>. </div>
                        </div>
                <?php } ?>
                <div class="wpjobportal-post-action-btn">
                    <a class="back-step wpjobportal-post-act-btn" href="<?php echo admin_url('admin.php?page=wpjobportal_postinstallation&wpjobportallt=stepthree'); ?>" title="<?php echo __('back','wp-job-portal'); ?>">
                        <?php echo __('Back','wp-job-portal'); ?>
                    </a>
                    <a class="next-step wpjobportal-post-act-btn" href="#" onclick="document.getElementById('wpjobportal-form-ins').submit();" title="<?php echo __('finish','wp-job-portal'); ?>">
                        <?php echo __('Finish','wp-job-portal'); ?>
                    </a>
                </div>
                <?php echo WPJOBPORTALformfield::hidden('form_request', 'wpjobportal'); ?>
                <?php echo WPJOBPORTALformfield::hidden('step', 3); ?>
            </form>
        </div>
    </div>
</div>
