<?php

if (!defined('ABSPATH'))
    die('Restricted Access');

class WPJOBPORTALResumeController {

    private $_msgkey;

    function __construct() {
        self::handleRequest();
        $this->_msgkey = WPJOBPORTALincluder::getJSModel('resume')->getMessagekey();
        $model_resume  = WPJOBPORTALincluder::getJSModel('resume');
    }

    function handleRequest() {
        $layout = WPJOBPORTALrequest::getLayout('wpjobportallt', null, 'resumes');
        $uid = WPJOBPORTALincluder::getObjectClass('user')->uid();
        if (self::canaddfile()) {
            $empflag  = wpjobportal::$_config->getConfigurationByConfigName('disable_employer');
            $string = "'jscontrolpanel','emcontrolpanel','visitor','resume'" ;
            $config_array = wpjobportal::$_config->getConfigurationByConfigForMultiple($string);
            switch ($layout) {
                case 'myresumes':
                    if (WPJOBPORTALincluder::getObjectClass('user')->isjobseeker()) {
                        WPJOBPORTALincluder::getJSModel('resume')->getMyResumes($uid);
                    } else {
                        if (WPJOBPORTALincluder::getObjectClass('user')->isemployer()) {
                            wpjobportal::$_error_flag_message = WPJOBPORTALLayout::setMessageFor(3,null,null,1);
                            wpjobportal::$_error_flag_message_for=3;
                        } elseif (WPJOBPORTALincluder::getObjectClass('user')->isguest()) {
                            $link = wpjobportal::$_common->jsMakeRedirectURL('resume', $layout, 1);
                            $linktext = __('Login','wp-job-portal');
                            wpjobportal::$_error_flag_message = WPJOBPORTALLayout::setMessageFor(1 , $link , $linktext,1);
                            wpjobportal::$_error_flag_message_for=1;
                            wpjobportal::$_error_flag_message_register_for=1; // register as jobseeker
                        } elseif (!WPJOBPORTALincluder::getObjectClass('user')->isWPJOBPortalUser()) {
                            $link = wpjobportal::makeUrl(array('wpjobportalme'=>'common', 'wpjobportallt'=>'newinwpjobportal', 'wpjobportalpageid'=>wpjobportal::getPageid()));
                            $linktext = __('Select role','wp-job-portal');
                            wpjobportal::$_error_flag_message = WPJOBPORTALLayout::setMessageFor(9 , $link , $linktext,1);
                            wpjobportal::$_error_flag_message_for=9;
                        }
                        if(isset($link) && isset($linktext)){
                            wpjobportal::$_error_flag_message_for_link = $link;
                            wpjobportal::$_error_flag_message_for_link_text = $linktext;
                        }
                        wpjobportal::$_error_flag = true;
                    }
                    break;
                 case 'resumes':
                    $vars = array();
                    $resume_view_type = WPJOBPORTALrequest::getVar('viewtype',null,1); // 1 for list view 2 for grid view
                    $resume_view_type=str_replace("vt-","",$resume_view_type);
                    wpjobportal::$_data['viewtype'] = $resume_view_type;
                    if($resume_view_type==2){ // switch list to grid show save serch
                        //wpjobportal::$_data['issearchform'] = 1; casuing issues.
                        //wpjobportal::$_data['filter'] = "";
                    }
                    $id = WPJOBPORTALrequest::getVar('wpjobportalid');
                    if ($id) {
                        $array = explode('_', $id);
                        if ($array[0] == 'tags') {
                            unset($array[0]);
                            $array = implode(' ', $array);
                            $vars['tags'] = $array;
                            wpjobportal::$_data['tags'] = $vars['tags'];
                        } else {
                            if(isset($array[1])){
                                $id = $array[1];
                                $clue = $id{0} . $id{1};
                                switch ($clue) {
                                    case '10': //Category
                                        $vars['category'] = substr($id, 2);
                                        wpjobportal::$_data['categoryid'] = $array[0] . '-' . $vars['category'];
                                        break;
                                    case '13': //Search
                                        $id = substr($id, 2);
                                        wpjobportal::$_data['searchid'] = $array[0] . '-' . $id;
                                        $vars['searchid'] = $id;
                                        break;
                                    case '14': //sorting in case of parama and no other option selected
                                        $sortby = $array[0];
                                        $id = '';
                                        break;
                                    default:
                                        $id = '';
                                        break;
                                }
                            }
                            // had to do this to handle a sorting in sef case
                            if(strstr($id, 'asc') || strstr($id, 'desc')){
                                wpjobportal::$_data['sanitized_args']['sortby'] = $id;
                            }
                        }
                    } else {
                        $searchtext = WPJOBPORTALrequest::getVar('search');
                        if ($searchtext) {
                            //parse id what is the meaning of it
                            $array = explode('-', $searchtext);
                            $vars['searchid'] = $array[count($array) - 1];
                        } else {
                            $vars['searchid'] = '';
                        }
                        $id = WPJOBPORTALrequest::getVar('category', 'get');
                        if ($id) {
                            $array = explode('-', $id);
                            $id = $array[count($array) - 1];
                            $vars['category'] = (int) $id;
                        }
                        $tags = WPJOBPORTALrequest::getVar('tags', 'get');
                        if ($tags) {
                            $tags = wpjobportal::tagfillout($tags);
                            $vars['tags'] = $tags;
                        }
                    }
                    WPJOBPORTALincluder::getJSModel('resume')->getResumes($vars);
                    break;
                case 'viewresume':
                case 'admin_viewresume':
                    //$layout = 'viewresume';
                    $resumeid = '';
                    try {
                        if (current_user_can('manage_options') || (WPJOBPORTALincluder::getObjectClass('user')->isemployer() && $empflag == 1) || wpjobportal::$_config->getConfigurationByConfigName('visitorview_emp_viewresume') == 1 ) {
                            $resumeid = WPJOBPORTALrequest::getVar('wpjobportalid');
                            $socialid = WPJOBPORTALrequest::getVar('jsscid');
                            //check for the social id
                            if ((!is_numeric($resumeid) && $resumeid{0} . $resumeid{1} . $resumeid{2} == 'sc-') || $socialid != null) { // social
                                $idarray = explode('-', $resumeid);
                                $profileid = $idarray[1];
                                wpjobportal::$_data['socialprofileid'] = $profileid;
                                wpjobportal::$_data['socialprofile'] = true;
                            } else {
                                $resumeowner = true;
                                $idarray = explode('-', $resumeid);
                                $resumeid = $idarray[count($idarray) - 1];
                                $expiryflag = WPJOBPORTALincluder::getJSModel('resume')->getResumeExpiryStatus($resumeid);
                                if(is_admin()){
                                    $expiryflag = true;
                                }
                                if (WPJOBPORTALincluder::getObjectClass('user')->isjobseeker() && !is_admin()) {
                                    if (WPJOBPORTALincluder::getJSModel('resume')->getIfResumeOwner($resumeid)) {
                                        $expiryflag = true;
                                    }else{
                                        wpjobportal::$_error_flag_message = WPJOBPORTALLayout::setMessageFor(10,null,null,1);
                                        wpjobportal::$_error_flag_message_for = 2;
                                        wpjobportal::$_error_flag = true;
                                        break;
                                    }
                                }
                                if ($expiryflag == false) {
                                    wpjobportal::$_error_flag_message = WPJOBPORTALLayout::setMessageFor(6,null,null,1);
                                    wpjobportal::$_error_flag_message_for=6;
                                    wpjobportal::$_error_flag = true;
                                } else {
                                    WPJOBPORTALincluder::getJSModel('resume')->getResumeById($resumeid);
                                    wpjobportal::$_data['socialprofile'] = false;
                                }
                            }
                        } else {
                            if (WPJOBPORTALincluder::getObjectClass('user')->isguest()) {
                                $link = wpjobportal::$_common->jsMakeRedirectURL('resume', $layout, 1);
                                $linktext = __('Login','wp-job-portal');
                                wpjobportal::$_error_flag_message_for=1;
                                wpjobportal::$_error_flag_message_register_for=2; // register as employer
                                throw new Exception(WPJOBPORTALLayout::setMessageFor(1 , $link , $linktext,1));
                            } elseif (!WPJOBPORTALincluder::getObjectClass('user')->isWPJOBPortalUser()) {
                                $link = wpjobportal::makeUrl(array('wpjobportalme'=>'common', 'wpjobportallt'=>'newinwpjobportal', 'wpjobportalpageid'=>wpjobportal::getPageid()));
                                $linktext = __('Select role','wp-job-portal');
                                wpjobportal::$_error_flag_message_for=9;
                                throw new Exception(WPJOBPORTALLayout::setMessageFor(9 , $link , $linktext,1));
                            }
                            if(isset($link) && isset($linktext)){
                                wpjobportal::$_error_flag_message_for_link = $link;
                                wpjobportal::$_error_flag_message_for_link_text = $linktext;
                            }
                        }
                        $jobid = WPJOBPORTALrequest::getVar('jobid');
                        $idarray = explode('-', $jobid);
                        $jobid = $idarray[count($idarray) - 1];
                    } catch (Exception $ex) {
                        wpjobportal::$_error_flag = true;
                        wpjobportal::$_error_flag_message=$ex->getMessage();
                    }
                break;
                case 'resumebycategory':
                    try {
                        if (is_admin() || (WPJOBPORTALincluder::getObjectClass('user')->isemployer() && $empflag == 1) || WPJOBPORTALincluder::getJSModel('configuration')->getConfigurationByConfigName('visitorview_emp_resumecat') == 1 ) {
                            $resumeid = WPJOBPORTALrequest::getVar('resumeid');
                            WPJOBPORTALincluder::getJSModel('resume')->getResumeByCategory();
                        } else {
                            if (WPJOBPORTALincluder::getObjectClass('user')->isjobseeker()) {
                                wpjobportal::$_error_flag_message_for=2;
                                throw new Exception(WPJOBPORTALLayout::setMessageFor(2,null,null,1));

                            } elseif (WPJOBPORTALincluder::getObjectClass('user')->isguest()) {
                                $link = wpjobportal::$_common->jsMakeRedirectURL('resume', $layout, 1);
                                $linktext = __('Login','wp-job-portal');
                                wpjobportal::$_error_flag_message_for=1;
                                wpjobportal::$_error_flag_message_register_for=2; // register as employer
                                throw new Exception(WPJOBPORTALLayout::setMessageFor(1 , $link , $linktext,1));

                            } elseif (!WPJOBPORTALincluder::getObjectClass('user')->isWPJOBPortalUser()) {
                                $link = wpjobportal::makeUrl(array('wpjobportalme'=>'common', 'wpjobportallt'=>'newinwpjobportal', 'wpjobportalpageid'=>wpjobportal::getPageid()));
                                $linktext = __('Select role','wp-job-portal');
                                wpjobportal::$_error_flag_message_for=9;
                                throw new Exception(WPJOBPORTALLayout::setMessageFor(9 , $link , $linktext,1));

                            }
                            if(isset($link) && isset($linktext)){
                                wpjobportal::$_error_flag_message_for_link = $link;
                                wpjobportal::$_error_flag_message_for_link_text = $linktext;
                            }
                        }
                    } catch (Exception $ex) {
                        wpjobportal::$_error_flag = true;
                        wpjobportal::$_error_flag_message=$ex->getMessage();
                    }
                    break;
                case 'admin_formresume':
                    try {
                            wpjobportal::$_error_flag_message = null;
                            $isouruser = WPJOBPORTALincluder::getObjectClass('user')->isWPJOBPortalUser();
                            $isguest = WPJOBPORTALincluder::getObjectClass('user')->isguest();
                            $guest = false;
                            if($isguest == true){
                                $guest = true;
                            }
                            if($isguest == false && $isouruser == false){
                                $guest = true;
                            }
                            // Check user is guest and is allowed to add resume
                            $guestallowed = 0;

                            if ($guest && in_array('visitorapplyjob', wpjobportal::$_active_addons)) {
                                $guestallowed = $config_array['visitor_can_add_resume'];
                            }
                            if ((WPJOBPORTALincluder::getObjectClass('user')->isjobseeker() && $config_array['formresume'] == 1)|| ($guestallowed == 1 && $config_array['vis_jsformresume'] == 1)  || is_admin()) {
                                wpjobportal::$_data['resumeid'] = WPJOBPORTALrequest::getVar('wpjobportalid');

                                if(is_numeric(wpjobportal::$_data['resumeid'])){
                                    if(!is_admin()){
                                        $check = WPJOBPORTALincluder::getJSModel('resume')->getIfResumeOwner(wpjobportal::$_data['resumeid']);
                                    }
                                }else{
                                    $check = WPJOBPORTALincluder::getJSModel('resume')->canAddResume($uid);
                                }
                                if (is_admin() || $guestallowed == 1 || $check == true) {
                                    if ($guestallowed == 1) {
                                        if (isset($_SESSION['wp-wpjobportal']) && isset($_SESSION['wp-wpjobportal']['resumeid'])) {
                                            wpjobportal::$_data['resumeid'] = $_SESSION['wp-wpjobportal']['resumeid'];
                                        }
                                    }
                                    WPJOBPORTALincluder::getJSModel('resume')->getResumeById(wpjobportal::$_data['resumeid']);
                                }elseif(is_numeric(wpjobportal::$_data['resumeid'])){
                                    wpjobportal::$_error_flag_message_for= 3;
                                    throw new Exception(WPJOBPORTALLayout::setMessageFor(3,null,null,1));
                                }
                            } else {
                                if (WPJOBPORTALincluder::getObjectClass('user')->isemployer()) {
                                    wpjobportal::$_error_flag_message_for=3;
                                    throw new Exception(WPJOBPORTALLayout::setMessageFor(3,null,null,1));

                                } elseif (WPJOBPORTALincluder::getObjectClass('user')->isguest()) {
                                    $link = wpjobportal::$_common->jsMakeRedirectURL('resume', $layout, 1);
                                    $linktext = __('Login','wp-job-portal');
                                    wpjobportal::$_error_flag_message_for=1;
                                    wpjobportal::$_error_flag_message_register_for=1; // register as jobseeker
                                    throw new Exception(WPJOBPORTALLayout::setMessageFor(1 , $link , $linktext,1));

                                } elseif (!WPJOBPORTALincluder::getObjectClass('user')->isWPJOBPortalUser()) {
                                    $link = wpjobportal::makeUrl(array('wpjobportalme'=>'common', 'wpjobportallt'=>'newinwpjobportal', 'wpjobportalpageid'=>wpjobportal::getPageid()));
                                    $linktext = __('Select role','wp-job-portal');
                                    wpjobportal::$_error_flag_message_for=9;
                                    throw new Exception(WPJOBPORTALLayout::setMessageFor(9 , $link , $linktext,1));

                                }
                                if(isset($link) && isset($linktext)){
                                    wpjobportal::$_error_flag_message_for_link = $link;
                                    wpjobportal::$_error_flag_message_for_link_text = $linktext;
                                }
                            }
                        } catch (Exception $ex) {
                            wpjobportal::$_error_flag = true;
                            wpjobportal::$_error_flag_message =$ex->getMessage();
                        }
                    break;
                    case 'addresume':
                    wpjobportal::$_error_flag_message = null;
                    $isouruser = WPJOBPORTALincluder::getObjectClass('user')->isWPJOBPortalUser();
                    $isguest = WPJOBPORTALincluder::getObjectClass('user')->isguest();
                    $guest = false;
                    if($isguest == true){
                        $guest = true;
                    }
                    if($isguest == false && $isouruser == false){
                        $guest = true;
                    }
                    // Check user is guest and is allowed to add resume
                    $guestallowed = 0;

                    if ($guest) {
                        $guestallowed = $config_array['visitor_can_add_resume'];
                    }
                    try {
                        if ((WPJOBPORTALincluder::getObjectClass('user')->isjobseeker() && $config_array['formresume'] == 1) || ($guestallowed == 1 && $config_array['vis_jsformresume'] == 1) && in_array('visitorapplyjob', wpjobportal::$_active_addons) || is_admin()) {
                        wpjobportal::$_data['resumeid'] = WPJOBPORTALrequest::getVar('wpjobportalid');

                        if(is_numeric(wpjobportal::$_data['resumeid'])){
                            if(!is_admin()){
                                $check = WPJOBPORTALincluder::getJSModel('resume')->getIfResumeOwner(wpjobportal::$_data['resumeid']);
                            }
                        }else{
                            $actionname = "resume";
                            if(in_array('credits',wpjobportal::$_active_addons)){
                                    # Filter Package For Controller
                                if(WPJOBPORTALincluder::getJSModel('resume')->UserCanAddResume($uid) == true){
                                    $data = json_decode(apply_filters('wpjobportal_addons_available_package',false,'resume','resume','canAddResume'));
                                    $check = $data->check;
                                }else{
                                    wpjobportal::$_common->getMessagesForAddMore('Resume');
                                }
                                    if($check == true){
                                        if(isset($data->layout) && $data->layout == "packageselection" ){
                                            $layout = $data->layout;
                                            $module = 'package';
                                        }
                                   }else{
                                        $link = wpjobportal::makeUrl(array('wpjobportalme'=>'package', 'wpjobportallt'=>'packages'));
                                        $linktext = __('Buy Package', 'wp-job-portal');
                                        wpjobportal::$_error_flag = true;
                                        wpjobportal::$_error_flag_message_for=15;
                                        throw new Exception(WPJOBPORTALLayout::setMessageFor(15,$link,$linktext,1));
                                   }
                                }else{
                                    if(WPJOBPORTALincluder::getObjectClass('user')->isguest()){
                                        $check =  true;
                                    }else{
                                        if(WPJOBPORTALincluder::getJSModel('resume')->canAddResume($uid) == false){
                                            wpjobportal::$_common->getMessagesForAddMore('Resume');
                                        }else{
                                            $check =  true;
                                        }
                                    }
                            }
                        }
                        if (is_admin() || $guestallowed == 1 || $check == true) {
                            if ($guestallowed == 1) {
                                if (isset($_SESSION['wp-wpjobportal']) && isset($_SESSION['wp-wpjobportal']['resumeid'])) {
                                    wpjobportal::$_data['resumeid'] = $_SESSION['wp-wpjobportal']['resumeid'];
                                }
                            }
                            WPJOBPORTALincluder::getJSModel('resume')->getResumeById(wpjobportal::$_data['resumeid']);
                        }elseif(is_numeric(wpjobportal::$_data['resumeid'])){
                            wpjobportal::$_error_flag_message = WPJOBPORTALLayout::setMessageFor(10,null,null,1);
                            wpjobportal::$_error_flag_message_for = 2;
                            wpjobportal::$_error_flag = true;
                            break;
                        }
                    } else {
                        wpjobportal::$_common->validateEmployerArea();
                        if(isset($link) && isset($linktext)){
                            wpjobportal::$_error_flag_message_for_link = $link;
                            wpjobportal::$_error_flag_message_for_link_text = $linktext;
                        }
                     }
                    } catch (Exception $ex) {
                        wpjobportal::$_error_flag = true;
                        wpjobportal::$_error_flag_message = $ex->getMessage();
                    }
                    break;
                case 'admin_formresume':
                    $resumeid = WPJOBPORTALrequest::getVar('resumeid');
                    WPJOBPORTALincluder::getJSModel('resume')->getResumebyId($resumeid);
                    break;
                case 'admin_formresume':
                    wpjobportal::$_wpjpfieldordering->getFieldsOrderingforForm(3);
                    break;
                case 'admin_formresumeuserfield':
                    $ff = WPJOBPORTALrequest::getVar('ff');
                    if ($ff == "")
                        $ff = get_option('wpjobportalformresumeuserfield_ff');
                    else
                        update_option( 'wpjobportalformresumeuserfield_ff',$ff);
                    $result = WPJOBPORTALincluder::getJSModel('resume')->getResumeUserFields($ff);
                    break;
                case 'admin_resumequeue':
                    WPJOBPORTALincluder::getJSModel('resume')->getAllUnapprovedEmpApps();
                    break;
                case 'admin_resumes':
                    if(is_admin()){
                        WPJOBPORTALincluder::getJSModel('resume')->getAllEmpApps();
                    }
                    break;
            }
            if ($empflag == 0) {
                WPJOBPORTALLayout::setMessageFor(5);
                wpjobportal::$_error_flag = true;
            }
            $module = (is_admin()) ? 'page' : 'wpjobportalme';
            $module = WPJOBPORTALrequest::getVar($module, null, 'resume');
            $module = str_replace('wpjobportal_', '', $module);
            WPJOBPORTALincluder::include_file($layout, $module);
        }
    }

    function canaddfile() {
        if (isset($_POST['form_request']) && $_POST['form_request'] == 'wpjobportal')
            return false;
        elseif (isset($_GET['action']) && $_GET['action'] == 'wpjobportaltask')
            return false;
        else
            return true;
    }

    function approveQueueResume() {
        if(!is_admin()) return false;
        $id = WPJOBPORTALrequest::getVar('id');
        $result = WPJOBPORTALincluder::getJSModel('resume')->approveQueueResumeModel($id);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue");
        wp_redirect($url);
        die();
    }

    function rejectQueueResume() {
        if(!is_admin()) return false;
        $id = WPJOBPORTALrequest::getVar('id');
        $result = WPJOBPORTALincluder::getJSModel('resume')->rejectQueueResumeModel($id);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue");
        wp_redirect($url);
        die();
    }


    function approveQueueAllResumes() {
        if(!is_admin()) return false;
        $id = WPJOBPORTALrequest::getVar('id');
        $alltype = WPJOBPORTALrequest::getVar('objid');
        $result = WPJOBPORTALincluder::getJSModel('resume')->approveQueueAllResumesModel($id, $alltype);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue");
        WPJOBPORTALincluder::getJSModel('emailtemplate')->sendMail(3, 2, $id); // 3 for resume,2 for Approve resume
        wp_redirect($url);
        die();
    }

    function rejectQueueAllResumes() {
        if(!is_admin()) return false;
        $id = WPJOBPORTALrequest::getVar('id');
        $alltype = WPJOBPORTALrequest::getVar('objid');
        $result = WPJOBPORTALincluder::getJSModel('resume')->rejectQueueAllResumesModel($id, $alltype);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue");
        wp_redirect($url);
        die();
    }

    /* STRAT EXPORT RESUMES */

    function resumeenforcedelete() {
        if(!is_admin()) return false;
        $nonce = WPJOBPORTALrequest::getVar('_wpnonce');
        if (! wp_verify_nonce( $nonce, 'delete-resume') ) {
             die( 'Security check Failed' );
        }
        $resumeid = WPJOBPORTALrequest::getVar('resumeid');
        $callfrom = WPJOBPORTALrequest::getVar('callfrom');
        $uid = WPJOBPORTALincluder::getObjectClass('user')->uid();
        $result = WPJOBPORTALincluder::getJSModel('resume')->resumeEnforceDelete($resumeid, $uid);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);

        if ($callfrom == 1) {
            $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumes");
        } else {
            $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue");
        }
        wp_redirect($url);
        die();
    }

    function empappreject() {
        $appid = WPJOBPORTALrequest::getVar('resumeid');
        $result = WPJOBPORTALincluder::getJSModel('resume')->empappReject($appid);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        wp_redirect(admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue"));
        die();
    }

    function saveresume() {
       try{
            //requesting parameters
            $mresume = WPJOBPORTALincluder::getJSModel('resume');
            $data = WPJOBPORTALrequest::get('post');
            $resumeid = (int) $data['id'];
            $uid = WPJOBPORTALincluder::getObjectClass('user')->uid();

            $isnew = !$resumeid;
            if(!is_admin() && !WPJOBPORTALincluder::getObjectClass('user')->isguest()){
                if($isnew && !$mresume->checkAlreadyadd($uid)){
                    throw new Exception(WPJOBPORTAL_SAVE_ERROR, WPJOBPORTAL_RESUME);
                }
            }
            $resumeid = $mresume->storeResume($data);
            if(!$resumeid){
                throw new Exception(WPJOBPORTAL_SAVE_ERROR, WPJOBPORTAL_RESUME);
            }

            $msg = WPJOBPORTALMessages::getMessage(WPJOBPORTAL_SAVED, WPJOBPORTAL_RESUME);
            WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
            $redirecturl = wpjobportal::redirectUrl('resume.success',wpjobportal::$_data['id']);

        }catch(Exception $ex){
            $msg = WPJOBPORTALMessages::getMessage($ex->getMessage(), $ex->getCode());
            WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
            $redirecturl = wpjobportal::redirectUrl('resume.fail');
        }
        wp_redirect($redirecturl);
        die();
    }

    function removeresume() {
        $nonce = WPJOBPORTALrequest::getVar('_wpnonce');
        if (! wp_verify_nonce( $nonce, 'delete-resume') ) {
             die( 'Security check Failed' );
        }
        $data = WPJOBPORTALrequest::get('post');
        $resumeid = WPJOBPORTALrequest::getVar('wpjobportal-cb');
        if (!isset($data['callfrom'])) {
            $data['callfrom'] = $callfrom = WPJOBPORTALrequest::getVar('callfrom');
        }
        $result = WPJOBPORTALincluder::getJSModel('resume')->deleteResume($resumeid);
        $msg = WPJOBPORTALMessages::getMessage($result, 'resume');
        WPJOBPORTALMessages::setLayoutMessage($msg['message'], $msg['status'],$this->_msgkey);
        if (is_admin()) {
            if ($data['callfrom'] == 1) {
                $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumes");
            } elseif ($data['callfrom'] == 2) {
                $url = admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=resumequeue");
            }
        } else {
            $url = wpjobportal::makeUrl(array('wpjobportalme'=>'resume', 'wpjobportallt'=>'myresumes', 'wpjobportalpageid'=>wpjobportal::getPageid()));
        }
        wp_redirect($url);
        die();
    }

    function getallresumefiles() {
        WPJOBPORTALincluder::getJSModel('resume')->getAllResumeFiles();
    }

    function getresumefiledownloadbyid() {
        $fileid = WPJOBPORTALrequest::getVar('wpjobportalid');
        WPJOBPORTALincluder::getJSModel('resume')->getResumeFileDownloadById($fileid);
    }

    function addviewresumedetail() {
        $nonce = WPJOBPORTALrequest::getVar('_wpnonce');
        if (! wp_verify_nonce( $nonce, 'resume-view') ) {
             die( 'Security check Failed' );
        }
        $id = WPJOBPORTALrequest::getVar('wpjobportalid');
        $pageid = WPJOBPORTALrequest::getVar('wpjobportal_pageid');
        $uid = WPJOBPORTALincluder::getObjectClass('user')->uid();
        WPJOBPORTALincluder::getJSModel('resume')->addViewContactDetail($id, $uid);
        $url = wpjobportal::makeUrl(array('wpjobportalme'=>'resume', 'wpjobportallt'=>'viewresume','wpjobportalid'=>$id, 'wpjobportalpageid'=>$pageid));
        wp_redirect($url);
        die();
    }
}

$WPJOBPORTALResumeController = new WPJOBPORTALResumeController();
?>
