<?php
if (!defined('ABSPATH'))
    die('Restricted Access');
if(!WPJOBPORTALincluder::getTemplate('templates/header',array('module' => 'resume'))){
    return;
}
if (wpjobportal::$_error_flag == null) { ?>
    <div class="wjportal-main-wrapper wjportal-clearfix">
        <div class="wjportal-page-header">
            <div class="wjportal-page-header-cnt">
                <?php
                    WPJOBPORTALincluder::getTemplate('templates/pagetitle',array('module' => 'resumesearch','layout'=>'resumelist'));
                ?>
            </div>
            <div class="wjportal-header-actions">
            <?php
                $image1 = wpjobportal::$_pluginpath . "includes/images/sort-up.png";
                $image2 = wpjobportal::$_pluginpath . "includes/images/sort-down.png";
                if (wpjobportal::$_data['sortby'] == 1) {
                    $image = $image1;
                } else {
                    $image = $image2;
                }
                $categoryarray = array(
                    (object) array('id' => 1, 'text' => __('Application title', 'wp-job-portal')),
                    (object) array('id' => 2, 'text' => __('First name', 'wp-job-portal')),
                    (object) array('id' => 3, 'text' => __('Category', 'wp-job-portal')),
                    (object) array('id' => 4, 'text' => __('Job type', 'wp-job-portal')),
                    (object) array('id' => 5, 'text' => __('Location', 'wp-job-portal')),
                    (object) array('id' => 6, 'text' => __('Created', 'wp-job-portal'))
                );
            // resume filters
                WPJOBPORTALincluder::getTemplate('resume/views/frontend/filter',array(
                    'sortbylist' => $categoryarray,
                    'filter' => 'resume',
                    'image' => $image,
                    'image1' => $image1,
                    'image2' => $image2
                ));
            ?>
            </div>
        </div>
        <?php
            if (isset(wpjobportal::$_data['fromtags'])) {
                $heading = __('Resumes By Tag', 'wp-job-portal') . ' [' . wpjobportal::$_data['fromtags'] . ']';
            }else {
                $heading = __('Resumes', 'wp-job-portal');
            }
        ?>
        <div class="wjportal-resume-list-wrp">
        <?php
            //Resume Search Save addons
            if(in_array('resumesearch', wpjobportal::$_active_addons)){
                do_action('wpjobportal_addons_resume_search_save_form');
            }
            if (isset(wpjobportal::$_data[0]) && !empty(wpjobportal::$_data[0])) {?>
                <form id="resume_form" method="post" action="<?php echo wpjobportal::makeUrl(array('wpjobportalme'=>'resume','wpjobportallt'=>'resumes','wpjobportalpageid' =>wpjobportal::getPageid())); ?>">
                <?php
                foreach (wpjobportal::$_data[0] AS $myresume) {
                    //Load Template View Resume
                    WPJOBPORTALincluder::getTemplate('resume/views/frontend/resumelist',array(
                        'module' => 'resume',
                        'myresume' => $myresume,
                        'percentage' => '',
                        'control' => ''
                    ));
                }
                if (wpjobportal::$_data[1]) {
                    WPJOBPORTALincluder::getTemplate('templates/pagination',array('module' => 'resume','pagination' => wpjobportal::$_data[1]));
                }
                echo WPJOBPORTALformfield::hidden('sortby', wpjobportal::$_data['sortby']);
                echo WPJOBPORTALformfield::hidden('sorton', wpjobportal::$_data['sorton']);
                echo WPJOBPORTALformfield::hidden('WPJOBPORTAL_form_search', 'WPJOBPORTAL_SEARCH');
                echo WPJOBPORTALformfield::hidden('wpjobportallay', 'resumes');
                echo WPJOBPORTALformfield::hidden('resume_filter', isset(wpjobportal::$_data['filter']) ? base64_encode(json_encode(wpjobportal::$_data['filter'])) : '');

                ?>
                </form>
                <?php
            } else {
                WPJOBPORTALlayout::getNoRecordFound();
            }
        }
    ?>
</div>


