jQuery(document).ready(function () {
    // Call block for all the #
    jQuery("body").delegate('a[href="#"]', "click", function (event) {
        event.preventDefault();
    });
    // Check boxess multi-selection
    jQuery('#selectall').click(function (event) {
        if (this.checked) {
            jQuery('.wpjobportal-cb').each(function () {
                this.checked = true;
            });
        } else {
            jQuery('.wpjobportal-cb').each(function () {
                this.checked = false;
            });
        }
    });
    //Close Payment PopUp
    jQuery("#wjportal-popup-close-btn, .modal-backdrop").click(function (e) {
        jQuery("div#wjportal-popup-background").hide();
        jQuery("#payment-popup, #package-popup").modal('hide');
    });

    
    jQuery("body").delegate("#wjportal-popup-close-btn", "click", function(e){
        jQuery("div#wjportal-popup-background").hide();
        jQuery('div').removeClass('modal-backdrop in');
        jQuery("#payment-popup, #package-popup").modal('hide');
    });

    //submit form with anchor
    jQuery("a.multioperation").click(function (e) {
        e.preventDefault();
        var total = jQuery('.wpjobportal-cb:checked').size();
        if (total > 0) {
            var task = jQuery(this).attr('data-for');
            if (task.toLowerCase().indexOf("remove") >= 0) {
                if (confirmdelete(jQuery(this).attr('confirmmessage')) == true) {
                    jQuery("input#task").val(task);
                    jQuery("form#wpjobportal-list-form").submit();
                }
            } else {
                jQuery("input#task").val(task);
                jQuery("form#wpjobportal-list-form").submit();
            }
        } else {
            var message = jQuery(this).attr('message');
            alert(message);
        }
    });

    //submit form and save ordering 
    // jQuery("input#save").click(function (e) {
    //     jQuery("input#task").val('saveordering');
    //     jQuery("input#action").val('jobtype');
    //     jQuery("form#wpjobportal-list-form").submit();  
    // });
    wpjobportalPopupLink();
});

function wpjobportalPopupLink() {
    var themecall = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

    var target_ancher = "a.wpjobportal-popup";
    if (null != themecall) {
        target_ancher = "a." + common.theme_chk_prefix + "-modal-credit-action-btn";
    }
    jQuery(target_ancher).click(function (e) {
        //      var link = jQuery(target_ancher).attr('href');

        //        e.preventDefault();

    });
}

function confirmdelete(message) {
    if (confirm(message) == true) {
        return true;
    } else {
        return false;
    }
}
function wpjobportalPopup(actionname, id) {
    if(actionname == 'featured_company'){
        if(!confirmdelete('Are You Sure You Want To Feature this Company?'))
            return false;
    }
    if(actionname == 'featured_job'){
        if(!confirmdelete('Are You Sure You Want To Feature this Job?'))
            return false;
    }
    if(actionname == 'featured_resume'){
        if(!confirmdelete('Are You Sure You Want To Feature this Resume?'))
            return false;
    }
    var srcid = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
    var anchorid = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '';
    var themecall = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : null;
    var pageid = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax_popup', task: actionname, id: id, srcid: srcid,
     anchorid: anchorid, themecall: themecall, wpjobportal_pageid: pageid }, function (data) {
        if (data) {
            if (null != themecall) {
                jQuery("div#" + common.theme_chk_prefix + "-popup").html('');
                jQuery("div#" + common.theme_chk_prefix + "-popup-background").html('');
            }else{
                jQuery("div#" + common.theme_chk_prefix + "-popup").html('');
            }
            jQuery("body").append(data);
            if (null != themecall) {
                jQuery("div#" + common.theme_chk_prefix + "-popup-background").show().click(function () {
                    wpjobportalClosePopup(themecall);
                });
                jQuery("." + common.theme_chk_prefix + "-modal-close-icon").click(function () {
                    wpjobportalClosePopup(themecall);
                });
                jQuery("input[type='radio'].checkboxes").prop("checked", true);
                jQuery("input[type='radio'].checkboxes").change(function (e) {
                    setRemaingCredits();
                });
                jQuery("div#" + common.theme_chk_prefix + "-popup").slideDown();
                wpjobportalPopupLink(themecall);
            } else {
                jQuery("div#wpjobportal-popup-background").show().click(function () {
                    wpjobportalClosePopup();
                });
                jQuery("img#popup_cross").click(function () {
                    wpjobportalClosePopup();
                });
                //this line is added to resolve remaining credits issue in popup
                jQuery("input[type='radio'].checkboxes").prop("checked", true);
                jQuery("input[type='radio'].checkboxes").change(function (e) {
                    setRemaingCredits();
                });
                jQuery("div#wpjobportal-popup").slideDown();
                wpjobportalPopupLink();
            }
        }
    });
}

function wpjobportalPopupAdmin(actionname, id, srcid, anchorid, payment) {
    if (payment === undefined) {
        payment = 0;
    }
    if(actionname == 'copy_job' || actionname == "featured_resume"){
        var userid = payment;
    }else{
        var userid = jQuery('a[data-anchorid="' + anchorid + '"]').attr('credit_userid');
    }
    if(actionname == 'featured_company'){
        if(!confirmdelete('Are You Sure You Want To Feature this Company?'))
            return false;
    }
    if(actionname == 'featured_job'){
        if(!confirmdelete('Are You Sure You Want To Feature this Job?'))
            return false;
    }
    if(actionname == 'featured_resume'){
        if(!confirmdelete('Are You Sure You Want To Feature this Resume?'))
            return false;
    }
    var modal = jQuery('#package').val();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax_popup', 
        task: actionname, id: id, srcid: srcid, anchorid: anchorid, isadmin: 1, payment: payment, userid: userid,module:modal }, function (data) {
        if (data) {
            jQuery("body").append(data);
            jQuery("div#wpjobportal-popup-background").show().click(function () {
                wpjobportalClosePopup();
            });
            jQuery("img#popup_cross").click(function () {
                wpjobportalClosePopup();
            });
            //this line is added to resolve remaining credits issue in popup
            jQuery("input[type='radio'].checkboxes").prop("checked", true);
            jQuery("input[type='radio'].checkboxes").change(function (e) {
                setRemaingCredits();
            });
            jQuery("div#wpjobportal-popup").slideDown();
            wpjobportalPopupLink();
        }
    });
}

function validateUploadImage(file_element,success_callback,error_callback){
    var allowed_types = common.image_file_type;
    var allowed_size  = common.image_file_size;
    var result = validateUploadFile(file_element, allowed_types, allowed_size);
    if(result == true && typeof success_callback == "function"){
        success_callback();
    }else if(result == false && typeof error_callback == "function"){
        error_callback();
    }
}

function setRemaingCredits() {
    var requiredcredits = 0;
    var totalcredits = 0;
    jQuery('input[type=radio].checkboxes').each(function () {
        if (this.checked) {
            requiredcredits = parseInt(jQuery(this).attr('data-credits'));
            totalcredits = parseInt(jQuery(this).attr('data-totalcredits'));
        }
    });
    jQuery("span#remaing-credits").html(totalcredits - requiredcredits);
}

function wpjobportalClosePopup() {
    var themecall = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

    var popup_div = "";
    var bkpop_div = "";
    if (null != themecall) {
        popup_div = "div#" + common.theme_chk_prefix + "-popup";
        bkpop_div = "div#" + common.theme_chk_prefix + "-popup-background";
    } else {
        popup_div = "div#wpjobportal-popup";
        bkpop_div = "div#wpjobportal-popup-background";
    }
    jQuery(popup_div).slideUp();
    jQuery(bkpop_div).hide();
    setTimeout(function () {
        jQuery(popup_div).html(' ');
    }, 350);
}

function wpjobportalPopupProceeds(actionname, objectid, srcid, anchorid, actionid) {
    var themecall = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;

    if (actionid == -1) {
        jQuery('input[type=radio].checkboxes').each(function () {
            if (this.checked) {
                creditid = parseInt(jQuery(this).val());
            }
        });
    } else {
        creditid = actionid;
    }
    var remaingcredits = jQuery('span#remaing-credits').html();
    remaingcredits = parseInt(remaingcredits);
    if (remaingcredits < 0) {
        alert(common.insufficient_credits);
        return;
    }
    if (null != themecall) {
        jQuery('div#' + common.theme_chk_prefix + '-popup').prepend('<div class="' + common.theme_chk_prefix + '-loading"></div>');
    } else {
        jQuery('div#wpjobportal-popup').prepend('<div class="loading"></div>');
    }
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax_popup_action', task: actionname, id: objectid, actiona: creditid }, function (data) {
        if (data) {
            if (actionname == 'copy_job') {
                location.reload();
            } else {
                var obj = jQuery.parseJSON(data);
                if (1 == themecall) {
                    wpjobportalClosePopup(themecall);
                    var div = jQuery('a[data-anchorid="' + anchorid + '"]');
                    var specialtype = jQuery('a[data-anchorid="' + anchorid + '"]').attr('data-spectype');
                    jQuery(div).hide();
                    addBadgeToObject(objectid, specialtype, obj, themecall);
                } else {
                    wpjobportalClosePopup();
                    var div = jQuery('a[data-anchorid="' + anchorid + '"]');
                    var specialtype = jQuery('a[data-anchorid="' + anchorid + '"]').attr('data-spectype');
                    jQuery(div).hide();
                    jQuery('div[data-boxid="' + srcid + '"]').css("backgroundColor", "#FEF9E7");
                    addBadgeToObject(objectid, specialtype, obj);
                    makeExpiry();
                    setTimeout(function () {
                        jQuery('div[data-boxid="' + srcid + '"]').css("backgroundColor", "#FFFFFF");
                    }, 2000);
                }
            }
        }
    });
}

function wpjobportalPopupProceedsAdmin(actionname, objectid, srcid, anchorid, actionid, payment) {
    if (payment === undefined) {
        payment = 0;
    }
    if (actionid == -1) {
        jQuery('input[type=radio].checkboxes').each(function () {
            if (this.checked) {
                creditid = parseInt(jQuery(this).val());
            }
        });
    } else {
        creditid = actionid;
    }
   
    jQuery('div#wpjobportal-popup').prepend('<div class="loading"></div>');
    var upakid = jQuery('#upakid').val();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax_popup_action', task: actionname, id: objectid, actiona: creditid, isadmin: 1, payment: payment,upakid:upakid }, function (data) {
        if (data) {
            //Copy Job Reload Process
            if (actionname == 'copy_job') {
                location.reload();
            } else {
                var obj = jQuery.parseJSON(data);
                wpjobportalClosePopup();
                var div = jQuery('a[data-anchorid="' + anchorid + '"]').parent();
                var specialtype = jQuery('a[data-anchorid="' + anchorid + '"]').attr('data-spectype');
                jQuery('div[data-boxid="' + srcid + '"]').css("backgroundColor", "#FEF9E7");
                addBadgeToObject(objectid, specialtype, obj.expiry);
                makeExpiry();
                setTimeout(function () {
                    jQuery('div[data-boxid="' + srcid + '"]').css("backgroundColor", "#FFFFFF");
                }, 2000);
            }
        }
    });
}

function wpjobportalformpopupAdmin(actionname, formid) {
   var formvalid = jQuery('form#' + formid).isValid();
    if (formvalid == false) {
        return;
    }
    var userid = jQuery('form#' + formid).find('input.wpjobportal-form-save-btn').attr('credit_userid');
    var modal = jQuery('#package').val();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax_popup', task: actionname, formid: formid, isadmin: 1, userid: userid,module:modal }, function (data) {
        if (data) {
            jQuery("body").append(data);
            /*alert(data);
            exit();*/
            jQuery("div#wpjobportal-popup-background").show().click(function () {
                wpjobportalClosePopup();
            });
            jQuery("img#popup_cross").click(function () {
                wpjobportalClosePopup();
            });
            jQuery("div#wpjobportal-popup").slideDown();
            wpjobportalPopupLink();
            //this line is added to resolve remaining credits issue in popup
            jQuery("input[type='radio'].checkboxes").prop("checked", true);
            jQuery("input[type='radio'].checkboxes").change(function (e) {
                setRemaingCredits();
            });
        }
    });
}

function wpjobportalformpopup(actionname, formid) {
    var themecall = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;


    if (formid == 'resumeform') {
        var formvalid = jQuery('form.has-validation-callback').isValid();
        if (formvalid == false) {
            return;
        }
    } else {
        var formvalid = jQuery('form#' + formid).isValid();
        if (formvalid == false) {
            return;
        }
    }
    // check if terms and conditions is checked(if it exsists on the layout.)
    var termsandcondtions = jQuery("div.wpjobportal-terms-and-conditions-wrap").attr("data-wpjobportal-terms-and-conditions");
    if(termsandcondtions == 1){
        if(!jQuery("input[name='termsconditions']").is(":checked")){
            alert(common.terms_conditions);
            return false;
        }
    }
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax_popup', task: actionname, formid: formid, themecall: themecall }, function (data) {
        if (data) {
            jQuery("body").append(data);
            if (null != themecall) {
                jQuery("div#" + common.theme_chk_prefix + "-popup-background").show().click(function () {
                    wpjobportalClosePopup(themecall);
                });
                jQuery("." + common.theme_chk_prefix + "-modal-close-icon").click(function () {
                    wpjobportalClosePopup(themecall);
                });
                jQuery("div#" + common.theme_chk_prefix + "-popup").slideDown();
                wpjobportalPopupLink(themecall);
                jQuery("input[type='radio'].checkboxes").prop("checked", true);
                jQuery("input[type='radio'].checkboxes").change(function (e) {
                    setRemaingCredits();
                });
            } else {
                jQuery("div#wpjobportal-popup-background").show().click(function () {
function validateUploadFile(file_element, allowed_types, allowed_size){
    var file = file_element.files[0];
    var fileext = getExtensions(file.name);
    var filesize = (file.size / 1024);
    allowed_types = allowed_types.split(',');
    var replaceflag = 0;
    var result = true;
    if(checkExtension(allowed_types, fileext) == 'Y'){
        if(filesize > allowed_size){
            alert(common.file_size_exceeded);
            replaceflag = 1;
            result = false;
        }
    }else{
        alert(common.file_extension_mismatch);
        replaceflag = 1;
        result = false;
    }
    if(replaceflag){
        jQuery(file_element).replaceWith(file_element.outerHTML);
    }
    return result;
}

function  checkExtension(f_e_a, fileext) { //from jm-jobs-pro-124 common.js
    var match = 'N';
    for (var i = 0; i < f_e_a.length; i++) {
        if (f_e_a[i].toLowerCase() === fileext.toLowerCase()) {
            match = 'Y';
            break;
        }
    }
    return match;
}


function validateUploadFile(file_element, allowed_types, allowed_size){
    var file = file_element.files[0];
    var fileext = getExtension(file.name);
    var filesize = (file.size / 1024);
    allowed_types = allowed_types.split(',');
    var replaceflag = 0;
    var result = true;
    if(checkExtension(allowed_types, fileext) == 'Y'){
        if(filesize > allowed_size){
            alert(common.file_size_exceeded);
            replaceflag = 1;
            result = false;
        }
    }else{
        alert(common.file_extension_mismatch);
        replaceflag = 1;
        result = false;
    }
    if(replaceflag){
        jQuery(file_element).replaceWith(file_element.outerHTML);
    }
    return result;
}

function  checkExtension(f_e_a, fileext) { //from jm-jobs-pro-124 common.js
    var match = 'N';
    for (var i = 0; i < f_e_a.length; i++) {
        if (f_e_a[i].toLowerCase() === fileext.toLowerCase()) {
            match = 'Y';
            break;
        }
    }
    return match;
}

function getExtensions(filename) { //from jm-jobs-pro-124 common.js
    return filename.split('.').pop().toLowerCase();
}
function getExtension(filename) { //from jm-jobs-pro-124 common.js
    return filename.split('.').pop().toLowerCase();
}        wpjobportalClosePopup();
                });
                jQuery("img#popup_cross").click(function () {
                    wpjobportalClosePopup();
                });
                jQuery("div#wpjobportal-popup").slideDown();
                wpjobportalPopupLink();
                //this line is added to resolve remaining credits issue in popup
                jQuery("input[type='radio'].checkboxes").prop("checked", true);
                jQuery("input[type='radio'].checkboxes").change(function (e) {
                    setRemaingCredits();
                });
            }
        }
    });
}

function wpjobportalPopupResumeFormProceeds(actionid) {
    if (actionid == -1) {
        jQuery('input[type=radio].checkboxes').each(function () {
            if (this.checked) {
                creditid = parseInt(jQuery(this).val());
            }
        });
    } else {
        creditid = actionid;
    }
    var remaingcredits = jQuery('span#remaing-credits').html();
    remaingcredits = parseInt(remaingcredits);
    if (remaingcredits < 0) {
        alert(common.insufficient_credits);
        return;
    }
    jQuery("input#creditid").val(creditid);
    jQuery("div#wpjobportal-popup").slideUp();
    jQuery("div#wpjobportal-popup-background").hide();
    submitresume();
}

function wpjobportalPopupResumeFormProceedsAdmin(actionid, payment) {
    if (payment === undefined) {
        payment = 0;
    }
    if (actionid == -1) {
        jQuery('input[type=radio].checkboxes').each(function () {
            if (this.checked) {
                creditid = parseInt(jQuery(this).val());
            }
        });
    } else {
        creditid = actionid;
    }
    var remaingcredits = jQuery('span#remaing-credits').html();
    remaingcredits = parseInt(remaingcredits);
    if (remaingcredits < 0 && payment == 1) {
        alert(common.insufficient_credits);
        return;
    }
    jQuery("input#payment").val(payment);
    jQuery("input#creditid").val(creditid);
    jQuery("div#wpjobportal-popup").slideUp();
    jQuery("div#wpjobportal-popup-background").hide();
    submitresume();
}

function wpjobportalPopupFormProceeds(formid, actionid) {
    if (actionid == -1) {
        jQuery('input[type=radio].checkboxes').each(function () {
            if (this.checked) {
                creditid = parseInt(jQuery(this).val());
            }
        });
    } else {
        creditid = actionid;
    }
    var remaingcredits = jQuery('span#remaing-credits').html();
    remaingcredits = parseInt(remaingcredits);
    if (remaingcredits < 0) {
        alert(common.insufficient_credits);
        return;
    }
    jQuery("input#creditid").val(creditid);
    jQuery("div#wpjobportal-popup").slideUp();
    jQuery("div#wpjobportal-popup-background").hide();
    jQuery("form#" + formid).submit();
}

function wpjobportalPopupFormProceedsAdmin(formid, actionid, payment) {
    if (payment === undefined) {
        payment = 0;
    }
    if (actionid == -1) {
        jQuery('input[type=radio].checkboxes').each(function () {
            if (this.checked) {
                creditid = parseInt(jQuery(this).val());
            }
        });
    } else {
        creditid = actionid;
    }
    var remaingcredits = jQuery('span#remaing-credits').html();
    remaingcredits = parseInt(remaingcredits);
    if (remaingcredits < 0 && payment == 1) {
        alert(common.insufficient_credits);
        return;
    }
    jQuery("input#payment").val(payment);
    jQuery("input#creditid").val(creditid);
    jQuery("div#wpjobportal-popup").slideUp();
    jQuery("div#wpjobportal-popup-background").hide();
    jQuery("form#" + formid).submit();
}

function getQuickViewByJobId(jobid, pageid) {
    jQuery("div#wpjobportal-popup-background").show();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'job', task: 'getQuickViewByJobId', jobid: jobid, wpjobportalpageid: pageid }, function (data) {
        if (data) {
            var d = jQuery.parseJSON(data);
            jQuery("div#wpjobportal-listpopup span.popup-title span.title").html(d.title);
            jQuery("div#wpjobportal-listpopup div.wpjobportal-contentarea").html(d.content);
            jQuery("div#wpjobportal-listpopup").slideDown();
            setTimeout(loadMap1(), 4000);
        }
    });
}

function getShortlistViewByJobid(jobid) {
    var themecall = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    task = "getShortListViewByJobId";
    if (null != themecall) {
        jQuery('div#' + common.theme_chk_prefix + '-popup-background').show();
        task = "getShortListViewByJobIdJobManager";
    } else {
        jQuery("div#wjportal-popup-background").show();
    }
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'shortlist', task: task, jobid: jobid }, function (data) {
        if (data) {
            var d = jQuery.parseJSON(data);
            if (null != themecall) {
                jQuery("div#" + common.theme_chk_prefix + "-popup").first().html(d.content);
                jQuery("div#" + common.theme_chk_prefix + "-popup").slideDown();
            } else {
                jQuery("div#wjportal-listpopup div.wjportal-popup-title span.wjportal-popup-title2").html(d.title);
                jQuery("div#wjportal-listpopup div.wjportal-popup-contentarea").html('');
                jQuery("div#wjportal-listpopup div.wjportal-popup-contentarea").html(d.content);
                jQuery("div#wjportal-listpopup").slideDown();
            }
        }
    });
}

function setrating(src, newrating) {
    jQuery("#" + src).width(parseInt(newrating * 20) + '%');
}

function saveJobShortlist() {
    var themecall = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    task = "saveJobShortlist";
    if (null != themecall) {
        jQuery('div#' + common.theme_chk_prefix + '-popup').prepend('<div class="' + common.theme_chk_prefix + '-loading"></div>');
        task = "saveJobShortlistJobManager";
    }

    var jobid = jQuery("input#jobid").val();
    var slid = jQuery("input#wpjobportalid").val();
    var comments = jQuery("textarea#wpjobportalcomment").val();
    rating = jQuery('#rating_' + jobid).width();
    rateintvalue = parseInt(rating);
    rate = rateintvalue / 20;
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'shortlist', task: task, jobid: jobid, comments: comments, rate: rate, slid: slid }, function (data) {
        if (data) {
            if (null != themecall) {
                jQuery('div#' + common.theme_chk_prefix + '-popup').find("div." + common.theme_chk_prefix + "-loading").remove();
                jQuery("div." + common.theme_chk_prefix + "-modal-wrp").append(data);
            } else {
                jQuery("div.wjportal-visitor-msg-btn-wrp").html(data); //retuen value
            }
        }
    });
}

function getApplyNowByJobid(jobid, pageid ,package = '') {
    wpjobportalClosePopup();
    //var themecall = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
    var themecall = null;
    if (null != themecall) {
        //jQuery("div#wpjobportal-popup-background").show();
       jQuery('div#' + common.theme_chk_prefix + '-popup-background').show();
    } else {
        jQuery("div#wjportal-popup-background").show();
    }
    var permalink = jQuery('div#wpjobportal_permalink').html();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'jobapply', task: 'getApplyNowByJobid', jobid: jobid, jobpermalink: permalink, wpjobportal_pageid: pageid, themecall: themecall,upkid: package }, function (data) {
        if (data) {

            var d = jQuery.parseJSON(data);
            if (null != themecall) {
               jQuery("div#" + common.theme_chk_prefix + "-popup").html('');
               jQuery("div#" + common.theme_chk_prefix + "-popup").first().html(decodeURIComponent(escape(d.content)));
               jQuery("div#" + common.theme_chk_prefix + "-popup").slideDown("slow");

            } else {
                jQuery("div#wjportal-listpopup div.wjportal-popup-title span.wjportal-popup-title2").html(decodeURIComponent(escape(d.title)));
                jQuery("div#wjportal-listpopup div.wjportal-popup-job-list").html('');
                jQuery("div#wjportal-listpopup div.wjportal-popup-job-list").first().html(decodeURIComponent(escape(d.popupjoblist)));
                jQuery("div#wjportal-listpopup div.wjportal-popup-contentarea").html('');
                jQuery("div#wjportal-listpopup div.wjportal-popup-contentarea").first().html(decodeURIComponent(escape(d.content)));
                jQuery("div#wjportal-listpopup").slideDown("slow");
            }
        }
    });
    return;
}

function jobApply(jobid,upkid) {
    var themecall = null;//arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    task = "jobapply";
    if (null != themecall) {
        jQuery('div#' + common.theme_chk_prefix + '-popup').prepend('<div class="' + common.theme_chk_prefix + '-loading"></div>');
        task = "jobapplyjobmanager";
    } else {
        jQuery('div.wjportal-popup-contentarea').prepend('<div class="transparentbg loading"></div>');
    }
    var cvid = jQuery('select#cvid').val();
    var coverletterid = jQuery('select#coverletterid').val();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'jobapply', task: task, jobid: jobid, cvid: cvid, coverletterid: coverletterid, themecall: themecall,upkid: upkid }, function (data) {
        if (data) {
            if (null != themecall) {
                jQuery('div#' + common.theme_chk_prefix + '-popup').find("div." + common.theme_chk_prefix + "-loading").remove();
                jQuery("div."+common.theme_chk_prefix+"-modal-wrp").find("div."+common.theme_chk_prefix+"-modal-data-wrp").append(data);
                jQuery("div." + common.theme_chk_prefix + "-modal-wrp").append(data);
            } else {
                jQuery("div.wjportal-visitor-msg-btn-wrp").html(data);
                jQuery("div.transparentbg").removeClass('loading');
            }
        }
    });
}
var tell_a_friend_captcha_resp;
function getTellaFriend(jobid) {
    var themecall = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    task = "getTellaFriend";

    if (null != themecall) {
        jQuery('div#' + common.theme_chk_prefix + '-popup-background').show();
        task = "getTellaFriendJobManager";
    } else {
        jQuery("div#wjportal-popup-background").show();
    }
    jQuery("div#wjportal-popup-background").show();
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'tellfriend', task: task, jobid: jobid }, function (data) {
        if (data) {
            var d = jQuery.parseJSON(data);
            if (null != themecall) {
                jQuery("div#" + common.theme_chk_prefix + "-popup").html('');
                jQuery("div#" + common.theme_chk_prefix + "-popup").first().html(d.content);
                jQuery("div#" + common.theme_chk_prefix + "-popup").slideDown();
                if (typeof grecaptcha != 'undefined') {
                    if (jQuery("#tell-a-friend-captcha").length) {
                        grecaptcha.render("tell-a-friend-captcha", {
                            sitekey: jQuery("div#tell-a-friend-captcha").attr('data-sitekey'),
                            callback: function callback(response) {
                                tell_a_friend_captcha_resp = response;
                            }
                        });
                    }
                }
            } else {
                 jQuery("div#wjportal-listpopup div.wjportal-popup-title span.wjportal-popup-title2").html(d.title);
                jQuery("div#wjportal-listpopup div.wjportal-popup-contentarea").html('');
                jQuery("div#wjportal-listpopup div.wjportal-popup-contentarea").html(d.content);
                jQuery("div#wjportal-listpopup").slideDown();

            }
        }
    });
}

function emailverify(email) {
    var emailParts = email.toLowerCase().split('@');
    if (emailParts.length == 2) {
        regex = /^[a-zA-Z0-9.!#$%&‚Äô*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
        return regex.test(email);
    }
    return false;
}

function getDataForDepandantFieldResume(parentf, childf, type) {
    var section = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;
    var sectionid = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : null;
    var themecall = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;

    var val;
    if (type == 1) {
        if (1 != section) {
            val = jQuery("select#" + parentf + sectionid).val();
        } else if (1 == section) {
            val = jQuery("select#" + parentf).val();
        }
    } else if (type == 2) {
        if (1 != section) {
            val = jQuery("input[name=sec_" + section + "\\[" + parentf + "\\]\\[" + sectionid + "\\]]:checked").val();
        } else if (1 == section) {
            val = jQuery("input[name=sec_" + section + "\\[" + parentf + "\\]]:checked").val();
        }
    }
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'fieldordering', task: 'DataForDepandantFieldResume', fvalue: val, child: childf, section: section, sectionid: sectionid, type: type, themecall: themecall }, function (data) {
        if (data) {

            var d = jQuery.parseJSON(data);
            /*console.log(d);
            console.log(section);*/
            if (1 != section) {
                //console.log(childf+sectionid);
                jQuery("select#" + childf + sectionid).replaceWith(d);
            } else {
                jQuery("select#" + childf).replaceWith(d);
            }
        }
    });
}

function getDataForDepandantField(parentf, childf, type) {
    var section = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;
    var sectionid = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : null;
    var themecall = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;

    if (type == 1) {
        var val = jQuery("select#" + parentf).val();
    } else if (type == 2) {
        if (section == 1) {
            var val = jQuery("input[name=sec_" + section + "\\[" + parentf + "\\]]:checked").val();
        } else {
            var val = jQuery("input[name=" + parentf + "]:checked").val();
        }
    }
    jQuery.post(common.ajaxurl, { action: 'wpjobportal_ajax', wpjobportalme: 'fieldordering', task: 'DataForDepandantField', fvalue: val, child: childf, themecall: themecall }, function (data) {
        if (data) {

            var d = jQuery.parseJSON(data);
            jQuery("select#" + childf).replaceWith(d);
        }
    });
}

function sendEmailToFriend() {
    var themecall = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

    var yourname = jQuery("input#yourname").val();
    if (yourname == '') {
        jQuery("input#yourname").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var youremail = jQuery("input#youremail").val();
    if (youremail == '' || emailverify(youremail) == false) {
        jQuery("input#youremail").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var femail1 = jQuery("input#femail1").val();
    if (femail1 == '' || emailverify(femail1) == false) {
        jQuery("input#femail1").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var femail2 = jQuery("input#femail2").val();

    if (typeof femail2 != "undefined" && femail2 != '' && emailverify(femail2) == false) {
        jQuery("input#femail2").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var femail3 = jQuery("input#femail3").val();
    if (typeof femail3 != "undefined" && femail3 != '' && emailverify(femail3) == false) {
        jQuery("input#femail3").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var femail4 = jQuery("input#femail4").val();
    if (typeof femail4 != "undefined" && femail4 != '' && emailverify(femail4) == false) {
        jQuery("input#femail4").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var femail5 = jQuery("input#femail5").val();
    if (typeof femail5 != "undefined" && femail5 != '' && emailverify(femail5) == false) {
        jQuery("input#femail5").css({ "border": "1px solid red" }).focus();
        return false;
    }
    var message = jQuery("textarea#message").val();
    if (message == '') {
        jQuery("textarea#message").css({ "border": "1px solid red" }).focus();
        return false;
    }

    var captch = jQuery("div.tell-a-friend-captcha-wrapper").find('input[type="text"]').val();
    var name = jQuery("div.tell-a-friend-captcha-wrapper").find('input[type="text"]').attr('name');

    var jobtitle = jQuery("input#jobtitle").val();
    var jobid = jQuery("input#jobid").val();
    var task = "sendmailtofriend";
    if (null != themecall) {
        jQuery('div#' + common.theme_chk_prefix + '-popup').prepend('<div class="' + common.theme_chk_prefix + '-loading"></div>');
        task = "sendmailtofriendJobManager";
        /*if(jQuery("div#"+common.theme_chk_prefix+"-tellafriend").find("div."+common.theme_chk_prefix+"-modal-data-wrp").length){
            jQuery("div#"+common.theme_chk_prefix+"-tellafriend").find("div."+common.theme_chk_prefix+"-multi-popup-overlay").show();
            jQuery("div#"+common.theme_chk_prefix+"-tellafriend").find("img."+common.theme_chk_prefix+"-multipop-loading-gif").show();
        }*/
    }

    var data = {
        action: 'wpjobportal_ajax',
        wpjobportalme: 'tellfriend',
        task: task,
        yourname: yourname,
        youremail: youremail,
        message: message,
        femail1: femail1,
        femail2: femail2,
        femail3: femail3,
        femail4: femail4,
        femail5: femail5,
        jobtitle: jobtitle,
        jobid: jobid
    };
    if (name != '' && name != undefined) {
        data[name] = captch;
    }
    data['g-recaptcha-response'] = tell_a_friend_captcha_resp;
    jQuery.post(common.ajaxurl, data, function (rdata) {
        if (rdata) {
            if (1 == themecall) {
                jQuery('div#' + common.theme_chk_prefix + '-popup').find("div." + common.theme_chk_prefix + "-loading").remove();
                var html = jQuery.parseJSON(rdata);
                jQuery("div." + common.theme_chk_prefix + "-modal-wrp").append(html);
                if (jQuery("div#" + common.theme_chk_prefix + "-tellafriend").find("div." + common.theme_chk_prefix + "-modal-data-wrp").length) {
                    jQuery("div#" + common.theme_chk_prefix + "-tellafriend").find("div." + common.theme_chk_prefix + "-multi-popup-overlay").hide();
                    jQuery("div#" + common.theme_chk_prefix + "-tellafriend").find("img." + common.theme_chk_prefix + "-multipop-loading-gif").hide();
                }
            } else {
                obj = jQuery.parseJSON(rdata);
                if (obj.status == 1) {
                    jQuery("div.wjportal-visitor-msg-btn-wrp").html(obj.message); //retuen value
                } else {
                    alert(obj.message);
                }
            }
        }
    });
}

function validateRemaingCredits() {
    var remaingcredits = jQuery('span#remaing-credits').html();
    remaingcredits = parseInt(remaingcredits);
    if (remaingcredits < 0) {
        alert(common.insufficient_credits);
        return false;
    }
    return true;
}

function draw() {
    var objects = document.getElementsByClassName('goldjob');
    for (var i = 0; i < objects.length; i++) {
        var canvas = objects[i];
        if (canvas.getContext) {
            var ctx = canvas.getContext('2d');
            ctx.fillStyle = "#FFFFFF";
            ctx.beginPath();
            ctx.moveTo(0, 0);
            ctx.lineTo(10, 10);
            ctx.lineTo(0, 20);
            ctx.fill();
        }
    }
}

window.onload = function () {
    draw();
};

function fillSpaces(string) {
    string = string.replace(" ", "%20");
    return string;
}

function showloginpopupjobmanager() {
    jQuery("a." + common.theme_chk_prefix + "-tp-link").click();
    return;
}

function showloginpopupjobhub() {
    jQuery("a." + common.theme_chk_prefix + "-tp-link").click();
    return;
}
function osmAddMarker(osmMap, coordinate, icon) {
    if(osmMap && ol){
        if(!icon){
            icon = 'http://maps.gstatic.com/mapfiles/api-3/images/spotlight-poi2.png';
        }
        var vectorLayer = new ol.layer.Vector({
            source: new ol.source.Vector({
                features: [
                    new ol.Feature({
                        geometry: new ol.geom.Point(ol.proj.transform(coordinate, 'EPSG:4326', 'EPSG:3857')),
                    })
                ]
            }),
            style: new ol.style.Style({
                image: new ol.style.Icon({
                    src: icon
                })
            })
        });
        osmMap.addLayer(vectorLayer);
        return vectorLayer;
    }
    return false;
}
