<?php
if (!defined('ABSPATH')) die('Restricted Access');
$company = isset(wpjobportal::$_data[0]) ? wpjobportal::$_data[0] : null;
?>
<div class="wjportal-main-wrapper wjportal-clearfix">
    <div class="wjportal-page-header">
        <?php
        WPJOBPORTALincluder::getTemplate('templates/pagetitle',array('module' => 'company' , 'layout' => 'companyinfo','company'=>$company));
        if ( !WPJOBPORTALincluder::getTemplate('templates/header',array('module' => 'company'))) {
                return;
            }
        ?>
    </div>
    <div class="wjportal-form-wrp wjportal-add-company-form">
        <?php
            $userinfo = WPJOBPORTALincluder::getObjectClass('user')->getEmployerProfile();
            if(isset(wpjobportal::$_data['package']) && in_array('credits', wpjobportal::$_active_addons) ){
                # package change
                WPJOBPORTALincluder::getTemplate('company/views/packages',array('module' => 'company','packages'=>wpjobportal::$_data['package']));
            }
        ?>
        <form class="wjportal-form" id="wpjobportal-form" method="post" enctype="multipart/form-data" action="<?php echo wpjobportal::makeUrl(array('wpjobportalme'=>'company', 'task'=>'savecompany')); ?>">
            <?php
                $formfields = WPJOBPORTALincluder::getTemplate('company/form-fields', array(
                    'company' => $company,
                    'userinfo' => $userinfo
                ));
                foreach ($formfields as $formfield) {
                    WPJOBPORTALincluder::getTemplate('templates/form-field', $formfield);
                }
        	?>
            <div class="wjportal-form-btn-wrp">
                <?php echo WPJOBPORTALformfield::button('save', __('Save','wp-job-portal') .' '. __('Company', 'wp-job-portal'), array('class' => 'button wjportal-form-btn wjportal-save-btn','onclick'=>"submitresume()")); ?>
            </div>
            <?php echo WPJOBPORTALformfield::hidden('id', $company ? $company->id : '' ); ?>
            <?php echo WPJOBPORTALformfield::hidden('wpjobportalpageid', get_the_ID()); ?>
            <?php echo WPJOBPORTALformfield::hidden('form_request', 'wpjobportal'); ?>
            <?php echo WPJOBPORTALformfield::hidden('created', isset(wpjobportal::$_data[0]->created) ? wpjobportal::$_data[0]->created : date('Y-m-d H:i:s')); ?>
            <?php echo WPJOBPORTALformfield::hidden('_wpnonce', wp_create_nonce('save-company')); ?>
            <?php
                if(in_array('credits', wpjobportal::$_active_addons)){
                 echo WPJOBPORTALformfield::hidden('upakid', isset(wpjobportal::$_data['package']) ? wpjobportal::$_data['package']->id : 0);
                }
            ?>
        </form>
    </div>
</div>