<?php
if (!defined('ABSPATH'))
    die('Restricted Access');
wp_enqueue_script('jquery-ui-datepicker');
$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
wp_enqueue_style('jquery-ui-css', wpjobportal::$_pluginpath . 'includes/css/jquery-ui-smoothness.css');

$dateformat = wpjobportal::$_configuration['date_format'];
if ($dateformat == 'm/d/Y' || $dateformat == 'd/m/y' || $dateformat == 'm/d/y' || $dateformat == 'd/m/Y') {
    $dash = '/';
} else {
    $dash = '-';
}
$firstdash = strpos($dateformat, $dash, 0);
$firstvalue = substr($dateformat, 0, $firstdash);
$firstdash = $firstdash + 1;
$seconddash = strpos($dateformat, $dash, $firstdash);
$secondvalue = substr($dateformat, $firstdash, $seconddash - $firstdash);
$seconddash = $seconddash + 1;
$thirdvalue = substr($dateformat, $seconddash, strlen($dateformat) - $seconddash);
$js_dateformat = '%' . $firstvalue . $dash . '%' . $secondvalue . $dash . '%' . $thirdvalue;
$js_scriptdateformat = $firstvalue . $dash . $secondvalue . $dash . $thirdvalue;
$js_scriptdateformat = str_replace('Y', 'yy', $js_scriptdateformat);
if ( !WPJOBPORTALincluder::getTemplate('templates/admin/header', array('module' => 'company')) ) {
        return;
}
?>
<script>
    jQuery(document).ready(function () {
        //end approval queue jquery
        jQuery('.custom_date').datepicker({dateFormat: '<?php echo $js_scriptdateformat; ?>'});
        jQuery("div#wp-job-portal-comp-listwrapper").each(function () {
            jQuery(this).hover(function () {
                jQuery(this).find("span.selector").show();
            }, function () {
                if (jQuery(this).find("span.selector input:checked").length > 0) {
                    jQuery(this).find("span.selector").show();
                } else {
                    jQuery(this).find("span.selector").hide();
                }
            });
        });
        jQuery("span#showhidefilter").click(function (e) {
            e.preventDefault();
            var img2 = "<?php echo wpjobportal::$_pluginpath . "includes/images/filter-up.png"; ?>";
            var img1 = "<?php echo wpjobportal::$_pluginpath . "includes/images/filter-down.png"; ?>";
            if (jQuery('.default-hidden').is(':visible')) {
                jQuery(this).find('img').attr('src', img1);
            } else {
                jQuery(this).find('img').attr('src', img2);
            }
            jQuery(".default-hidden").toggle();
            var height = jQuery(this).height();
            var imgheight = jQuery(this).find('img').height();
            var currenttop = (height - imgheight) / 2;
            jQuery(this).find('img').css('top', currenttop);
        });
    });

    function highlight(id) {
        if (jQuery("div.company_" + id + " span input").is(":checked")) {
            jQuery("div.company_" + id).addClass('blue');
        } else {
            jQuery("div.company_" + id).removeClass('blue');
        }
    }
    function highlightAll() {
        if (jQuery("span.selector input").is(':checked') == false) {
            jQuery("span.selector").css('display', 'none');
            jQuery("div#wp-job-portal-comp-listwrapper").removeClass('blue');
        }
        if (jQuery("span.selector input").is(':checked') == true) {
            jQuery("div#wp-job-portal-comp-listwrapper").addClass('blue');
            jQuery("span.selector").css('display', 'block');
        }
    }
    function resetFrom() {
        document.getElementById('searchcompany').value = '';
        document.getElementById('searchjobcategory').value = '';
        document.getElementById('datestart').value = '';
        document.getElementById('dateend').value = '';
        document.getElementById('wpjobportalform').submit();
    }
    function approveActionPopup(id) {
        var cname = '.jobsqueueapprove_' + id;
        jQuery(cname).show();
        jQuery(cname).mouseout(function () {
            jQuery(cname).hide();
        });
    }

    function rejectActionPopup(id) {
        var cname = '.jobsqueuereject_' + id;
        jQuery(cname).show();
        jQuery(cname).mouseout(function () {
            jQuery(cname).hide();
        });
    }
    function hideThis(obj) {
        jQuery(obj).find('div#wpjobportal-queue-actionsbtn').hide();
    }
</script>
<!-- main wrapper -->
<div id="wpjobportaladmin-wrapper">
    <!-- left menu -->
    <div id="wpjobportaladmin-leftmenu">
        <?php  WPJOBPORTALincluder::getClassesInclude('wpjobportaladminsidemenu'); ?>
    </div>
    <div id="wpjobportaladmin-data">
        <!-- top bar -->
        <div id="wpjobportal-wrapper-top">
            <div id="wpjobportal-wrapper-top-left">
                <div id="wpjobportal-breadcrumbs">
                    <ul>
                        <li>
                            <a href="<?php echo admin_url('admin.php?page=wpjobportal'); ?>" title="<?php echo __('dashboard','wp-job-portal'); ?>">
                                <?php echo __('Dashboard','wp-job-portal'); ?>
                            </a>
                        </li>
                        <li><?php echo __('Companies Approval Queue','wp-job-portal'); ?></li>
                    </ul>
                </div>
            </div>
            <div id="wpjobportal-wrapper-top-right">
                <div id="wpjobportal-config-btn">
                    <a href="admin.php?page=wpjobportal_configuration" title="<?php echo __('configuration','wp-job-portal'); ?>">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/control_panel/dashboard/config.png">
                   </a>
                </div>
                <div id="wpjobportal-vers-txt">
                    <?php echo __('Version','wp-job-portal').': '; ?>
                    <span class="wpjobportal-ver"><?php echo WPJOBPORTALincluder::getJSModel('configuration')->getConfigValue('versioncode'); ?></span>
                </div>
            </div>
        </div>
        <!-- top head -->
        <?php
            if ( !WPJOBPORTALincluder::getTemplate('templates/admin/pagetitle', array('module' => 'company','layouts' => 'companyque')) ) {
                return;
            }
        ?>
        <!-- page content -->
        <div id="wpjobportal-admin-wrapper" class="p0 bg-n bs-n">
            <!-- quick actions -->
            <?php
                $categoryarray = array(
                    (object) array('id' => 1, 'text' => __('Company Name', 'wp-job-portal')),
                    (object) array('id' => 3, 'text' => __('Created', 'wp-job-portal')),
                    (object) array('id' => 2, 'text' => __('Category', 'wp-job-portal')),
                    (object) array('id' => 4, 'text' => __('Location', 'wp-job-portal')),
                    (object) array('id' => 5, 'text' => __('Status', 'wp-job-portal'))
                );
                /*****Template Sortion****////
                WPJOBPORTALincluder::getTemplate('company/views/admin/filter',array(
                    'categoryarray' => $categoryarray,
                    'layouts' => 'compfilter'
                ));
            ?>
            <script>
                function changeSortBy() {
                    var value = jQuery('a.sort-icon').attr('data-sortby');
                    var img = '';
                    if (value == 1) {
                        value = 2;
                        img = jQuery('a.sort-icon').attr('data-image2');
                    } else {
                        img = jQuery('a.sort-icon').attr('data-image1');
                        value = 1;
                    }
                    jQuery("img#sortingimage").attr('src', img);
                    jQuery('input#sortby').val(value);
                    jQuery('form#wpjobportalform').submit();
                }
                jQuery('a.sort-icon').click(function (e) {
                    e.preventDefault();
                    changeSortBy();
                });
                function changeCombo() {
                    jQuery("input#sorton").val(jQuery('select#sorting').val());
                    changeSortBy();
                }
            </script>
            <!-- filter form -->
            <form class="wpjobportal-filter-form" name="wpjobportalform" id="wpjobportalform" method="post" action="<?php echo admin_url("admin.php?page=wpjobportal_company&wpjobportallt=companiesqueue"); ?>">
                <?php
                    //Form -Filter
                    WPJOBPORTALincluder::getTemplate('company/views/admin/filter',array('layouts' => 'que-filter'));
                ?>
            </form>
            <?php
                if (!empty(wpjobportal::$_data[0])) {
                    ?>
                    <form id="wpjobportal-list-form" method="post" action="<?php echo admin_url("admin.php?page=wpjobportal_company"); ?>">
                        <?php
                            $wpdir = wp_upload_dir();
                             foreach (wpjobportal::$_data[0] AS $company) {
                                 $class_color = '';
                                 $arr = array();
                                 if ($company->isfeaturedcompany == 0) {
                                     if ($class_color == '') {
                                         ?>
                                    <?php }
                                    ?>
                                    <span class="q-feature forapproval">
                                        <?php echo __('Featured', 'wp-job-portal'); ?>
                                    </span>
                                    <?php
                                        $class_color = 'q-feature';
                                        $arr['feature'] = 1;
                                }
                                if ($company->status == 0) {
                                    if ($class_color == '') {
                                        ?>
                                    <?php } ?>
                                    <?php
                                    $class_color = 'q-self';
                                    $arr['self'] = 1;
                                }
                                WPJOBPORTALincluder::getTemplate('company/views/admin/companylist',array(
                                    'company' => $company,
                                    'control' => 'que-control',
                                    'wpdir' => $wpdir,
                                    'arr' => $arr,
                                    'layout' => 'que-logo'
                                ));
                            }
                        ?>
                        <?php echo WPJOBPORTALformfield::hidden('action', 'company_remove'); ?>
                        <?php echo WPJOBPORTALformfield::hidden('task', ''); ?>
                        <?php echo WPJOBPORTALformfield::hidden('form_request', 'wpjobportal'); ?>
                        <?php echo WPJOBPORTALformfield::hidden('callfrom', 2); ?>
                        <?php echo WPJOBPORTALformfield::hidden('_wpnonce', wp_create_nonce('delete-company')); ?>
                    </form>
                    <?php
                    if (wpjobportal::$_data[1]) {
                       WPJOBPORTALincluder::getTemplate('templates/admin/pagination',array('module' => 'company','pagination' => wpjobportal::$_data[1]));
                    }
                } else {
                    $msg = __('No record found','wp-job-portal');
                    echo WPJOBPORTALlayout::getNoRecordFound($msg);
                }
            ?>
        </div>
    </div>
</div>