<?php
/**
* @param WP JOB PORTAL---
* @param Packages Details For Company
*/
?>
<?php
 if(isset($packages)){ ?>
    <div class="wjportal-packages-list">
        <div class="wjportal-pkg-list-item">
            <div class="wjportal-pkg-list-item-top">
                <div class="wjportal-pkg-list-item-title">
                    <div class="wjportal-pkg-list-item-title-txt">
                        <?php echo sprintf(__('%s','wp-job-portal'), $packages->title); ?>
                    </div>
                </div>
            </div>
            <div class="wjportal-pkg-list-item-mid">
                <div class="wjportal-pkg-list-item-data">
                    <?php if(isset($packages)){?>
                        <div class="wjportal-pkg-list-item-row">
                            <span class="wjportal-pkg-list-item-row-tit">
                                <?php echo esc_html(__('Total Company','wp-job-portal')). ' : '; ?>
                            </span>
                            <span class="wjportal-pkg-list-item-row-val">
                                <?php echo ($packages->companies==-1 ? esc_html(__('Unlimited','wp-job-portal')) : sprintf(__('%s','wp-job-portal'), $packages->companies)); ?>
                            </span>
                        </div>
                        <div class="wjportal-pkg-list-item-row">
                            <span class="wjportal-pkg-list-item-row-tit">
                                <?php echo esc_html(__('Remaining Company','wp-job-portal')). ' : '; ?>
                            </span>
                            <span class="wjportal-pkg-list-item-row-val">
                                <?php echo ($packages->companies==-1 ? esc_html(__('Unlimited','wp-job-portal')) : sprintf(__('%s','wp-job-portal'), $packages->remcompany)); ?>
                            </span>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <div class="wjportal-pkg-list-item-btm">
                <div class="wjportal-pkg-list-item-action-wrp">
                    <a href="<?php echo esc_url(wpjobportal::makeUrl(array('wpjobportalme'=>'multicompany','wpjobportallt'=>'addcompany'))); ?>" class="wjportal-pkg-list-item-act-btn" title="<?php echo esc_attr(__('change package','wp-job-portal')); ?>">
                        <?php echo esc_html(__('Change Package','wp-job-portal')); ?>
                    </a>
                </div>
                <div class="wjportal-pkg-list-item-exp-date">
                    <?php echo esc_html(__('Ends On','wp-job-portal')).': '.date_i18n(wpjobportal::$_configuration['date_format'],strtotime($packages->enddate)); ?>
                </div>
            </div>
        </div>
    </div>
<?php } ?>