<?php
    if (!defined('ABSPATH'))
        die('Restricted Access');
    wp_enqueue_script('jquery-ui-tabs');
    $yesno = array((object) array('id' => 1, 'text' => __('Yes', 'wp-job-portal')), (object) array('id' => 0, 'text' => __('No', 'wp-job-portal')));
    $yesnosectino = array((object) array('id' => 1, 'text' => __('Only section that have value', 'wp-job-portal')), (object) array('id' => 0, 'text' => __('All sections', 'wp-job-portal')));
    $showhide = array((object) array('id' => 1, 'text' => __('Show', 'wp-job-portal')), (object) array('id' => 0, 'text' => __('Hide', 'wp-job-portal')));
    $resumealert = array((object) array('id' => '', 'text' => __('Select Option')), (object) array('id' => 1, 'text' => __('All Fields')), (object) array('id' => 2, 'text' => __('Only filled fields', 'wp-job-portal')));
    $msgkey = WPJOBPORTALincluder::getJSModel('configuration')->getMessagekey();
    WPJOBPORTALMessages::getLayoutMessage($msgkey);
    $theme_chk = wpjobportal::$theme_chk ;
?>

<?php 
$defaultcustom = array(
    (object) array('id' => '1', 'text' => __('Default', 'jslearnmanager')),
    (object) array('id' => '2', 'text' => __('Custom', 'jslearnmanager'))
);
 ?>
<script type="text/javascript">
// for the set register 
        jQuery(document).ready(function () {
        jQuery('select#employe_set_register_link').change(function(){
           var value = jQuery(this).val();
           // alert(value);

           if (value == 2)
            {
               jQuery('.registerlink_field').attr('style','display: block');
            }else
            {
                jQuery('.registerlink_field').attr('style','display: none');
            }
            })

           var value = jQuery('select#employe_set_register_link').val();
           if (value == 2)
            {
               jQuery('.registerlink_field').attr('style','display: block');
            }else
            {
                jQuery('.registerlink_field').attr('style','display: none');
            }
            });
    //end set register
</script>



<!-- main wrapper -->
<div id="wpjobportaladmin-wrapper">
    <!-- left menu -->
    <div id="wpjobportaladmin-leftmenu">
        <?php  WPJOBPORTALincluder::getClassesInclude('wpjobportaladminsidemenu'); ?>
    </div>
    <div id="wpjobportaladmin-data">
       <!-- top bar -->
        <div id="wpjobportal-wrapper-top">
            <div id="wpjobportal-wrapper-top-left">
                <div id="wpjobportal-breadcrumbs">
                    <ul>
                        <li>
                            <a href="<?php echo admin_url('admin.php?page=wpjobportal'); ?>" title="<?php echo __('dashboard','wp-job-portal'); ?>">
                                <?php echo __('Dashboard','wp-job-portal'); ?>
                            </a>
                        </li>
                        <li><?php echo __('Employer Configurations','wp-job-portal'); ?></li>
                    </ul>
                </div>
            </div>
            <div id="wpjobportal-wrapper-top-right">
                <div id="wpjobportal-config-btn">
                    <a href="admin.php?page=wpjobportal_configuration" title="<?php echo __('configuration','wp-job-portal'); ?>">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/control_panel/dashboard/config.png">
                   </a>
                </div>
                <div id="wpjobportal-vers-txt">
                    <?php echo __('Version','wp-job-portal').': '; ?>
                    <span class="wpjobportal-ver"><?php echo WPJOBPORTALincluder::getJSModel('configuration')->getConfigValue('versioncode'); ?></span>
                </div>
            </div>
        </div>
        <!-- top head -->
        <div id="wpjobportal-head">
            <h1 class="wpjobportal-head-text">
                <?php echo __('Employer Configurations', 'wp-job-portal'); ?>
            </h1>
        </div>
        <!-- page content -->
        <div id="wpjobportal-admin-wrapper">
            <form id="wpjobportal-form" class="wpjobportal-configurations" method="post" action="<?php echo admin_url("admin.php?page=wpjobportal_configuration&task=saveconfiguration") ?>">
                <div id="tabs" class="tabs">
                    <ul>
                        <li>
                            <a href="#emp_generalsetting">
                                <?php echo __('General Settings', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#emp_visitor">
                                <?php echo __('Visitors', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <?php if(in_array('credits', wpjobportal::$_active_addons)){?>
                            <li>
                                <a href="#emp_listresume">
                                    <?php echo __('Search Resume', 'wp-job-portal'); ?>
                                </a>
                            </li>
                        <?php } ?>
                        <li>
                            <a href="#emp_company">
                                <?php echo __('Company', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#emp_memberlinks">
                                <?php echo __('Members Links', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#emp_visitorlinks">
                                <?php echo __('Visitor Links', 'wp-job-portal'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="#email">
                                <?php echo __('Email', 'wp-job-portal'); ?>
                            </a>
                        </li>
                    </ul>
                    <div class="tabInner">
                        <div id="emp_generalsetting">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('General Settings', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Enable Employer Area', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('disable_employer', $yesno, wpjobportal::$_data[0]['disable_employer']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('If no then front end employer area is not accessable', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Allow user to register as employer', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('showemployerlink', $yesno, wpjobportal::$_data[0]['showemployerlink']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('effects on user registration', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Employer can view job seeker area', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('employerview_js_controlpanel', $yesno, wpjobportal::$_data[0]['employerview_js_controlpanel']); ?>
                                </div>
                            </div>
                            <?php if(in_array('featuredcompany', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Enable','wp-job-portal') .' '. __('featured','wp-job-portal') .' '. __('company', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('system_have_featured_company', $yesno, wpjobportal::$_data[0]['system_have_featured_company']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('Featured companies are allowed in plugin', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Enable','wp-job-portal') .' '. __('featured','wp-job-portal') .' '. __('job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('system_have_featured_job', $yesno, wpjobportal::$_data[0]['system_have_featured_job']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Featured jobs are allowed in plugin', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Company logo maximum size', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('company_logofilezize', wpjobportal::$_data[0]['company_logofilezize'], array('class' => 'inputbox not-full-width', 'data-validation' => 'number')); ?> &nbsp;&nbsp;KB
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Currency', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::text('job_currency', wpjobportal::$_data[0]['job_currency'], array('class' => 'inputbox not-full-width', 'data-validation' => 'text')); ?>
                                </div>
                            </div>
                            <?php if(in_array('credits', wpjobportal::$_active_addons)){?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Show resume contact detail', 'wp-job-portal').' ( '.__('effect on credits system').' )'; ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('resume_contact_detail', $yesno, wpjobportal::$_data[0]['resume_contact_detail']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('If no then credits will be taken to view contact detail', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            <?php } ?>
                                
                                <!--Set Register Link  -->
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title"><?php echo __('Set Employer Register link', 'learn-manager'); ?></div>
                                    <div class="wpjobportal-config-value"><?php echo WPJOBPORTALformfield::select('employe_set_register_link', $defaultcustom, wpjobportal::$_data[0]['employe_set_register_link']); ?></div>
                                    <div class="wpjobportal-config-description"><small><?php echo __('New Employer Set Register link redirect page', 'learn-manager'); ?></small></div>
                                </div>

                                <!-- custome -->
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title"></div>
                                    <div class="wpjobportal-config-value"><?php echo WPJOBPORTALformfield::text('employe_register_link', wpjobportal::$_data[0]['employe_register_link'], array('class' => 'inputbox registerlink_field')); ?></div>
                                    <div class="wpjobportal-config-description"><small><?php echo __('Custome Empolyer Regitser Link', 'learn-manager'); ?></small></div>
                                </div>
                                <!--End Register Link  -->  


                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Employer Registration Redirect Page ', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('register_employer_redirect_page', WPJOBPORTALincluder::getJSModel('postinstallation')->getPageList(), wpjobportal::$_data[0]['register_employer_redirect_page']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('whenever anyone registers as employer he will be redirected to this page', 'wp-job-portal'); ?>
                                </div>
                            </div>



                                 



                            <?php if(in_array('multcompany', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Company','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('companyautoapprove', $yesno, wpjobportal::$_data[0]['companyautoapprove']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Featured','wp-job-portal') .' '. __('company','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('featuredcompany_autoapprove', $yesno, wpjobportal::$_data[0]['featuredcompany_autoapprove']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Job','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('jobautoapprove', $yesno, wpjobportal::$_data[0]['jobautoapprove']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Featured','wp-job-portal') .' '. __('job','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('featuredjob_autoapprove', $yesno, wpjobportal::$_data[0]['featuredjob_autoapprove']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Department','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('department_auto_approve', $yesno, wpjobportal::$_data[0]['department_auto_approve']); ?>
                                </div>
                            </div>
                            <?php if(in_array('folder', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Folder','wp-job-portal') .' '. __('auto approve', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('folder_auto_approve', $yesno, wpjobportal::$_data[0]['folder_auto_approve']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show login logout button', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('emploginlogout', $yesno, wpjobportal::$_data[0]['emploginlogout']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Show login/logout button on employer control panel', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Show count in resume categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('categories_numberofresumes', $yesno, wpjobportal::$_data[0]['categories_numberofresumes']); ?>
                                </div>
                            </div>
                        </div>
                        <div id="emp_visitor">
                            <?php if(in_array('visitorcanaddjob', wpjobportal::$_active_addons)){ ?>
                                    <h3 class="wpjobportal-config-heading-main">
                                        <?php echo __('Job Posting Options', 'wp-job-portal'); ?>
                                    </h3>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Visitor can post job', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('visitor_can_post_job', $yesno, wpjobportal::$_data[0]['visitor_can_post_job']); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('Visitor can post a job', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Allow edit job', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('visitor_can_edit_job', $yesno, wpjobportal::$_data[0]['visitor_can_edit_job']); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('Visitor can edit his posted job', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Show captcha', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('job_captcha', $yesno, wpjobportal::$_data[0]['job_captcha']); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('Show captcha on visitor form job', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Visitor post job redirect page ', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('visitor_add_job_redirect_page', WPJOBPORTALincluder::getJSModel('postinstallation')->getPageList(), wpjobportal::$_data[0]['visitor_add_job_redirect_page']); ?>
                                        </div>
                                        <div class="wpjobportal-config-description">
                                            <?php echo __('whenever any visitor posts a job, he will be redirected to this page', 'wp-job-portal'); ?>
                                        </div>
                                    </div>
                            <?php } ?>
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Visitors Can View Employer', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume Search', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_emp_resumesearch', $showhide, wpjobportal::$_data[0]['visitorview_emp_resumesearch']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('View Resume', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_emp_viewresume', $showhide, wpjobportal::$_data[0]['visitorview_emp_viewresume']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume Categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_emp_resumecat', $showhide, wpjobportal::$_data[0]['visitorview_emp_resumecat']); ?>
                                </div>
                            </div>
                        </div>
                        <?php if(in_array('credits', wpjobportal::$_active_addons)){?>
                            <div id="emp_listresume">
                                <h3 class="wpjobportal-config-heading-main">
                                    <?php echo __('Search Resume Settings', 'wp-job-portal'); ?>
                                </h3>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Allow save search', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('search_resume_showsave', $yesno, wpjobportal::$_data[0]['search_resume_showsave']); ?>
                                    </div>
                                    <div class="wpjobportal-config-description">
                                        <?php echo __('User can save search criteria', 'wp-job-portal'); ?>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                        <div id="emp_company">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Company Settings', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Company','wp-job-portal') .' '. __('Name', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('comp_name', $showhide, wpjobportal::$_data[0]['comp_name']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Effects on jobs listing and view company page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Company','wp-job-portal') .' '. __('Email address', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('comp_email_address', $showhide, wpjobportal::$_data[0]['comp_email_address']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Effects on view company page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('City', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('comp_city', $showhide, wpjobportal::$_data[0]['comp_city']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Effects on company listing and view company page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('View Company Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('comp_viewalljobs', $showhide, wpjobportal::$_data[0]['comp_viewalljobs']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Effects on company listing and view company page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Company URL', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('comp_show_url', $showhide, wpjobportal::$_data[0]['comp_show_url']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Effects on view company page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Description', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('comp_description', $showhide, wpjobportal::$_data[0]['comp_description']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Effects on view company page', 'wp-job-portal'); ?>
                                </div>
                            </div>
                        </div>
                        <div id="emp_memberlinks">
                            <?php if($theme_chk == 0){ ?>
                            <?php } else { ?>
                                <h3 class="wpjobportal-config-heading-main">
                                    <?php echo __('Employer Dashboard', 'wp-job-portal'); ?>
                                </h3>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Stats Graph', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('temp_employer_dashboard_stats_graph', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_stats_graph']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Useful Links','wp-job-portal') .' '. __('Job', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('temp_employer_dashboard_useful_links', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_useful_links']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Applied Resume', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('temp_employer_dashboard_applied_resume', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_applied_resume']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Saved Search', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('temp_employer_dashboard_saved_search', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_saved_search']); ?>
                                    </div>
                                </div>

                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Invoice', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('temp_employer_dashboard_purchase_history', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_purchase_history']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Newest Resume', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('temp_employer_dashboard_newest_resume', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_newest_resume']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Employer Control Panel Links', 'wp-job-portal'); ?>
                            </h3>
                            <?php if($theme_chk == 0){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Jobs Graph', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('jobs_graph', $showhide, wpjobportal::$_data[0]['jobs_graph']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('message',wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('User Messages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('em_cpmessage', $showhide, wpjobportal::$_data[0]['em_cpmessage']); ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Companies', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('mycompanies', $showhide, wpjobportal::$_data[0]['mycompanies']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Company', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('formcompany', $showhide, wpjobportal::$_data[0]['formcompany']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('myjobs', $showhide, wpjobportal::$_data[0]['myjobs']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('formjob', $showhide, wpjobportal::$_data[0]['formjob']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume Search', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('resumesearch', $showhide, wpjobportal::$_data[0]['resumesearch']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume By Categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('emresumebycategory', $showhide,wpjobportal::$_data[0]['emresumebycategory']); ?>
                                </div>
                            </div>
                               <?php if(in_array('resumesearch', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Saved Searches', 'wp-job-portal'); ?>

                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('my_resumesearches', $showhide, wpjobportal::$_data[0]['my_resumesearches']); ?>
                                            </div>
                                        </div>
                                <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Register', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('empregister', $showhide, wpjobportal::$_data[0]['empregister']); ?>
                                </div>
                            </div>
                            <?php if(in_array('message', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Messages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('empmessages', $showhide, wpjobportal::$_data[0]['empmessages']); ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                     <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Invoice', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('emppurchasehistory', $showhide, wpjobportal::$_data[0]['emppurchasehistory']); ?>
                                        </div>
                                    </div>

                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('My Subscriptions', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('empratelist', $showhide, wpjobportal::$_data[0]['empratelist']); ?>
                                        </div>
                                    </div>

                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('My Packages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('empcreditlog', $showhide, wpjobportal::$_data[0]['empcreditlog']); ?>
                                        </div>
                                    </div>

                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Packages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('empcredits', $showhide, wpjobportal::$_data[0]['empcredits']); ?>
                                        </div>
                                    </div>

                           <?php  } ?>
                             <?php if(in_array('departments', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('My Departments', 'wp-job-portal'); ?>
                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('mydepartment', $showhide, wpjobportal::$_data[0]['mydepartment']); ?>
                                            </div>
                                        </div>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Add','wp-job-portal') .' '. __('Department', 'wp-job-portal'); ?>
                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('formdepartment', $showhide, wpjobportal::$_data[0]['formdepartment']); ?>
                                            </div>
                                        </div>
                            <?php } ?>
                            <?php if(in_array('folder', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('My Folders', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('myfolders', $showhide, wpjobportal::$_data[0]['myfolders']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Add','wp-job-portal') .' '. __('Folder', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('newfolders', $showhide, wpjobportal::$_data[0]['newfolders']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                               <?php if(in_array('rssfeedback', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Resume RSS', 'wp-job-portal'); ?>

                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('empresume_rss', $showhide, wpjobportal::$_data[0]['empresume_rss']); ?>
                                            </div>
                                        </div>
                                <?php } ?>
                        </div>
                        <div id="emp_visitorlinks">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Control Panel', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Control Panel', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('visitorview_emp_conrolpanel', $showhide, wpjobportal::$_data[0]['visitorview_emp_conrolpanel']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('Enable disable control panel for visitor', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <?php if($theme_chk == 0){ ?>
                            <?php } else { ?>
                                <h3 class="wpjobportal-config-heading-main">
                                    <?php echo __('Employer Dashboard', 'wp-job-portal'); ?>
                                </h3>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Stats Graph', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_temp_employer_dashboard_stats_graph', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_stats_graph']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Useful Links','wp-job-portal') .' '. __('Job', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_temp_employer_dashboard_useful_links', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_useful_links']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Applied Resume', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_temp_employer_dashboard_applied_resume', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_applied_resume']); ?>
                                    </div>
                                </div>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Saved Search', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_temp_employer_dashboard_saved_search', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_saved_search']); ?>
                                    </div>
                                </div>
                                <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Invoice', 'wp-job-portal'); ?>

                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('vis_temp_employer_dashboard_purchase_history', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_purchase_history']); ?>
                                            </div>
                                        </div>
                               <?php } ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Newest Resume', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_temp_employer_dashboard_newest_resume', $showhide, wpjobportal::$_data[0]['temp_employer_dashboard_newest_resume']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Employer Control Panel Links', 'wp-job-portal'); ?>
                            </h3>
                            <?php if($theme_chk == 0){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Jobs Graph', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_jobs_graph', $showhide, wpjobportal::$_data[0]['vis_jobs_graph']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Companies', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emmycompanies', $showhide, wpjobportal::$_data[0]['vis_emmycompanies']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Company', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emformcompany', $showhide, wpjobportal::$_data[0]['vis_emformcompany']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('My Jobs', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emmyjobs', $showhide, wpjobportal::$_data[0]['vis_emmyjobs']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Job', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emformjob', $showhide, wpjobportal::$_data[0]['vis_emformjob']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Applied Resume', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emalljobsappliedapplications', $showhide, wpjobportal::$_data[0]['vis_emalljobsappliedapplications']); ?>
                                </div>
                            </div>
                        <?php if(in_array('resumesearch', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Resume Search', 'wp-job-portal'); ?>
                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_emresumesearch', $showhide, wpjobportal::$_data[0]['vis_emresumesearch']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('resumesearch', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('Saved Searches', 'wp-job-portal'); ?>

                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('vis_emmy_resumesearches', $showhide, wpjobportal::$_data[0]['vis_emmy_resumesearches']); ?>
                                            </div>
                                        </div>
                                <?php } ?>
                                <?php if(in_array('departments', wpjobportal::$_active_addons)){ ?>
                                        <div class="wpjobportal-config-row">
                                            <div class="wpjobportal-config-title">
                                                <?php echo __('My Departments', 'wp-job-portal'); ?>
                                            </div>
                                            <div class="wpjobportal-config-value">
                                                <?php echo WPJOBPORTALformfield::select('vis_emmydepartment', $showhide, wpjobportal::$_data[0]['vis_emmydepartment']); ?>
                                            </div>
                                        </div>
                                <?php } ?>
                            <?php if(in_array('departments', wpjobportal::$_active_addons)){ ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Add','wp-job-portal') .' '. __('Department', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emformdepartment', $showhide, wpjobportal::$_data[0]['vis_emformdepartment']); ?>
                                </div>
                            </div>
                            <?php } ?>
                            <?php if(in_array('folder', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('My Folders', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_emmyfolders', $showhide, wpjobportal::$_data[0]['vis_emmyfolders']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Add','wp-job-portal') .' '. __('Folder', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_emnewfolders', $showhide, wpjobportal::$_data[0]['vis_emnewfolders']); ?>
                                        </div>
                                    </div>
                            <?php } ?>
                            <?php if(in_array('credits', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Invoice', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_emppurchasehistory', $showhide, wpjobportal::$_data[0]['vis_emppurchasehistory']); ?>
                                        </div>
                                    </div>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('My Subscriptions', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_empratelist', $showhide, wpjobportal::$_data[0]['vis_empratelist']); ?>
                                        </div>
                                    </div>

                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('My Packages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_empcreditlog', $showhide, wpjobportal::$_data[0]['vis_empcreditlog']); ?>
                                        </div>
                                    </div>

                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Packages', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_empcredits', $showhide, wpjobportal::$_data[0]['vis_empcredits']); ?>
                                        </div>
                                    </div>
                          <?php  } ?>
                            <?php if(in_array('message', wpjobportal::$_active_addons)){ ?>
                                <div class="wpjobportal-config-row">
                                    <div class="wpjobportal-config-title">
                                        <?php echo __('Messages', 'wp-job-portal'); ?>

                                    </div>
                                    <div class="wpjobportal-config-value">
                                        <?php echo WPJOBPORTALformfield::select('vis_emmessages', $showhide, wpjobportal::$_data[0]['vis_emmessages']); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(in_array('rssfeedback', wpjobportal::$_active_addons)){ ?>
                                    <div class="wpjobportal-config-row">
                                        <div class="wpjobportal-config-title">
                                            <?php echo __('Resume RSS', 'wp-job-portal'); ?>

                                        </div>
                                        <div class="wpjobportal-config-value">
                                            <?php echo WPJOBPORTALformfield::select('vis_resume_rss', $showhide, wpjobportal::$_data[0]['vis_resume_rss']); ?>
                                        </div>
                                    </div>
                            <?php } ?>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Register', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emempregister', $showhide, wpjobportal::$_data[0]['vis_emempregister']); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('Resume By Categories', 'wp-job-portal'); ?>
                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('vis_emresumebycategory', $showhide,wpjobportal::$_data[0]['vis_emresumebycategory']); ?>
                                </div>
                            </div>
                        </div>
                        <div id="email">
                            <h3 class="wpjobportal-config-heading-main">
                                <?php echo __('Email Alert To Employer On Resume Apply', 'wp-job-portal'); ?>
                            </h3>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('What to include in email', 'wp-job-portal'); ?>

                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('show_only_section_that_have_value', $yesnosectino, wpjobportal::$_data[0]['show_only_section_that_have_value']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('All sections are included in employer email content or only sections that have value','wp-job-portal') .'.'.__('This option is only valid if employer selected send resume data in email settings while posting job', 'wp-job-portal'); ?>
                                </div>
                            </div>
                            <div class="wpjobportal-config-row">
                                <div class="wpjobportal-config-title">
                                    <?php echo __('What to include in email', 'wp-job-portal'); ?>

                                </div>
                                <div class="wpjobportal-config-value">
                                    <?php echo WPJOBPORTALformfield::select('employer_resume_alert_fields', $resumealert, wpjobportal::$_data[0]['employer_resume_alert_fields']); ?>
                                </div>
                                <div class="wpjobportal-config-description">
                                    <?php echo __('All fields are included in employer email content or only filled fields','wp-job-portal') .'.'.__('This option is only valid if employer selected send resume data in email settings while posting job', 'wp-job-portal'); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php echo WPJOBPORTALformfield::hidden('isgeneralbuttonsubmit', 0); ?>
                <?php echo WPJOBPORTALformfield::hidden('wpjobportallt', 'configurationsemployer'); ?>
                <?php echo WPJOBPORTALformfield::hidden('action', 'configuration_saveconfiguration'); ?>
                <?php echo WPJOBPORTALformfield::hidden('form_request', 'wpjobportal'); ?>
                <div class="wpjobportal-config-btn">
                    <?php echo WPJOBPORTALformfield::submitbutton('save', __('Save','wp-job-portal') .' '. __('Configuration', 'wp-job-portal'), array('class' => 'button wpjobportal-config-save-btn')); ?>
                </div>
            </form>
        </div>
        <script>
            jQuery(document).ready(function () {
                jQuery("#tabs").tabs();
            });
        </script>
    </div>
</div>
