<?php
if (!defined('ABSPATH'))
    die('Restricted Access');
if ( !WPJOBPORTALincluder::getTemplate('templates/header',array('module' => 'jobsearch')) ) {
    return;
}
if (wpjobportal::$_error_flag == null) {
    $radiustype = array(
        (object) array('id' => '0', 'text' => __('Select One', 'wp-job-portal')),
        (object) array('id' => '1', 'text' => __('Meters', 'wp-job-portal')),
        (object) array('id' => '2', 'text' => __('Kilometers', 'wp-job-portal')),
        (object) array('id' => '3', 'text' => __('Miles', 'wp-job-portal')),
        (object) array('id' => '4', 'text' => __('Nautical Miles', 'wp-job-portal')),
    );
    ?>

<div class="wjportal-main-wrapper wjportal-clearfix">
    <div class="wjportal-page-header">
        <?php WPJOBPORTALincluder::getTemplate('templates/pagetitle',array('module' => 'jobsearch' , 'layout' => 'jobsearch')); ?>
    </div>
    <div class="wjportal-form-wrp wjportal-search-job-form">
        <form class="wjportal-form" id="job_form" method="post" action="<?php echo wpjobportal::makeUrl(array('wpjobportalme'=>'job', 'wpjobportallt'=>'jobs', 'wpjobportalpageid'=>wpjobportal::getPageid())); ?>">
            <?php
                $formfields = WPJOBPORTALincluder::getTemplate('jobsearch/form-field',array(
                    'fields' => wpjobportal::$_data[2],
                    'radiustype' => $radiustype
                ));
                foreach ($formfields as $formfield) {
                    WPJOBPORTALincluder::getTemplate('templates/form-field', $formfield);
                }
            ?>
            <div class="wjportal-form-btn-wrp" id="save-button">
                <?php echo WPJOBPORTALformfield::submitbutton('save', __('Search Job', 'wp-job-portal'), array('class' => 'button wjportal-form-btn wjportal-save-btn')); ?>
            </div>
            <input type="hidden" id="default_longitude" name="default_longitude" value="<?php echo wpjobportal::$_configuration['default_longitude']; ?>"/>
            <input type="hidden" id="default_latitude" name="default_latitude" value="<?php echo wpjobportal::$_configuration['default_latitude']; ?>"/>
            <input type="hidden" id="issearchform" name="issearchform" value="1"/>
            <input type="hidden" id="WPJOBPORTAL_form_search" name="WPJOBPORTAL_form_search" value="WPJOBPORTAL_SEARCH"/>
            <input type="hidden" id="wpjobportallay" name="wpjobportallay" value="jobs"/>
        </form>
    </div>
    <?php
    } else {
        echo wpjobportal::$_error_flag_message;
    } ?>
</div>
