<?php
/**
* @param field    salary field object
* @param job      job object - optional
*/
$salarytypelist = array(
    (object) array('id'=>SALARY_NEGOTIABLE,'text'=>__("Negotiable",'wp-job-portal')),
    (object) array('id'=>SALARY_FIXED,'text'=>__("Fixed",'wp-job-portal')),
    (object) array('id'=>SALARY_RANGE,'text'=>__("Range",'wp-job-portal')),
);
?>
<div class="wjportal-form-5-fields">
    <div class="wjportal-form-inner-fields">        
        <?php echo WPJOBPORTALformfield::select('salarytype', $salarytypelist,'', __("Select",'wp-job-portal').' '.__("Salary Type",'wp-job-portal'), array('class' => 'inputbox sal wjportal-form-select-field')); ?>
    </div>
    <div class="wjportal-form-inner-fields">    
        <?php echo WPJOBPORTALformfield::text('salaryfixed','', array('class' => 'inputbox sal wjportal-form-input-field','placeholder'=>'e.g 45000')); ?>
    </div>
    <div class="wjportal-form-inner-fields">    
        <?php echo WPJOBPORTALformfield::text('salarymin', '', array('class' => 'inputbox sal wjportal-form-input-field','placeholder'=>'e.g 3000')); ?>
    </div>
    <div class="wjportal-form-inner-fields">    
        <?php echo WPJOBPORTALformfield::text('salarymax', '', array('class' => 'inputbox sal wjportal-form-input-field','placeholder'=>'e.g 6000')); ?>
    </div>
    <div class="wjportal-form-inner-fields">    
        <?php echo WPJOBPORTALformfield::select('salaryduration', WPJOBPORTALincluder::getJSModel('salaryrangetype')->getSalaryRangeTypesForCombo(), WPJOBPORTALincluder::getJSModel('salaryrangetype')->getDefaultSalaryRangeTypeId(), __('Select','wp-job-portal'), array('class' => 'inputbox sal wjportal-form-select-field')); ?>
    </div>
</div>

<script type="text/javascript">

jQuery(document).delegate("#salarytype", "change", function(){
    var salarytype = jQuery(this).val();
    if(salarytype == 1){ //negotiable
        jQuery("#salaryfixed").hide();
        jQuery("#salarymin").hide();
        jQuery("#salarymax").hide();
        jQuery("#salaryduration").hide();
        jQuery(".wjportal-form-symbol").hide();
    }else if(salarytype == 2){ //fixed
        jQuery("#salaryfixed").show();
        jQuery("#salarymin").hide();
        jQuery("#salarymax").hide();
        jQuery("#salaryduration").show();
        jQuery(".wjportal-form-symbol").show();
    }else if(salarytype == 3){ //range
        jQuery("#salaryfixed").hide();
        jQuery("#salarymin").show();
        jQuery("#salarymax").show();
        jQuery("#salaryduration").show();
        jQuery(".wjportal-form-symbol").show();
    }else{ //not selected
        jQuery("#salaryfixed").hide();
        jQuery("#salarymin").hide();
        jQuery("#salarymax").hide();
        jQuery("#salaryduration").hide();
        jQuery(".wjportal-form-symbol").hide();
    }
});

jQuery("#salarytype").change();

</script>