<?php
/**
* @param WP JOB PORTAL
* @param Resume Detail
*/
?>
<div class="wpjobportal-resume-cnt-wrp">
    <div class="wpjobportal-resume-middle-wrp">
        <div class="wpjobportal-resume-data">
            <span class="wpjobportal-resume-job-type" style="background-color: <?php echo $resume->color; ?>" >
                <?php echo __($resume->jobtypetitle,'wp-job-portal'); ?>
            </span>
        </div>
        <div class="wpjobportal-resume-data">
            <span class="wpjobportal-resume-name">
                <a href="<?php echo admin_url("admin.php?page=wpjobportal_resume&wpjobportallt=formresume&wpjobportalid=".$resume->id);?>"> 
                    <?php echo $resume->application_title; ?> 
                </a>
            </span>
            <?php
                if ($resume->status == 0) {
                    echo '<span class="wpjobportal-item-status pending">' . __('Pending', 'wp-job-portal') . '</span>';
                } elseif ($resume->status == 1) {
                    echo '<span class="wpjobportal-item-status approved">' . __('Approved', 'wp-job-portal') . '</span>';
                } elseif ($resume->status == -1) {
                    echo '<span class="wpjobportal-item-status rejected">' . __('Rejected', 'wp-job-portal') . '</span>';
                } elseif ($resume->status == 3) {
                    echo '<span class="wpjobportal-item-status rejected">' . __('Pending Payment', 'wp-job-portal') . '</span>';
                }
            ?>
        </div>
        <div class="wpjobportal-resume-data wpjobportal-resume-catgry">
            <?php echo __($resume->cat_title,'wp-job-portal'); ?>
        </div>
        <div class="wpjobportal-resume-data">
            <div class="wpjobportal-resume-data-text">
                <span class="wpjobportal-resume-data-title">
                    <?php 
                        if(!isset(wpjobportal::$_data['fields']['salaryfixed'])){
                            wpjobportal::$_data['fields']['salaryfixed'] = WPJOBPORTALincluder::getJSModel('fieldordering')->getFieldTitleByFieldAndFieldfor('salaryfixed',3);
                        }                                    
                        echo __(wpjobportal::$_data['fields']['salaryfixed'], 'wp-job-portal') . ': '; 
                    ?>
                </span>
                <span class="wpjobportal-resume-data-value">
                    <?php
                        echo __($resume->salaryfixed,'wp-job-portal');
                    ?>
                </span>
            </div>
            <div class="wpjobportal-resume-data-text">
                <span class="wpjobportal-resume-data-title">
                    <?php echo __('Total Experience', 'wp-job-portal') . ' : '; ?>
                </span>
                <span class="wpjobportal-resume-data-value">
                    <?php echo wpjobportal::$_common->getTotalExp($resume->resumeid); ?>
                </span>
            </div>
            <div class="wpjobportal-resume-data-text">
                <span class="wpjobportal-resume-data-title">
                    <?php echo __('Location', 'wp-job-portal') . ' : '; ?>
                </span>
                <span class="wpjobportal-resume-data-value">
                    <?php echo WPJOBPORTALincluder::getJSModel('city')->getLocationDataForView($resume->city); ?>
                </span>
            </div>
        </div>
    </div>
</div>


