<?php
if (!defined('ABSPATH'))
    die('Restricted Access');
wp_enqueue_script('wpjobportal-res-tables', wpjobportal::$_pluginpath . 'includes/js/responsivetable.js');
?>
<!-- main wrapper -->
<div id="wpjobportaladmin-wrapper">
    <!-- left menu -->
    <div id="wpjobportaladmin-leftmenu">
        <?php  WPJOBPORTALincluder::getClassesInclude('wpjobportaladminsidemenu'); ?>
    </div>
    <div id="wpjobportaladmin-data">
        <?php
            $msgkey = WPJOBPORTALincluder::getJSModel('systemerror')->getMessagekey();
            WPJOBPORTALMessages::getLayoutMessage($msgkey);
        ?>
        <!-- top bar -->
        <div id="wpjobportal-wrapper-top">
            <div id="wpjobportal-wrapper-top-left">
                <div id="wpjobportal-breadcrumbs">
                    <ul>
                        <li>
                            <a href="<?php echo admin_url('admin.php?page=wpjobportal'); ?>" title="<?php echo __('dashboard','wp-job-portal'); ?>">
                                <?php echo __('Dashboard','wp-job-portal'); ?>
                            </a>
                        </li>
                        <li><?php echo __('Error Log','wp-job-portal'); ?></li>
                    </ul>
                </div>
            </div>
            <div id="wpjobportal-wrapper-top-right">
                <div id="wpjobportal-config-btn">
                    <a href="admin.php?page=wpjobportal_configuration" title="<?php echo __('configuration','wp-job-portal'); ?>">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/control_panel/dashboard/config.png">
                   </a>
                </div>
                <div id="wpjobportal-vers-txt">
                    <?php echo __('Version','wp-job-portal').': '; ?>
                    <span class="wpjobportal-ver"><?php echo WPJOBPORTALincluder::getJSModel('configuration')->getConfigValue('versioncode'); ?></span>
                </div>
            </div>
        </div>
        <!-- top head -->
        <?php WPJOBPORTALincluder::getTemplate('templates/admin/pagetitle',array('module' => 'systemerror' , 'layouts' => 'systemerror')); ?>
        <!-- page content -->
        <div id="wpjobportal-admin-wrapper" class="p0">
            <?php
                if (!empty(wpjobportal::$_data[0])) {
                    ?>
                    <table id="wpjobportal-table" class="wpjobportal-table">
                        <thead>
                            <tr>
                                <th class="wpjobportal-text-left w70">
                                    <?php echo __('Error', 'wp-job-portal'); ?>
                                </th>
                                <th>
                                    <?php echo __('View', 'wp-job-portal'); ?>
                                </th>
                                <th>
                                    <?php echo __('Date', 'wp-job-portal'); ?>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                foreach (wpjobportal::$_data[0] AS $systemerror) {
                                    $isview = ($systemerror->isview == 1) ? 'close.png' : 'good.png';
                                    ?>
                                    <tr>
                                        <td class="wpjobportal-text-left w70">
                                            <?php echo $systemerror->error; ?>
                                        </td>
                                        <td>
                                            <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/control_panel/dashboard/<?php echo $isview; ?>" />
                                        </td>
                                        <td>
                                            <?php
                                                echo date_i18n(wpjobportal::$_configuration['date_format'], strtotime($systemerror->created));
                                            ?>
                                        </td>
                                    </tr>
                                <?php
                                }
                            ?>
                        </tbody>
                    </table>
                    <?php
                    if (wpjobportal::$_data[1]) {
                        echo '<div class="tablenav"><div class="tablenav-pages">' . wpjobportal::$_data[1] . '</div></div>';
                    }
                } else {
                    $msg = __('No record found','wp-job-portal');
                    echo WPJOBPORTALlayout::getNoRecordFound($msg);
                }
            ?>
        </div>
    </div>
</div>