<?php 
if (!defined('ABSPATH'))
    die('Restricted Access');
wp_enqueue_script('wpjobportal-res-tables', wpjobportal::$_pluginpath . 'includes/js/responsivetable.js');
$data = wpjobportal::$_data[0];
?>
<!-- main wrapper -->
<div id="wpjobportaladmin-wrapper">
    <!-- left menu -->
    <?php WPJOBPORTALincluder::getTemplate('templates/admin/leftmenue',array('module'=>'wpjobportal')); ?>
    <div id="wpjobportaladmin-data">
        <!-- top bar -->
        <div id="wpjobportal-wrapper-top">
            <div id="wpjobportal-wrapper-top-left">
                <div id="wpjobportal-breadcrumbs">
                    <ul>
                        <li>
                            <a href="<?php echo admin_url('admin.php?page=wpjobportal'); ?>" title="<?php echo __('dashboard','wp-job-portal'); ?>">
                                <?php echo __('Dashboard','wp-job-portal'); ?>
                            </a>
                        </li>
                        <li><?php echo __('Stats','wp-job-portal'); ?></li>
                    </ul>
                </div>
            </div>
            <div id="wpjobportal-wrapper-top-right">
                <div id="wpjobportal-config-btn">
                    <a href="admin.php?page=wpjobportal_configuration" title="<?php echo __('configuration','wp-job-portal'); ?>">
                        <img src="<?php echo wpjobportal::$_pluginpath; ?>includes/images/control_panel/dashboard/config.png">
                   </a>
                </div>
                <div id="wpjobportal-vers-txt">
                    <?php echo __('Version','wp-job-portal').': '; ?>
                    <span class="wpjobportal-ver"><?php echo WPJOBPORTALincluder::getJSModel('configuration')->getConfigValue('versioncode'); ?></span>
                </div>
            </div>
        </div>
        <!-- top head -->
        <?php WPJOBPORTALincluder::getTemplate('templates/admin/pagetitle',array('module' => 'wpjobportal' , 'layouts' => 'stats')); ?>
        <!-- page content -->
        <div id="wpjobportal-admin-wrapper" class="p0 bg-n bs-n">
            <table id="wpjobportal-table" class="wpjobportal-table">
                <thead>
                    <tr>
                        <th class="wpjobportal-text-left">
                            <?php echo __('Title', 'wp-job-portal'); ?>
                        </th>
                        <th>
                            <?php echo __('Total', 'wp-job-portal'); ?>
                        </th>
                        <th>
                            <?php echo __('Active', 'wp-job-portal'); ?>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="wpjobportal-text-left">
                            <?php echo __('Companies', 'wp-job-portal'); ?>
                        </td>
                        <td>
                            <?php echo $data['companies']->totalcompanies; ?>   
                        </td>
                        <td>
                            <?php echo $data['companies']->activecompanies; ?>   
                        </td>
                    </tr>
                    <?php if (in_array('featuredcompany',wpjobportal::$_active_addons)) { ?>
                        <tr>
                            <td class="wpjobportal-text-left">
                                <?php echo __('Featured Companies', 'wp-job-portal'); ?>
                            </td>
                            <td>
                                <?php echo $data['featuredcompanies']->totalfeaturedcompanies; ?>
                            </td>
                            <td>
                                <?php echo $data['featuredcompanies']->activefeaturedcompanies; ?>
                            </td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <td class="wpjobportal-text-left">
                            <?php echo __('Jobs', 'wp-job-portal'); ?>
                        </td>
                        <td>
                            <?php echo $data['jobs']->totaljobs; ?>
                        </td>
                        <td>
                            <?php echo $data['jobs']->activejobs; ?>
                        </td>
                    </tr>
                    <?php if (in_array('featuredjob',wpjobportal::$_active_addons)) { ?>
                        <tr>
                            <td class="wpjobportal-text-left">
                                <?php echo __('Featured Jobs', 'wp-job-portal'); ?>
                            </td>
                            <td>
                                <?php echo $data['featuredjobs']->totalfeaturedjobs; ?>
                            </td>
                            <td>
                                <?php echo $data['featuredjobs']->activefeaturedjobs; ?>
                            </td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <td class="wpjobportal-text-left">
                            <?php echo __('Resume', 'wp-job-portal'); ?>
                        </td>
                        <td>
                            <?php echo $data['resumes']->totalresumes; ?>
                        </td>
                        <td>
                            <?php echo $data['resumes']->activeresumes; ?>
                        </td>
                    </tr>
                    <?php if (in_array('featuredresume',wpjobportal::$_active_addons)) { ?>
                        <tr>
                            <td class="wpjobportal-text-left">
                                <?php echo __('Featured Resume', 'wp-job-portal'); ?>
                            </td>
                            <td>
                                <?php echo $data['featuredresumes']->totalfeaturedresumes; ?>
                            </td>
                            <td>
                                <?php echo $data['featuredresumes']->activefeaturedresumes; ?>
                            </td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <td class="wpjobportal-text-left">
                            <?php echo __('Employer', 'wp-job-portal'); ?>
                        </td>
                        <td>
                            <?php echo $data['totalemployer']->totalemployer; ?>
                        </td>
                        <td>
                            <?php echo '-'; ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="wpjobportal-text-left">
                            <?php echo __('Jobseeker', 'wp-job-portal'); ?>
                        </td>
                        <td>
                            <?php echo $data['totaljobseeker']->totaljobseeker; ?>
                        </td>
                        <td>
                            <?php echo '-'; ?>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>