<?php
/**
 * @param field 		fieldordering field object
 * @param title 		field title or name
 * @param required  	is field required
 * @param content 		field html
 * @param description 	field description
 */
if (isset($field)) {
	if (!isset($title)) {
		$title = $field->fieldtitle;
	}
	if (!isset($required)) {
		$required = $field->required;
	}
	 if (!isset($description)) {
	 	$description = $field->description;
	 }
} else {
    if (!isset($title)) {
        $title = '';
    }
    if (!isset($required)) {
        $required = false;
    }
    if (!isset($description)) {
        $description = '';
    }
}
?>
<div class="wjportal-form-row">
    <div class="wjportal-form-title">

        <?php echo $title; ?>
        
        <?php if($required == 1 && WPJOBPORTALrequest::getVar('wpjobportalme') != "jobsearch"): ?>
        	<font>*</font>
    	<?php endif; ?>

    </div>
    <div class="wjportal-form-value">

        <?php echo $content; ?>

        <?php if(!empty($description)): ?>
        	<div class="wjportal-form-help-txt"><?php echo $description; ?></div>
        <?php endif; ?>

    </div>
</div>